
use super::CountryCode;
use serde::{Deserialize, Serialize};

#[derive(Clone, Debug, Deserialize, Display, EnumIter, EnumString, Eq, PartialEq, Serialize)]
#[strum(serialize_all = "PascalCase")]
pub enum MIC {
	DRSP,
	XCNQ,
	ZODM,
	NORX,
	POSE,
	PUND,
	UCBG,
	BBLX,
	SPBE,
	OTCM,
	FREX,
	IDXM,
	MBCP,
	OCEA,
	OSDS,
	OSSG,
	RR4G,
	TRUK,
	UGEN,
	CNOD,
	BGLU,
	GFAM,
	TMCY,
	UBEC,
	ESLO,
	IOTF,
	SEBA,
	BRED,
	RUSX,
	UNGB,
	XLQC,
	XMOS,
	CFIC,
	HBFR,
	KLSH,
	MUDX,
	TRAX,
	TRNL,
	XPET,
	LEVL,
	STRM,
	ABNC,
	BNPC,
	PBGR,
	SIDX,
	SIFX,
	TEUR,
	AILT,
	ARAX,
	CGXS,
	MIDC,
	RABL,
	RMMS,
	CECA,
	JNSI,
	XSWX,
	BNPX,
	BTRL,
	NTUK,
	EQOS,
	LMNR,
	EQCA,
	EQUS,
	EVOL,
	RBCC,
	BEBG,
	XTXD,
	XOSL,
	BSAB,
	BSPL,
	BSTX,
	XNOM,
	OLBB,
	SGMU,
	AFEX,
	BNPL,
	CAPL,
	CCMX,
	MSBI,
	T212,
	TMEX,
	XCBO,
	XPOM,
	CLST,
	LLAT,
	IMMH,
	AQSE,
	ENMS,
	FAST,
	LELE,
	MCXX,
	PEPW,
	WFLB,
	NBFL,
	MAXD,
	BTBS,
	SKBB,
	BDSK,
	DEXE,
	OTPR,
	SBIJ,
	XOTP,
	XBVM,
	MAQE,
	MEMX,
	PARK,
	PIPR,
	SKYX,
	GLOM,
	TRAI,
	CBOE,
	COHR,
	STFX,
	XLCH,
	BGHX,
	CSAS,
	LTSE,
	XFEX,
	CALH,
	OMIP,
	XLIS,
	DAUK,
	BSLB,
	CFIL,
	RBCM,
	THRE,
	BKKT,
	XPUS,
	BMLI,
	ITGL,
	XAMM,
	VFGB,
	SEBL,
	VIUK,
	24EX,
	BBSX,
	SCOT,
	SPEX,
	IFAD,
	JLQD,
	LAMP,
	RCMA,
	MKTF,
	XSGB,
	YKNA,
	CSDA,
	DOWM,
	GSXC,
	GSXK,
	GSXT,
	VAGM,
	BMCM,
	ABFI,
	DASH,
	MISX,
	BAJD,
	NEOE,
	TRPX,
	KOME,
	TRCX,
	ERBX,
	IBER,
	ALLT,
	BILU,
	CBSK,
	CODA,
	SMBD,
	STFL,
	XALT,
	SAGE,
	ARCH,
	JPMS,
	SNUK,
	ARKX,
	SVXI,
	XALS,
	CGMG,
	PUMA,
	4AXE,
	EBHU,
	FNUK,
	UCHU,
	CBNL,
	FTUS,
	BGUK,
	CLVE,
	CPGX,
	CEPL,
	CEPU,
	DBAB,
	OTCN,
	RTSL,
	TDGF,
	UBSB,
	UBSL,
	BFPT,
	CONC,
	IFBX,
	SCXO,
	SYFX,
	SSIL,
	MANL,
	BETX,
	BTLX,
	CCEX,
	AQEU,
	AQXE,
	BKDM,
	BNLD,
	CAVD,
	GIPB,
	ICPM,
	JLEU,
	SMFF,
	SPTR,
	ELXE,
	SCAG,
	SGAS,
	SMFE,
	TRXE,
	MHBE,
	CSGI,
	EUCC,
	BREA,
	XTXE,
	BLUE,
	BTAM,
	CABV,
	RFBK,
	TOWR,
	FLWX,
	BLUX,
	DBLX,
	DHLX,
	KHHU,
	MCID,
	NCME,
	ISWP,
	MSEL,
	NCML,
	XPUK,
	CSAG,
	GSBE,
	HREU,
	CREM,
	DWFI,
	BNPP,
	CIBH,
	CSMD,
	GMES,
	KBLL,
	MHBP,
	MHEU,
	UBCZ,
	ATLN,
	LBCW,
	AGBP,
	EBSN,
	ECEU,
	TPIC,
	XTRD,
	MLEX,
	ATHL,
	BCSC,
	CFIF,
	JEFE,
	MHBL,
	NOWX,
	PKOP,
	VUSA,
	ABAN,
	EQIE,
	EQLD,
	GPBC,
	OHVO,
	RBCG,
	RMTF,
	UCBA,
	UCDE,
	UCIT,
	BRGA,
	XNOR,
	BCMA,
	CSOB,
	ICUR,
	IFXC,
	MUSN,
	SPDX,
	NIBC,
	UICE,
	XNDU,
	ECSL,
	MSEU,
	BRDE,
	CIBC,
	CIBP,
	FTFS,
	CABK,
	CCRM,
	CCXE,
	DEKA,
	ICOT,
	ISSI,
	JYSI,
	NWNV,
	OTPB,
	RBHU,
	RENC,
	TPEU,
	WSIL,
	INGW,
	MAKX,
	WSIN,
	SLHB,
	SIBC,
	WELN,
	BMLB,
	XSAT,
	BAIP,
	DAVY,
	LIGA,
	MBPL,
	WELS,
	CBAL,
	SIAB,
	BKSK,
	CMCI,
	MHBD,
	MUSE,
	ABNA,
	BBIE,
	ERST,
	IKBS,
	TQEX,
	APAW,
	NABL,
	OBKL,
	TWJP,
	HRTF,
	SMBB,
	CGMD,
	HEMO,
	IMCT,
	METZ,
	MUBL,
	MUBM,
	MUBP,
	RBIV,
	SMBG,
	MUBE,
	JPEU,
	SMBE,
	SMBP,
	HELA,
	NESI,
	BHWA,
	ISBA,
	KBCB,
	MAQI,
	MAQU,
	FICO,
	LBBW,
	BAPE,
	BASE,
	BCEE,
	BPKO,
	BTFE,
	HRSI,
	R5FX,
	SISI,
	BEIS,
	BLBB,
	BASX,
	HRTX,
	INCR,
	OCSI,
	EDRF,
	BNSX,
	EXSE,
	AIXK,
	LBCM,
	RLBO,
	SBEX,
	VTBC,
	ZARX,
	IPSX,
	COMM,
	ATLB,
	CCMS,
	DAIW,
	IINX,
	OPCO,
	BELB,
	IMTF,
	BLXA,
	GFKS,
	SGOE,
	UBSA,
	UBSS,
	IBIS,
	TFSD,
	TRAS,
	TSIG,
	UTSL,
	CSZH,
	EUWA,
	EXSY,
	A2XX,
	FXOP,
	TRDE,
	AKIS,
	BPSX,
	IGDL,
	JSSI,
	TWGP,
	GMGD,
	GMGL,
	NPEX,
	OAPA,
	DDTX,
	HPCX,
	SB1M,
	ANTS,
	SGMX,
	SSBI,
	DBAG,
	MKAP,
	GSAL,
	SWEE,
	SWLT,
	SWLV,
	ODDO,
	ODOC,
	SANT,
	UBIN,
	CSLB,
	JISI,
	VWDX,
	BAMX,
	SEBS,
	XABC,
	GFIC,
	KELR,
	XBOX,
	NORD,
	OTXB,
	SEMX,
	AACA,
	ABSI,
	BINV,
	GLMX,
	GTXE,
	JPCB,
	NLBX,
	ROSR,
	XLLB,
	XVPB,
	HBPL,
	XABG,
	ALSI,
	SBSI,
	TDBL,
	BNPA,
	BNPF,
	BNPS,
	ICEO,
	ISWA,
	NWMS,
	RBCE,
	XSGA,
	KBLM,
	KOTF,
	LASP,
	TDON,
	TSAF,
	UBIS,
	XIEL,
	BANA,
	CSEC,
	MLIX,
	SVEX,
	AAPA,
	CIMD,
	CURX,
	SKSI,
	SQUA,
	SSBT,
	AFSA,
	ARIA,
	DVFX,
	ETPA,
	LOUI,
	RABO,
	BBVA,
	BTNL,
	CAPI,
	XRCB,
	APEX,
	TGAT,
	NYSI,
	XMAL,
	CASI,
	CNSI,
	CCEU,
	XTXM,
	AURB,
	VAGL,
	BCSL,
	GFIB,
	INGB,
	SFCL,
	TPSL,
	VONT,
	BKBR,
	CBKA,
	TPSO,
	CGML,
	CPTX,
	MAQL,
	DZBK,
	TPEL,
	TPEO,
	TWHK,
	TWSG,
	WOOD,
	LOYD,
	BOFS,
	SUNT,
	SWBI,
	WBKP,
	BGSI,
	BPLC,
	LSSI,
	BIVA,
	BKLN,
	FISU,
	JBSI,
	NAPA,
	POTC,
	PPEX,
	BAAD,
	INVE,
	XDNB,
	IFLS,
	EXOT,
	ANZL,
	ECHO,
	FBSI,
	HSBC,
	HSBT,
	NATX,
	STAN,
	VCMO,
	ADVT,
	CSIN,
	DOWG,
	AMPX,
	FXGB,
	TRSI,
	BTEE,
	EBSS,
	RBCB,
	RBCT,
	GSIB,
	HUDX,
	IMCS,
	XDUB,
	BILT,
	MUFP,
	VFIL,
	CCML,
	CFTW,
	DAPA,
	VLEX,
	3579,
	MHIP,
	WINS,
	MASG,
	TCML,
	FRTE,
	THEM,
	LEDG,
	MUTI,
	NDCM,
	NDEX,
	SPEC,
	BCRM,
	GOTC,
	MFXC,
	SNSI,
	VERT,
	APXL,
	CLTD,
	DRCT,
	MTXX,
	XEEE,
	MTSO,
	NOSI,
	XBDV,
	DIFX,
	AUTX,
	NEXS,
	VIRT,
	BALT,
	CGMA,
	CGMH,
	CGMI,
	CGMX,
	CITX,
	LQED,
	PTPG,
	UFEX,
	TSAD,
	XKAR,
	XLGT,
	PEEL,
	JPBX,
	JPSI,
	AREX,
	CSAU,
	CSEU,
	CSHK,
	CSJP,
	FICX,
	GBOT,
	GRIF,
	IBGH,
	IEXG,
	LMEC,
	NEXO,
	NMRJ,
	XBEL,
	XBLB,
	XMUN,
	XNXC,
	XVES,
	360T,
	AATS,
	ACEX,
	AFDL,
	AFET,
	AFSE,
	ASEX,
	AWBX,
	AWEX,
	BACE,
	BAML,
	BAPA,
	BAPX,
	BARX,
	BBSF,
	BCFS,
	BCMM,
	BCSE,
	BCXE,
	BEAM,
	BEEX,
	BETP,
	BGCF,
	BGCI,
	BHSF,
	BIDS,
	BLEV,
	BLPX,
	BPOL,
	BMEX,
	BMTF,
	BNYC,
	BOAT,
	BOSC,
	BOVA,
	BOVM,
	BRIX,
	BRNX,
	BSEX,
	BTEC,
	BVCA,
	BVMF,
	BVUR,
	CAND,
	CANX,
	CATS,
	CCFX,
	CCLX,
	CCO2,
	CDED,
	CDSL,
	CGIT,
	CHEV,
	CHIA,
	CHIC,
	CHIJ,
	CLAU,
	CLHK,
	CLJP,
	CLMX,
	CLPH,
	CMET,
	CMMT,
	CMSF,
	COAL,
	COMG,
	COTC,
	CRED,
	CRYD,
	CRYP,
	CRYX,
	CSSX,
	DASI,
	DBHK,
	DBOX,
	DCSX,
	DEAL,
	DGCX,
	DKTC,
	DOTS,
	DSMD,
	DUMX,
	ECAG,
	ECAL,
	EEAL,
	EESE,
	EGMT,
	EGSI,
	EMBX,
	EMID,
	ENCL,
	EOTC,
	EPEX,
	ETSC,
	EXEU,
	EXTR,
	FAIR,
	FGEX,
	FINR,
	FISH,
	FMTS,
	FSEF,
	FSHX,
	FXAL,
	FXCM,
	G1XX,
	GEMX,
	GETB,
	GLLC,
	GLPS,
	GLPX,
	GMEG,
	GMTF,
	GOVX,
	GREE,
	GRSE,
	GSCI,
	GSCO,
	GSEF,
	GSIL,
	GSXL,
	GTCO,
	GTSX,
	GTXS,
	GXMA,
	HCHC,
	HDAT,
	HEGX,
	HMTF,
	HPPO,
	HSFX,
	HSTC,
	HSXA,
	HUPX,
	IBAL,
	IBEX,
	ICDX,
	ICEL,
	ICXL,
	IFEU,
	IFSG,
	IFUS,
	IMEX,
	ISDA,
	ISEX,
	ITGI,
	IVZX,
	JADX,
	JNST,
	JPMI,
	JPMX,
	JSES,
	JSJX,
	KCCP,
	KLEU,
	KNIG,
	KRME,
	LASF,
	LCHC,
	LCUR,
	LICA,
	LIQU,
	LIUS,
	LMAX,
	LOTC,
	LPPM,
	LTAA,
	LXJP,
	MAEL,
	MALX,
	MAQH,
	MAQJ,
	MAQX,
	MATN,
	MATX,
	MBUL,
	MFGL,
	MIBG,
	MIHI,
	MIZX,
	MSAL,
	MSCO,
	MSIP,
	MSMS,
	MYTR,
	N2EX,
	NAMX,
	NASX,
	NBLX,
	NBOT,
	NCEL,
	NFSC,
	NGXC,
	NILX,
	NLPX,
	NMCE,
	NMRA,
	NODX,
	NOFF,
	NOPS,
	NOSC,
	NOTC,
	NPGA,
	NSXB,
	NXEU,
	NXUS,
	NYPC,
	OLLC,
	OMEL,
	OMGA,
	OMIC,
	OPRA,
	OSLC,
	OTCE,
	OTCX,
	PAVE,
	PDEX,
	PFTS,
	PIEU,
	PIPE,
	PIRM,
	PRSE,
	PVMF,
	PXIL,
	QWIX,
	RBSX,
	ROCO,
	ROFX,
	ROTC,
	RPDX,
	RSEX,
	RTSP,
	S3FM,
	SECC,
	SECD,
	SECE,
	SECF,
	SEDC,
	SELC,
	SEPE,
	SGEX,
	SGMA,
	SHAR,
	SHAW,
	SIGA,
	SIGJ,
	SIMV,
	SMEX,
	SOHO,
	SPIM,
	SPRZ,
	SPXE,
	SSEX,
	SSTX,
	STOX,
	SWAP,
	SXSI,
	TERA,
	TFEX,
	TFSA,
	TFSU,
	TMID,
	TOCP,
	TPIE,
	TPSE,
	TRCK,
	TREU,
	TRQX,
	TRUX,
	TRWB,
	TSEF,
	TWEU,
	UBSG,
	UBSX,
	UKEX,
	UKPX,
	ULTX,
	VEGA,
	VFCM,
	VMFX,
	WSAG,
	XADS,
	XAFR,
	XAFX,
	XALG,
	XAMS,
	XAQS,
	XARM,
	XASX,
	XATS,
	XBAA,
	XBAB,
	XBAH,
	XBAN,
	XBBJ,
	XBBK,
	XBCC,
	XBCL,
	XBCM,
	XBCV,
	XBDA,
	XBER,
	XBEY,
	XBKK,
	XBLN,
	XBNV,
	XBOG,
	XBOL,
	XBOM,
	XBOT,
	XBRA,
	XBRM,
	XBRN,
	XBRU,
	XBRV,
	XBSE,
	XBUD,
	XBUE,
	XBUL,
	XBVC,
	XBVR,
	XCAI,
	XCAL,
	XCAS,
	XCAY,
	XCBT,
	XCDE,
	XCET,
	XCFE,
	XCFF,
	XCGS,
	XCHG,
	XCIE,
	XCME,
	XCNF,
	XCOL,
	XCOR,
	XCRO,
	XCSE,
	XCSX,
	XCUE,
	XCUR,
	XCXD,
	XCYS,
	XDAR,
	XDCE,
	XDES,
	XDFB,
	XDFM,
	XDHA,
	XDPA,
	XDSE,
	XDSX,
	XDUS,
	XEBI,
	XECB,
	XECC,
	XECS,
	XELX,
	XEMD,
	XEMS,
	XETR,
	XEUP,
	XEUR,
	XFKA,
	XFRA,
	XGAS,
	XGCL,
	XGHA,
	XGME,
	XGMX,
	XGSE,
	XGTG,
	XGUA,
	XHAM,
	XHAN,
	XHEL,
	XHKF,
	XHKG,
	XIBE,
	XICE,
	XICX,
	XIDX,
	XIHK,
	XIMA,
	XIMC,
	XINS,
	XINV,
	XIQS,
	XIST,
	XISX,
	XJAM,
	XJNB,
	XJPX,
	XJSE,
	XKAC,
	XKAZ,
	XKCE,
	XKFB,
	XKHA,
	XKHR,
	XKIE,
	XKIS,
	XKLS,
	XKRX,
	XKSE,
	XKUW,
	XLAO,
	XLBM,
	XLFX,
	XLIM,
	XLIT,
	XLJU,
	XLME,
	XLON,
	XLSM,
	XLUS,
	XLUX,
	XMAB,
	XMAE,
	XMAN,
	XMAU,
	XMDG,
	XMDS,
	XMER,
	XMEX,
	XMGE,
	XMIL,
	XMNT,
	XMNX,
	XMOC,
	XMOD,
	XMOL,
	XMSW,
	XMTB,
	XMTS,
	XMUS,
	XNAF,
	XNAI,
	XNAM,
	XNAS,
	XNCD,
	XNEC,
	XNEP,
	XNGM,
	XNGO,
	XNKS,
	XNSA,
	XNSE,
	XNYM,
	XNYS,
	XNZE,
	XODE,
	XOFF,
	XPAE,
	XPAR,
	XPHS,
	XPIC,
	XPOW,
	XPRA,
	XPRI,
	XPST,
	XPTY,
	XPXE,
	XQUI,
	XRBM,
	XRIS,
	XRMZ,
	XROS,
	XRPM,
	XRUS,
	XSAM,
	XSAP,
	XSAU,
	XSCO,
	XSEF,
	XSES,
	XSGE,
	XSGO,
	XSHE,
	XSHG,
	XSIB,
	XSOP,
	XSPS,
	XSSE,
	XSTC,
	XSTE,
	XSTO,
	XSTU,
	XSVA,
	XSWA,
	XSWB,
	XTAE,
	XTAF,
	XTAI,
	XTAL,
	XTEH,
	XTFF,
	XTIR,
	XTKT,
	XTRN,
	XTRZ,
	XTSE,
	XTSX,
	XTUN,
	XUAX,
	XUGA,
	XUKR,
	XULA,
	XUNI,
	XUSE,
	XVPA,
	XWAR,
	XWBO,
	XXSC,
	XXXX,
	XYIE,
	XZAG,
	XZCE,
	XZIM,
	ZKBX,
	UKCA,
	ASEF,
	XEBS,
	NSPO,
	OTCI,
	GFOX,
	TERM,
	PATF,
	ODXE,
	HPSX,
	DBDX,
	ARTX,
	SPTX,
	STXS,
	EUFN,
	GFAU,
	XIGG,
	SMBC,
	BGCA,
	XFTX,
	NABP,
	RITS,
	CAST,
	XABX,
	CILH,
	CBAE,
	TRDC,
	NSSA,
	CMCM,
	SFOX,
	BJSE,
	NEEQ,
	VFEX,
	MSDM,
	IBSI,
	RAJA,
	LPSF,
	GBSI,
	TPID,
	INGU,
	SISU,
	OTXT,
	BOCF,
	FPWB,
	SPAX,
	LEBV,
	LESI,
	GMGE,
	INTL,
	TMUK,
	U360,
	BDPL,
	VMEX,
	INFT,
	EDXM,
	IBKR,
	ALGO,
	XAND,
	GSLO,
	RTXF,
	VUBA,
	G360,
	ACXL,
	ACXC,
	ATAD,
	GSXN,
	RULE,
	XCVD,
	XANM,
	CFIM,
	RFIM,
	BNDS,

}

impl MIC {
    pub fn operating_mic(&self) -> &'static str {
        match self {
			DRSP => "DRSP",
			XCNQ => "XCNQ",
			ZODM => "ZODM",
			NORX => "NORX",
			POSE => "POSE",
			PUND => "PUND",
			UCBG => "UCBG",
			BBLX => "BBLX",
			SPBE => "SPBE",
			OTCM => "OTCM",
			FREX => "FREX",
			IDXM => "IDXM",
			MBCP => "MBCP",
			OCEA => "OCEA",
			OSDS => "OSDS",
			OSSG => "OSSG",
			RR4G => "RR4G",
			TRUK => "TRUK",
			UGEN => "UGEN",
			CNOD => "CNOD",
			BGLU => "BGLU",
			GFAM => "GFAM",
			TMCY => "TMCY",
			UBEC => "UBEC",
			ESLO => "ESLO",
			IOTF => "IOTF",
			SEBA => "SEBA",
			BRED => "BRED",
			RUSX => "RUSX",
			UNGB => "UNGB",
			XLQC => "XLQC",
			XMOS => "XMOS",
			CFIC => "CFIC",
			HBFR => "HBFR",
			KLSH => "KLSH",
			MUDX => "MUDX",
			TRAX => "TRAX",
			TRNL => "TRNL",
			XPET => "XPET",
			LEVL => "LEVL",
			STRM => "STRM",
			ABNC => "ABNC",
			BNPC => "BNPC",
			PBGR => "PBGR",
			SIDX => "SIDX",
			SIFX => "SIFX",
			TEUR => "TEUR",
			AILT => "AILT",
			ARAX => "ARAX",
			CGXS => "CGXS",
			MIDC => "MIDC",
			RABL => "RABL",
			RMMS => "RMMS",
			CECA => "CECA",
			JNSI => "JNSI",
			XSWX => "XSWX",
			BNPX => "BNPX",
			BTRL => "BTRL",
			NTUK => "NTUK",
			EQOS => "EQOS",
			LMNR => "LMNR",
			EQCA => "EQCA",
			EQUS => "EQUS",
			EVOL => "EVOL",
			RBCC => "RBCC",
			BEBG => "BEBG",
			XTXD => "XTXD",
			XOSL => "XOSL",
			BSAB => "BSAB",
			BSPL => "BSPL",
			BSTX => "BSTX",
			XNOM => "XNOM",
			OLBB => "OLBB",
			SGMU => "SGMU",
			AFEX => "AFEX",
			BNPL => "BNPL",
			CAPL => "CAPL",
			CCMX => "CCMX",
			MSBI => "MSBI",
			T212 => "T212",
			TMEX => "TMEX",
			XCBO => "XCBO",
			XPOM => "XPOM",
			CLST => "CLST",
			LLAT => "LLAT",
			IMMH => "IMMH",
			AQSE => "AQSE",
			ENMS => "ENMS",
			FAST => "FAST",
			LELE => "LELE",
			MCXX => "MCXX",
			PEPW => "PEPW",
			WFLB => "WFLB",
			NBFL => "NBFL",
			MAXD => "MAXD",
			BTBS => "BTBS",
			SKBB => "SKBB",
			BDSK => "BDSK",
			DEXE => "DEXE",
			OTPR => "OTPR",
			SBIJ => "SBIJ",
			XOTP => "XOTP",
			XBVM => "XBVM",
			MAQE => "MAQE",
			MEMX => "MEMX",
			PARK => "PARK",
			PIPR => "PIPR",
			SKYX => "SKYX",
			GLOM => "GLOM",
			TRAI => "TRAI",
			CBOE => "CBOE",
			COHR => "COHR",
			STFX => "STFX",
			XLCH => "XLCH",
			BGHX => "BGHX",
			CSAS => "CSAS",
			LTSE => "LTSE",
			XFEX => "XFEX",
			CALH => "CALH",
			OMIP => "OMIP",
			XLIS => "XLIS",
			DAUK => "DAUK",
			BSLB => "BSLB",
			CFIL => "CFIL",
			RBCM => "RBCM",
			THRE => "THRE",
			BKKT => "BKKT",
			XPUS => "XPUS",
			BMLI => "BMLI",
			ITGL => "ITGL",
			XAMM => "XAMM",
			VFGB => "VFGB",
			SEBL => "SEBL",
			VIUK => "VIUK",
			24EX => "24EX",
			BBSX => "BBSX",
			SCOT => "SCOT",
			SPEX => "SPEX",
			IFAD => "IFAD",
			JLQD => "JLQD",
			LAMP => "LAMP",
			RCMA => "RCMA",
			MKTF => "MKTF",
			XSGB => "XSGB",
			YKNA => "YKNA",
			CSDA => "CSDA",
			DOWM => "DOWM",
			GSXC => "GSXC",
			GSXK => "GSXK",
			GSXT => "GSXT",
			VAGM => "VAGM",
			BMCM => "BMCM",
			ABFI => "ABFI",
			DASH => "DASH",
			MISX => "MISX",
			BAJD => "BAJD",
			NEOE => "NEOE",
			TRPX => "TRPX",
			KOME => "KOME",
			TRCX => "TRCX",
			ERBX => "ERBX",
			IBER => "IBER",
			ALLT => "ALLT",
			BILU => "BILU",
			CBSK => "CBSK",
			CODA => "CODA",
			SMBD => "SMBD",
			STFL => "STFL",
			XALT => "XALT",
			SAGE => "SAGE",
			ARCH => "ARCH",
			JPMS => "JPMS",
			SNUK => "SNUK",
			ARKX => "ARKX",
			SVXI => "SVXI",
			XALS => "XALS",
			CGMG => "CGMG",
			PUMA => "PUMA",
			4AXE => "4AXE",
			EBHU => "EBHU",
			FNUK => "FNUK",
			UCHU => "UCHU",
			CBNL => "CBNL",
			FTUS => "FTUS",
			BGUK => "BGUK",
			CLVE => "CLVE",
			CPGX => "CPGX",
			CEPL => "CEPL",
			CEPU => "CEPU",
			DBAB => "DBAB",
			OTCN => "OTCN",
			RTSL => "RTSL",
			TDGF => "TDGF",
			UBSB => "UBSB",
			UBSL => "UBSL",
			BFPT => "BFPT",
			CONC => "CONC",
			IFBX => "IFBX",
			SCXO => "SCXO",
			SYFX => "SYFX",
			SSIL => "SSIL",
			MANL => "MANL",
			BETX => "BETX",
			BTLX => "BTLX",
			CCEX => "CCEX",
			AQEU => "AQEU",
			AQXE => "AQXE",
			BKDM => "BKDM",
			BNLD => "BNLD",
			CAVD => "CAVD",
			GIPB => "GIPB",
			ICPM => "ICPM",
			JLEU => "JLEU",
			SMFF => "SMFF",
			SPTR => "SPTR",
			ELXE => "ELXE",
			SCAG => "SCAG",
			SGAS => "SGAS",
			SMFE => "SMFE",
			TRXE => "TRXE",
			MHBE => "MHBE",
			CSGI => "CSGI",
			EUCC => "EUCC",
			BREA => "BREA",
			XTXE => "XTXE",
			BLUE => "BLUE",
			BTAM => "BTAM",
			CABV => "CABV",
			RFBK => "RFBK",
			TOWR => "TOWR",
			FLWX => "FLWX",
			BLUX => "BLUX",
			DBLX => "DBLX",
			DHLX => "DHLX",
			KHHU => "KHHU",
			MCID => "MCID",
			NCME => "NCME",
			ISWP => "ISWP",
			MSEL => "MSEL",
			NCML => "NCML",
			XPUK => "XPUK",
			CSAG => "CSAG",
			GSBE => "GSBE",
			HREU => "HREU",
			CREM => "CREM",
			DWFI => "DWFI",
			BNPP => "BNPP",
			CIBH => "CIBH",
			CSMD => "CSMD",
			GMES => "GMES",
			KBLL => "KBLL",
			MHBP => "MHBP",
			MHEU => "MHEU",
			UBCZ => "UBCZ",
			ATLN => "ATLN",
			LBCW => "LBCW",
			AGBP => "AGBP",
			EBSN => "EBSN",
			ECEU => "ECEU",
			TPIC => "TPIC",
			XTRD => "XTRD",
			MLEX => "MLEX",
			ATHL => "ATHL",
			BCSC => "BCSC",
			CFIF => "CFIF",
			JEFE => "JEFE",
			MHBL => "MHBL",
			NOWX => "NOWX",
			PKOP => "PKOP",
			VUSA => "VUSA",
			ABAN => "ABAN",
			EQIE => "EQIE",
			EQLD => "EQLD",
			GPBC => "GPBC",
			OHVO => "OHVO",
			RBCG => "RBCG",
			RMTF => "RMTF",
			UCBA => "UCBA",
			UCDE => "UCDE",
			UCIT => "UCIT",
			BRGA => "BRGA",
			XNOR => "XNOR",
			BCMA => "BCMA",
			CSOB => "CSOB",
			ICUR => "ICUR",
			IFXC => "IFXC",
			MUSN => "MUSN",
			SPDX => "SPDX",
			NIBC => "NIBC",
			UICE => "UICE",
			XNDU => "XNDU",
			ECSL => "ECSL",
			MSEU => "MSEU",
			BRDE => "BRDE",
			CIBC => "CIBC",
			CIBP => "CIBP",
			FTFS => "FTFS",
			CABK => "CABK",
			CCRM => "CCRM",
			CCXE => "CCXE",
			DEKA => "DEKA",
			ICOT => "ICOT",
			ISSI => "ISSI",
			JYSI => "JYSI",
			NWNV => "NWNV",
			OTPB => "OTPB",
			RBHU => "RBHU",
			RENC => "RENC",
			TPEU => "TPEU",
			WSIL => "WSIL",
			INGW => "INGW",
			MAKX => "MAKX",
			WSIN => "WSIN",
			SLHB => "SLHB",
			SIBC => "SIBC",
			WELN => "WELN",
			BMLB => "BMLB",
			XSAT => "XSAT",
			BAIP => "BAIP",
			DAVY => "DAVY",
			LIGA => "LIGA",
			MBPL => "MBPL",
			WELS => "WELS",
			CBAL => "CBAL",
			SIAB => "SIAB",
			BKSK => "BKSK",
			CMCI => "CMCI",
			MHBD => "MHBD",
			MUSE => "MUSE",
			ABNA => "ABNA",
			BBIE => "BBIE",
			ERST => "ERST",
			IKBS => "IKBS",
			TQEX => "TQEX",
			APAW => "APAW",
			NABL => "NABL",
			OBKL => "OBKL",
			TWJP => "TWJP",
			HRTF => "HRTF",
			SMBB => "SMBB",
			CGMD => "CGMD",
			HEMO => "HEMO",
			IMCT => "IMCT",
			METZ => "METZ",
			MUBL => "MUBL",
			MUBM => "MUBM",
			MUBP => "MUBP",
			RBIV => "RBIV",
			SMBG => "SMBG",
			MUBE => "MUBE",
			JPEU => "JPEU",
			SMBE => "SMBE",
			SMBP => "SMBP",
			HELA => "HELA",
			NESI => "NESI",
			BHWA => "BHWA",
			ISBA => "ISBA",
			KBCB => "KBCB",
			MAQI => "MAQI",
			MAQU => "MAQU",
			FICO => "FICO",
			LBBW => "LBBW",
			BAPE => "BAPE",
			BASE => "BASE",
			BCEE => "BCEE",
			BPKO => "BPKO",
			BTFE => "BTFE",
			HRSI => "HRSI",
			R5FX => "R5FX",
			SISI => "SISI",
			BEIS => "BEIS",
			BLBB => "BLBB",
			BASX => "BASX",
			HRTX => "HRTX",
			INCR => "INCR",
			OCSI => "OCSI",
			EDRF => "EDRF",
			BNSX => "BNSX",
			EXSE => "EXSE",
			AIXK => "AIXK",
			LBCM => "LBCM",
			RLBO => "RLBO",
			SBEX => "SBEX",
			VTBC => "VTBC",
			ZARX => "ZARX",
			IPSX => "IPSX",
			COMM => "COMM",
			ATLB => "ATLB",
			CCMS => "CCMS",
			DAIW => "DAIW",
			IINX => "IINX",
			OPCO => "OPCO",
			BELB => "BELB",
			IMTF => "IMTF",
			BLXA => "BLXA",
			GFKS => "GFKS",
			SGOE => "SGOE",
			UBSA => "UBSA",
			UBSS => "UBSS",
			IBIS => "IBIS",
			TFSD => "TFSD",
			TRAS => "TRAS",
			TSIG => "TSIG",
			UTSL => "UTSL",
			CSZH => "CSZH",
			EUWA => "EUWA",
			EXSY => "EXSY",
			A2XX => "A2XX",
			FXOP => "FXOP",
			TRDE => "TRDE",
			AKIS => "AKIS",
			BPSX => "BPSX",
			IGDL => "IGDL",
			JSSI => "JSSI",
			TWGP => "TWGP",
			GMGD => "GMGD",
			GMGL => "GMGL",
			NPEX => "NPEX",
			OAPA => "OAPA",
			DDTX => "DDTX",
			HPCX => "HPCX",
			SB1M => "SB1M",
			ANTS => "ANTS",
			SGMX => "SGMX",
			SSBI => "SSBI",
			DBAG => "DBAG",
			MKAP => "MKAP",
			GSAL => "GSAL",
			SWEE => "SWEE",
			SWLT => "SWLT",
			SWLV => "SWLV",
			ODDO => "ODDO",
			ODOC => "ODOC",
			SANT => "SANT",
			UBIN => "UBIN",
			CSLB => "CSLB",
			JISI => "JISI",
			VWDX => "VWDX",
			BAMX => "BAMX",
			SEBS => "SEBS",
			XABC => "XABC",
			GFIC => "GFIC",
			KELR => "KELR",
			XBOX => "XBOX",
			NORD => "NORD",
			OTXB => "OTXB",
			SEMX => "SEMX",
			AACA => "AACA",
			ABSI => "ABSI",
			BINV => "BINV",
			GLMX => "GLMX",
			GTXE => "GTXE",
			JPCB => "JPCB",
			NLBX => "NLBX",
			ROSR => "ROSR",
			XLLB => "XLLB",
			XVPB => "XVPB",
			HBPL => "HBPL",
			XABG => "XABG",
			ALSI => "ALSI",
			SBSI => "SBSI",
			TDBL => "TDBL",
			BNPA => "BNPA",
			BNPF => "BNPF",
			BNPS => "BNPS",
			ICEO => "ICEO",
			ISWA => "ISWA",
			NWMS => "NWMS",
			RBCE => "RBCE",
			XSGA => "XSGA",
			KBLM => "KBLM",
			KOTF => "KOTF",
			LASP => "LASP",
			TDON => "TDON",
			TSAF => "TSAF",
			UBIS => "UBIS",
			XIEL => "XIEL",
			BANA => "BANA",
			CSEC => "CSEC",
			MLIX => "MLIX",
			SVEX => "SVEX",
			AAPA => "AAPA",
			CIMD => "CIMD",
			CURX => "CURX",
			SKSI => "SKSI",
			SQUA => "SQUA",
			SSBT => "SSBT",
			AFSA => "AFSA",
			ARIA => "ARIA",
			DVFX => "DVFX",
			ETPA => "ETPA",
			LOUI => "LOUI",
			RABO => "RABO",
			BBVA => "BBVA",
			BTNL => "BTNL",
			CAPI => "CAPI",
			XRCB => "XRCB",
			APEX => "APEX",
			TGAT => "TGAT",
			NYSI => "NYSI",
			XMAL => "XMAL",
			CASI => "CASI",
			CNSI => "CNSI",
			CCEU => "CCEU",
			XTXM => "XTXM",
			AURB => "AURB",
			VAGL => "VAGL",
			BCSL => "BCSL",
			GFIB => "GFIB",
			INGB => "INGB",
			SFCL => "SFCL",
			TPSL => "TPSL",
			VONT => "VONT",
			BKBR => "BKBR",
			CBKA => "CBKA",
			TPSO => "TPSO",
			CGML => "CGML",
			CPTX => "CPTX",
			MAQL => "MAQL",
			DZBK => "DZBK",
			TPEL => "TPEL",
			TPEO => "TPEO",
			TWHK => "TWHK",
			TWSG => "TWSG",
			WOOD => "WOOD",
			LOYD => "LOYD",
			BOFS => "BOFS",
			SUNT => "SUNT",
			SWBI => "SWBI",
			WBKP => "WBKP",
			BGSI => "BGSI",
			BPLC => "BPLC",
			LSSI => "LSSI",
			BIVA => "BIVA",
			BKLN => "BKLN",
			FISU => "FISU",
			JBSI => "JBSI",
			NAPA => "NAPA",
			POTC => "POTC",
			PPEX => "PPEX",
			BAAD => "BAAD",
			INVE => "INVE",
			XDNB => "XDNB",
			IFLS => "IFLS",
			EXOT => "EXOT",
			ANZL => "ANZL",
			ECHO => "ECHO",
			FBSI => "FBSI",
			HSBC => "HSBC",
			HSBT => "HSBT",
			NATX => "NATX",
			STAN => "STAN",
			VCMO => "VCMO",
			ADVT => "ADVT",
			CSIN => "CSIN",
			DOWG => "DOWG",
			AMPX => "AMPX",
			FXGB => "FXGB",
			TRSI => "TRSI",
			BTEE => "BTEE",
			EBSS => "EBSS",
			RBCB => "RBCB",
			RBCT => "RBCT",
			GSIB => "GSIB",
			HUDX => "HUDX",
			IMCS => "IMCS",
			XDUB => "XDUB",
			BILT => "BILT",
			MUFP => "MUFP",
			VFIL => "VFIL",
			CCML => "CCML",
			CFTW => "CFTW",
			DAPA => "DAPA",
			VLEX => "VLEX",
			3579 => "3579",
			MHIP => "MHIP",
			WINS => "WINS",
			MASG => "MASG",
			TCML => "TCML",
			FRTE => "FRTE",
			THEM => "THEM",
			LEDG => "LEDG",
			MUTI => "MUTI",
			NDCM => "NDCM",
			NDEX => "NDEX",
			SPEC => "SPEC",
			BCRM => "BCRM",
			GOTC => "GOTC",
			MFXC => "MFXC",
			SNSI => "SNSI",
			VERT => "VERT",
			APXL => "APXL",
			CLTD => "CLTD",
			DRCT => "DRCT",
			MTXX => "MTXX",
			XEEE => "XEEE",
			MTSO => "MTSO",
			NOSI => "NOSI",
			XBDV => "XBDV",
			DIFX => "DIFX",
			AUTX => "AUTX",
			NEXS => "NEXS",
			VIRT => "VIRT",
			BALT => "BALT",
			CGMA => "CGMA",
			CGMH => "CGMH",
			CGMI => "CGMI",
			CGMX => "CGMX",
			CITX => "CITX",
			LQED => "LQED",
			PTPG => "PTPG",
			UFEX => "UFEX",
			TSAD => "TSAD",
			XKAR => "XKAR",
			XLGT => "XLGT",
			PEEL => "PEEL",
			JPBX => "JPBX",
			JPSI => "JPSI",
			AREX => "AREX",
			CSAU => "CSAU",
			CSEU => "CSEU",
			CSHK => "CSHK",
			CSJP => "CSJP",
			FICX => "FICX",
			GBOT => "GBOT",
			GRIF => "GRIF",
			IBGH => "IBGH",
			IEXG => "IEXG",
			LMEC => "LMEC",
			NEXO => "NEXO",
			NMRJ => "NMRJ",
			XBEL => "XBEL",
			XBLB => "XBLB",
			XMUN => "XMUN",
			XNXC => "XNXC",
			XVES => "XVES",
			360T => "360T",
			AATS => "AATS",
			ACEX => "ACEX",
			AFDL => "AFDL",
			AFET => "AFET",
			AFSE => "AFSE",
			ASEX => "ASEX",
			AWBX => "AWBX",
			AWEX => "AWEX",
			BACE => "BACE",
			BAML => "BAML",
			BAPA => "BAPA",
			BAPX => "BAPX",
			BARX => "BARX",
			BBSF => "BBSF",
			BCFS => "BCFS",
			BCMM => "BCMM",
			BCSE => "BCSE",
			BCXE => "BCXE",
			BEAM => "BEAM",
			BEEX => "BEEX",
			BETP => "BETP",
			BGCF => "BGCF",
			BGCI => "BGCI",
			BHSF => "BHSF",
			BIDS => "BIDS",
			BLEV => "BLEV",
			BLPX => "BLPX",
			BPOL => "BPOL",
			BMEX => "BMEX",
			BMTF => "BMTF",
			BNYC => "BNYC",
			BOAT => "BOAT",
			BOSC => "BOSC",
			BOVA => "BOVA",
			BOVM => "BOVM",
			BRIX => "BRIX",
			BRNX => "BRNX",
			BSEX => "BSEX",
			BTEC => "BTEC",
			BVCA => "BVCA",
			BVMF => "BVMF",
			BVUR => "BVUR",
			CAND => "CAND",
			CANX => "CANX",
			CATS => "CATS",
			CCFX => "CCFX",
			CCLX => "CCLX",
			CCO2 => "CCO2",
			CDED => "CDED",
			CDSL => "CDSL",
			CGIT => "CGIT",
			CHEV => "CHEV",
			CHIA => "CHIA",
			CHIC => "CHIC",
			CHIJ => "CHIJ",
			CLAU => "CLAU",
			CLHK => "CLHK",
			CLJP => "CLJP",
			CLMX => "CLMX",
			CLPH => "CLPH",
			CMET => "CMET",
			CMMT => "CMMT",
			CMSF => "CMSF",
			COAL => "COAL",
			COMG => "COMG",
			COTC => "COTC",
			CRED => "CRED",
			CRYD => "CRYD",
			CRYP => "CRYP",
			CRYX => "CRYX",
			CSSX => "CSSX",
			DASI => "DASI",
			DBHK => "DBHK",
			DBOX => "DBOX",
			DCSX => "DCSX",
			DEAL => "DEAL",
			DGCX => "DGCX",
			DKTC => "DKTC",
			DOTS => "DOTS",
			DSMD => "DSMD",
			DUMX => "DUMX",
			ECAG => "ECAG",
			ECAL => "ECAL",
			EEAL => "EEAL",
			EESE => "EESE",
			EGMT => "EGMT",
			EGSI => "EGSI",
			EMBX => "EMBX",
			EMID => "EMID",
			ENCL => "ENCL",
			EOTC => "EOTC",
			EPEX => "EPEX",
			ETSC => "ETSC",
			EXEU => "EXEU",
			EXTR => "EXTR",
			FAIR => "FAIR",
			FGEX => "FGEX",
			FINR => "FINR",
			FISH => "FISH",
			FMTS => "FMTS",
			FSEF => "FSEF",
			FSHX => "FSHX",
			FXAL => "FXAL",
			FXCM => "FXCM",
			G1XX => "G1XX",
			GEMX => "GEMX",
			GETB => "GETB",
			GLLC => "GLLC",
			GLPS => "GLPS",
			GLPX => "GLPX",
			GMEG => "GMEG",
			GMTF => "GMTF",
			GOVX => "GOVX",
			GREE => "GREE",
			GRSE => "GRSE",
			GSCI => "GSCI",
			GSCO => "GSCO",
			GSEF => "GSEF",
			GSIL => "GSIL",
			GSXL => "GSXL",
			GTCO => "GTCO",
			GTSX => "GTSX",
			GTXS => "GTXS",
			GXMA => "GXMA",
			HCHC => "HCHC",
			HDAT => "HDAT",
			HEGX => "HEGX",
			HMTF => "HMTF",
			HPPO => "HPPO",
			HSFX => "HSFX",
			HSTC => "HSTC",
			HSXA => "HSXA",
			HUPX => "HUPX",
			IBAL => "IBAL",
			IBEX => "IBEX",
			ICDX => "ICDX",
			ICEL => "ICEL",
			ICXL => "ICXL",
			IFEU => "IFEU",
			IFSG => "IFSG",
			IFUS => "IFUS",
			IMEX => "IMEX",
			ISDA => "ISDA",
			ISEX => "ISEX",
			ITGI => "ITGI",
			IVZX => "IVZX",
			JADX => "JADX",
			JNST => "JNST",
			JPMI => "JPMI",
			JPMX => "JPMX",
			JSES => "JSES",
			JSJX => "JSJX",
			KCCP => "KCCP",
			KLEU => "KLEU",
			KNIG => "KNIG",
			KRME => "KRME",
			LASF => "LASF",
			LCHC => "LCHC",
			LCUR => "LCUR",
			LICA => "LICA",
			LIQU => "LIQU",
			LIUS => "LIUS",
			LMAX => "LMAX",
			LOTC => "LOTC",
			LPPM => "LPPM",
			LTAA => "LTAA",
			LXJP => "LXJP",
			MAEL => "MAEL",
			MALX => "MALX",
			MAQH => "MAQH",
			MAQJ => "MAQJ",
			MAQX => "MAQX",
			MATN => "MATN",
			MATX => "MATX",
			MBUL => "MBUL",
			MFGL => "MFGL",
			MIBG => "MIBG",
			MIHI => "MIHI",
			MIZX => "MIZX",
			MSAL => "MSAL",
			MSCO => "MSCO",
			MSIP => "MSIP",
			MSMS => "MSMS",
			MYTR => "MYTR",
			N2EX => "N2EX",
			NAMX => "NAMX",
			NASX => "NASX",
			NBLX => "NBLX",
			NBOT => "NBOT",
			NCEL => "NCEL",
			NFSC => "NFSC",
			NGXC => "NGXC",
			NILX => "NILX",
			NLPX => "NLPX",
			NMCE => "NMCE",
			NMRA => "NMRA",
			NODX => "NODX",
			NOFF => "NOFF",
			NOPS => "NOPS",
			NOSC => "NOSC",
			NOTC => "NOTC",
			NPGA => "NPGA",
			NSXB => "NSXB",
			NXEU => "NXEU",
			NXUS => "NXUS",
			NYPC => "NYPC",
			OLLC => "OLLC",
			OMEL => "OMEL",
			OMGA => "OMGA",
			OMIC => "OMIC",
			OPRA => "OPRA",
			OSLC => "OSLC",
			OTCE => "OTCE",
			OTCX => "OTCX",
			PAVE => "PAVE",
			PDEX => "PDEX",
			PFTS => "PFTS",
			PIEU => "PIEU",
			PIPE => "PIPE",
			PIRM => "PIRM",
			PRSE => "PRSE",
			PVMF => "PVMF",
			PXIL => "PXIL",
			QWIX => "QWIX",
			RBSX => "RBSX",
			ROCO => "ROCO",
			ROFX => "ROFX",
			ROTC => "ROTC",
			RPDX => "RPDX",
			RSEX => "RSEX",
			RTSP => "RTSP",
			S3FM => "S3FM",
			SECC => "SECC",
			SECD => "SECD",
			SECE => "SECE",
			SECF => "SECF",
			SEDC => "SEDC",
			SELC => "SELC",
			SEPE => "SEPE",
			SGEX => "SGEX",
			SGMA => "SGMA",
			SHAR => "SHAR",
			SHAW => "SHAW",
			SIGA => "SIGA",
			SIGJ => "SIGJ",
			SIMV => "SIMV",
			SMEX => "SMEX",
			SOHO => "SOHO",
			SPIM => "SPIM",
			SPRZ => "SPRZ",
			SPXE => "SPXE",
			SSEX => "SSEX",
			SSTX => "SSTX",
			STOX => "STOX",
			SWAP => "SWAP",
			SXSI => "SXSI",
			TERA => "TERA",
			TFEX => "TFEX",
			TFSA => "TFSA",
			TFSU => "TFSU",
			TMID => "TMID",
			TOCP => "TOCP",
			TPIE => "TPIE",
			TPSE => "TPSE",
			TRCK => "TRCK",
			TREU => "TREU",
			TRQX => "TRQX",
			TRUX => "TRUX",
			TRWB => "TRWB",
			TSEF => "TSEF",
			TWEU => "TWEU",
			UBSG => "UBSG",
			UBSX => "UBSX",
			UKEX => "UKEX",
			UKPX => "UKPX",
			ULTX => "ULTX",
			VEGA => "VEGA",
			VFCM => "VFCM",
			VMFX => "VMFX",
			WSAG => "WSAG",
			XADS => "XADS",
			XAFR => "XAFR",
			XAFX => "XAFX",
			XALG => "XALG",
			XAMS => "XAMS",
			XAQS => "XAQS",
			XARM => "XARM",
			XASX => "XASX",
			XATS => "XATS",
			XBAA => "XBAA",
			XBAB => "XBAB",
			XBAH => "XBAH",
			XBAN => "XBAN",
			XBBJ => "XBBJ",
			XBBK => "XBBK",
			XBCC => "XBCC",
			XBCL => "XBCL",
			XBCM => "XBCM",
			XBCV => "XBCV",
			XBDA => "XBDA",
			XBER => "XBER",
			XBEY => "XBEY",
			XBKK => "XBKK",
			XBLN => "XBLN",
			XBNV => "XBNV",
			XBOG => "XBOG",
			XBOL => "XBOL",
			XBOM => "XBOM",
			XBOT => "XBOT",
			XBRA => "XBRA",
			XBRM => "XBRM",
			XBRN => "XBRN",
			XBRU => "XBRU",
			XBRV => "XBRV",
			XBSE => "XBSE",
			XBUD => "XBUD",
			XBUE => "XBUE",
			XBUL => "XBUL",
			XBVC => "XBVC",
			XBVR => "XBVR",
			XCAI => "XCAI",
			XCAL => "XCAL",
			XCAS => "XCAS",
			XCAY => "XCAY",
			XCBT => "XCBT",
			XCDE => "XCDE",
			XCET => "XCET",
			XCFE => "XCFE",
			XCFF => "XCFF",
			XCGS => "XCGS",
			XCHG => "XCHG",
			XCIE => "XCIE",
			XCME => "XCME",
			XCNF => "XCNF",
			XCOL => "XCOL",
			XCOR => "XCOR",
			XCRO => "XCRO",
			XCSE => "XCSE",
			XCSX => "XCSX",
			XCUE => "XCUE",
			XCUR => "XCUR",
			XCXD => "XCXD",
			XCYS => "XCYS",
			XDAR => "XDAR",
			XDCE => "XDCE",
			XDES => "XDES",
			XDFB => "XDFB",
			XDFM => "XDFM",
			XDHA => "XDHA",
			XDPA => "XDPA",
			XDSE => "XDSE",
			XDSX => "XDSX",
			XDUS => "XDUS",
			XEBI => "XEBI",
			XECB => "XECB",
			XECC => "XECC",
			XECS => "XECS",
			XELX => "XELX",
			XEMD => "XEMD",
			XEMS => "XEMS",
			XETR => "XETR",
			XEUP => "XEUP",
			XEUR => "XEUR",
			XFKA => "XFKA",
			XFRA => "XFRA",
			XGAS => "XGAS",
			XGCL => "XGCL",
			XGHA => "XGHA",
			XGME => "XGME",
			XGMX => "XGMX",
			XGSE => "XGSE",
			XGTG => "XGTG",
			XGUA => "XGUA",
			XHAM => "XHAM",
			XHAN => "XHAN",
			XHEL => "XHEL",
			XHKF => "XHKF",
			XHKG => "XHKG",
			XIBE => "XIBE",
			XICE => "XICE",
			XICX => "XICX",
			XIDX => "XIDX",
			XIHK => "XIHK",
			XIMA => "XIMA",
			XIMC => "XIMC",
			XINS => "XINS",
			XINV => "XINV",
			XIQS => "XIQS",
			XIST => "XIST",
			XISX => "XISX",
			XJAM => "XJAM",
			XJNB => "XJNB",
			XJPX => "XJPX",
			XJSE => "XJSE",
			XKAC => "XKAC",
			XKAZ => "XKAZ",
			XKCE => "XKCE",
			XKFB => "XKFB",
			XKHA => "XKHA",
			XKHR => "XKHR",
			XKIE => "XKIE",
			XKIS => "XKIS",
			XKLS => "XKLS",
			XKRX => "XKRX",
			XKSE => "XKSE",
			XKUW => "XKUW",
			XLAO => "XLAO",
			XLBM => "XLBM",
			XLFX => "XLFX",
			XLIM => "XLIM",
			XLIT => "XLIT",
			XLJU => "XLJU",
			XLME => "XLME",
			XLON => "XLON",
			XLSM => "XLSM",
			XLUS => "XLUS",
			XLUX => "XLUX",
			XMAB => "XMAB",
			XMAE => "XMAE",
			XMAN => "XMAN",
			XMAU => "XMAU",
			XMDG => "XMDG",
			XMDS => "XMDS",
			XMER => "XMER",
			XMEX => "XMEX",
			XMGE => "XMGE",
			XMIL => "XMIL",
			XMNT => "XMNT",
			XMNX => "XMNX",
			XMOC => "XMOC",
			XMOD => "XMOD",
			XMOL => "XMOL",
			XMSW => "XMSW",
			XMTB => "XMTB",
			XMTS => "XMTS",
			XMUS => "XMUS",
			XNAF => "XNAF",
			XNAI => "XNAI",
			XNAM => "XNAM",
			XNAS => "XNAS",
			XNCD => "XNCD",
			XNEC => "XNEC",
			XNEP => "XNEP",
			XNGM => "XNGM",
			XNGO => "XNGO",
			XNKS => "XNKS",
			XNSA => "XNSA",
			XNSE => "XNSE",
			XNYM => "XNYM",
			XNYS => "XNYS",
			XNZE => "XNZE",
			XODE => "XODE",
			XOFF => "XOFF",
			XPAE => "XPAE",
			XPAR => "XPAR",
			XPHS => "XPHS",
			XPIC => "XPIC",
			XPOW => "XPOW",
			XPRA => "XPRA",
			XPRI => "XPRI",
			XPST => "XPST",
			XPTY => "XPTY",
			XPXE => "XPXE",
			XQUI => "XQUI",
			XRBM => "XRBM",
			XRIS => "XRIS",
			XRMZ => "XRMZ",
			XROS => "XROS",
			XRPM => "XRPM",
			XRUS => "XRUS",
			XSAM => "XSAM",
			XSAP => "XSAP",
			XSAU => "XSAU",
			XSCO => "XSCO",
			XSEF => "XSEF",
			XSES => "XSES",
			XSGE => "XSGE",
			XSGO => "XSGO",
			XSHE => "XSHE",
			XSHG => "XSHG",
			XSIB => "XSIB",
			XSOP => "XSOP",
			XSPS => "XSPS",
			XSSE => "XSSE",
			XSTC => "XSTC",
			XSTE => "XSTE",
			XSTO => "XSTO",
			XSTU => "XSTU",
			XSVA => "XSVA",
			XSWA => "XSWA",
			XSWB => "XSWB",
			XTAE => "XTAE",
			XTAF => "XTAF",
			XTAI => "XTAI",
			XTAL => "XTAL",
			XTEH => "XTEH",
			XTFF => "XTFF",
			XTIR => "XTIR",
			XTKT => "XTKT",
			XTRN => "XTRN",
			XTRZ => "XTRZ",
			XTSE => "XTSE",
			XTSX => "XTSX",
			XTUN => "XTUN",
			XUAX => "XUAX",
			XUGA => "XUGA",
			XUKR => "XUKR",
			XULA => "XULA",
			XUNI => "XUNI",
			XUSE => "XUSE",
			XVPA => "XVPA",
			XWAR => "XWAR",
			XWBO => "XWBO",
			XXSC => "XXSC",
			XXXX => "XXXX",
			XYIE => "XYIE",
			XZAG => "XZAG",
			XZCE => "XZCE",
			XZIM => "XZIM",
			ZKBX => "ZKBX",
			UKCA => "UKCA",
			ASEF => "ASEF",
			XEBS => "XEBS",
			NSPO => "NSPO",
			OTCI => "OTCI",
			GFOX => "GFOX",
			TERM => "TERM",
			PATF => "PATF",
			ODXE => "ODXE",
			HPSX => "HPSX",
			DBDX => "DBDX",
			ARTX => "ARTX",
			SPTX => "SPTX",
			STXS => "STXS",
			EUFN => "EUFN",
			GFAU => "GFAU",
			XIGG => "XIGG",
			SMBC => "SMBC",
			BGCA => "BGCA",
			XFTX => "XFTX",
			NABP => "NABP",
			RITS => "RITS",
			CAST => "CAST",
			XABX => "XABX",
			CILH => "CILH",
			CBAE => "CBAE",
			TRDC => "TRDC",
			NSSA => "NSSA",
			CMCM => "CMCM",
			SFOX => "SFOX",
			BJSE => "BJSE",
			NEEQ => "NEEQ",
			VFEX => "VFEX",
			MSDM => "MSDM",
			IBSI => "IBSI",
			RAJA => "RAJA",
			LPSF => "LPSF",
			GBSI => "GBSI",
			TPID => "TPID",
			INGU => "INGU",
			SISU => "SISU",
			OTXT => "OTXT",
			BOCF => "BOCF",
			FPWB => "FPWB",
			SPAX => "SPAX",
			LEBV => "LEBV",
			LESI => "LESI",
			GMGE => "GMGE",
			INTL => "INTL",
			TMUK => "TMUK",
			U360 => "U360",
			BDPL => "BDPL",
			VMEX => "VMEX",
			INFT => "INFT",
			EDXM => "EDXM",
			IBKR => "IBKR",
			ALGO => "ALGO",
			XAND => "XAND",
			GSLO => "GSLO",
			RTXF => "RTXF",
			VUBA => "VUBA",
			G360 => "G360",
			ACXL => "ACXL",
			ACXC => "ACXC",
			ATAD => "ATAD",
			GSXN => "GSXN",
			RULE => "RULE",
			XCVD => "XCVD",
			XANM => "XANM",
			CFIM => "CFIM",
			RFIM => "RFIM",
			BNDS => "BNDS",

        }
    }

    pub fn name(&self) -> &'static str {
        match self {
			DRSP => "EURONEXT  UK - REPORTING SERVICES",
			XCNQ => "CANADIAN SECURITIES EXCHANGE",
			ZODM => "ZODIA MARKETS",
			NORX => "NASDAQ OSLO ASA",
			POSE => "PORTFOLIO STOCK EXCHANGE",
			PUND => "PUNDION LLC",
			UCBG => "UNICREDIT BULBANK AD",
			BBLX => "BONDBLOX EXCHANGE",
			SPBE => "SPB EXCHANGE - ALL MARKETS",
			OTCM => "OTC LINK ATS - OTC MARKETS",
			FREX => "COINBASE DERIVATIVES",
			IDXM => "IDX MARKETS, LLC",
			MBCP => "MILLENNIUM BCP",
			OCEA => "BLUE OCEAN ALTERNATIVE TRADING SYSTEM",
			OSDS => "OSL DIGITAL SECURITIES EXCHANGE",
			OSSG => "OSL SG EXCHANGES",
			RR4G => "ROUTE4GAS",
			TRUK => "TRADING 212 UK LIMITED",
			UGEN => "UNITEDBLOCKTRADE",
			CNOD => "CNODE",
			BGLU => "BGL BNP PARIBAS",
			GFAM => "GFI SECURITIES LLC - ALL MARKETS",
			TMCY => "TRADING 212 MARKETS LIMITED",
			UBEC => "UNIVERSAL BARTER EXCHANGE CREDIT UNION",
			ESLO => "ENGNSOL",
			IOTF => "ICAP UK OTF",
			SEBA => "STIFEL EUROPE BANK AG",
			BRED => "BRED BANQUE POPULAIRE",
			RUSX => "NON-PROFIT PARTNERSHIP FOR THE DEVELOPMENT OF FINANCIAL MARKET RTS",
			UNGB => "UNICREDIT BANK AG - LONDON BRANCH - UK",
			XLQC => "LIQUIDITY CUBE PTY LTD",
			XMOS => "CENTRAL COUNTERPARTY CLEARING CENTER MFB - JOINT-STOCK COMPANY",
			CFIC => "CHINAFICC",
			HBFR => "HSBC CONTINENTAL EUROPE",
			KLSH => "KALSHIEX LLC",
			MUDX => "MITSUBISHI DIAMOND CROSSING",
			TRAX => "MARKETAXESS POST-TRADE LIMITED - APA",
			TRNL => "MARKETAXESS POST-TRADE B.V. - APA",
			XPET => "STOCK EXCHANGE SAINT PETERSBURG",
			LEVL => "LEVEL ATS",
			STRM => "PURESTREAM",
			ABNC => "ABN AMRO CLEARING BANK",
			BNPC => "BNPP CORTEX ATS",
			PBGR => "PIRAEUS BANK",
			SIDX => "SCOTIABANK (IRELAND) DESIGNATED ACTIVITY COMPANY",
			SIFX => "SIEGE FX LIMITED",
			TEUR => "TRADITION ESPANA OTF",
			AILT => "ARRACO IRELAND LTD",
			ARAX => "ARRACO GLOBAL MARKETS LTD",
			CGXS => "ONECHRONOS",
			MIDC => "MIDCHAINS",
			RABL => "RABOBANK INTERNATIONAL UK",
			RMMS => "RMB MORGAN STANLEY",
			CECA => "CECABANK",
			JNSI => "JANE STREET NETHERLANDS B.V.",
			XSWX => "SIX SWISS EXCHANGE",
			BNPX => "BNP PARIBAS ALTERNATIVE TRADING SYSTEM",
			BTRL => "BANCA TRANSILVANIA S.A.",
			NTUK => "NATIXIS LONDON BRANCH",
			EQOS => "EQUOS",
			LMNR => "LUMINOR BANK AS",
			EQCA => "EQUILEND CANADA CORP.",
			EQUS => "EQUILEND LLC",
			EVOL => "EVOLUTION MARKETS",
			RBCC => "RBC - PARIS BRANCH",
			BEBG => "BULGARIAN ENERGY TRADING PLATFORM",
			XTXD => "XTX DIRECT",
			XOSL => "OSLO BORS",
			BSAB => "BANCO DE SABADELL, S.A.",
			BSPL => "BNP PARIBAS SECURITIES SERVICES LONDON BRANCH",
			BSTX => "BOSTON SECURITY TOKEN EXCHANGE LLC",
			XNOM => "NOMISMA (LIECHTENSTEIN) AG",
			OLBB => "OLDENBURGISCHE LANDESBANK AG FX  HANDEL",
			SGMU => "SIGMA X EUROPE NON-DISPLAYED BOOK",
			AFEX => "AFRINEX LIMITED",
			BNPL => "BNP PARIBAS SA LONDON BRANCH",
			CAPL => "CREDIT AGRICOLE BANK POLSKA S.A.",
			CCMX => "CARTAX",
			MSBI => "MORGAN STANLEY BANK INTERNATIONAL LIMITED",
			T212 => "TRADING 212 LIMITED",
			TMEX => "TURKISH MERCANTILE EXCHANGE",
			XCBO => "CBOE GLOBAL MARKETS INC.",
			XPOM => "PNGX MARKETS LIMITED",
			CLST => "CLEAR STREET",
			LLAT => "LIECHTENSTEINISCHE LANDESBANK (OSTERREICH) AG",
			IMMH => "IMMH - INTESA SANPAOLO",
			AQSE => "AQUIS STOCK EXCHANGE",
			ENMS => "EURONEXT MARKETS SINGAPORE PTE. LTD.",
			FAST => "EURONEXT FX",
			LELE => "LEDGEREDGE",
			MCXX => "METROPOLITAN STOCK EXCHANGE OF INDIA LIMITED",
			PEPW => "PEPINS - MTF",
			WFLB => "WELLS FARGO BANK NA - LONDON BRANCH",
			NBFL => "NATIONAL BANK FINANCIAL INC.",
			MAXD => "MAX MARKETS LIMITED",
			BTBS => "BLOOMBERG TRADEBOOK SINGAPORE PTE LTD",
			SKBB => "SKB BANKA D.D. LJUBLJANA",
			BDSK => "DSK BANK EAD",
			DEXE => "DEX LIMITED",
			OTPR => "OTP BANK ROMANIA SA",
			SBIJ => "JAPANNEXT - J - MARKET",
			XOTP => "OTP BANKA D.D.",
			XBVM => "MOZAMBIQUE STOCK  EXCHANGE",
			MAQE => "MACQUARIE BANK EUROPE DESIGNATED ACTIVITY COMPANY",
			MEMX => "MEMX LLC EQUITIES",
			PARK => "PARKER POLAND SP. ZO.O.",
			PIPR => "PIPER SANDLER AND CO.",
			SKYX => "SKYTRA",
			GLOM => "GLOMAX EXCHANGE LTD",
			TRAI => "TRAIANA INC",
			CBOE => "CBOE FX NDFS",
			COHR => "COMHAR CAPITAL MARKETS, LLC",
			STFX => "STIFEL, NICOLAUS AND COMPANY, INCORPORATED",
			XLCH => "LCH LTD",
			BGHX => "BALKAN GAS HUB EAD",
			CSAS => "CESKA SPORITELNA, A.S.",
			LTSE => "LONG-TERM STOCK EXCHANGE, INC.",
			XFEX => "FEX GLOBAL",
			CALH => "CLSA AMERICAS - LIQUIDITY HUB",
			OMIP => "OMIP - POLO PORTUGUES, S.G.M.R., S.A. / OMIP DERIVATIVES MARKET",
			XLIS => "EURONEXT - EURONEXT LISBON",
			DAUK => "DANSKE BANK A/S - LONDON BRANCH",
			BSLB => "BANCO SANTANDER, LONDON BRANCH",
			CFIL => "CANTOR FITZGERALD IRELAND LIMITED",
			RBCM => "RBC - ROYAL BANK OF CANADA",
			THRE => "REFINITIV US SEF LLC",
			BKKT => "BAKKT",
			XPUS => "XP INVESTMENTS US, LLC",
			BMLI => "BANK OF AMERICA MERRILL LYNCH INTERNATIONAL BANK DESIGNATED ACTIVITY COMPANY",
			ITGL => "POSIT MTF",
			XAMM => "AMMAN STOCK EXCHANGE",
			VFGB => "VIRTU FINANCIAL IRELAND LIMITED (LONDON BRANCH)",
			SEBL => "SEB LITHUANIA",
			VIUK => "POSIT UK",
			24EX => "24 EXCHANGE",
			BBSX => "BB SECURITIES LTD",
			SCOT => "SCOTTISH STOCK EXCHANGE",
			SPEX => "SPECTRUM MARKETS",
			IFAD => "ICE FUTURES ABU DHABI",
			JLQD => "JUMP LIQUIDITY - MULTI-ASSET PLATFORM",
			LAMP => "LAMPOST CAPITAL",
			RCMA => "RBC CAPITAL MARKETS ARBITRAGE S.A.",
			MKTF => "MARKET SECURITIES (FRANCE) SA",
			XSGB => "SOCIETE GENERALE (LONDON BRANCH)",
			YKNA => "COMHAR CAPITAL MARKETS, LLC - US EQUITIES",
			CSDA => "CREDIT SUISSE AKTIENGESELLSCHAFT",
			DOWM => "DOWGATE - MTF (MADRID)",
			GSXC => "GSX CHINA",
			GSXK => "GSX KOREA",
			GSXT => "GSX TAIWAN",
			VAGM => "VIRTUAL AUCTION GLOBAL MARKETS - MTF",
			BMCM => "BMO CAPITAL MARKETS LIMITED",
			ABFI => "ALPHA BANK",
			DASH => "DASH ATS",
			MISX => "MOSCOW EXCHANGE - ALL MARKETS",
			BAJD => "BANK OF AMERICA MERRILL LYNCH - JAPAN INSTINCT X",
			NEOE => "NEO EXCHANGE - NEO-L (MARKET BY ORDER)",
			TRPX => "MERJ EXCHANGE LIMITED",
			KOME => "KOMERCNI BANKA, A.S.",
			TRCX => "TOWER RESEARCH CAPITAL TRCX",
			ERBX => "EUROBANK",
			IBER => "IBERCAJA BANCO SA",
			ALLT => "ALLT - OTF",
			BILU => "BANQUE INTERNATIONALE A LUXEMBOURG S.A.",
			CBSK => "CESKOSLOVENSKA OBCHODNA BANKA, A.S.",
			CODA => "CODA MARKETS - MICRO AND BLOCK",
			SMBD => "SUMITOMO MITSUI BANKING CORPORATION - DUESSELDORF BRANCH",
			STFL => "STIFEL NICOLAUS EUROPE LIMITED",
			XALT => "ALTEX - ATS",
			SAGE => "SAGETRADER",
			ARCH => "ARCHAX",
			JPMS => "JPMS, LLC",
			SNUK => "SANTANDER UK",
			ARKX => "ARKONIS",
			SVXI => "SAINT VINCENT AND THE GRENADINES SECURITIES EXCHANGE",
			XALS => "ALBANIA SECURITIES EXCHANGE",
			CGMG => "CITIGROUP GLOBAL MARKETS EUROPE AG - LONDON BRANCH",
			PUMA => "PUMA CAPITAL, LLC",
			4AXE => "4 AFRICA EXCHANGE (PTY) LTD",
			EBHU => "ERSTE BANK HUNGARY ZRT.",
			FNUK => "FINANTIA UK LIMITED",
			UCHU => "UNICREDIT BANK HUNGARY ZRT.",
			CBNL => "CITIBANK N.A. LONDON",
			FTUS => "FLOW TRADERS U.S LLC",
			BGUK => "BERENBERG  UK",
			CLVE => "VERTO MTF",
			CPGX => "CLEARPOOL EXECUTION SERVICES, LLC",
			CEPL => "CITIBANK EUROPE PLC",
			CEPU => "CITIBANK EUROPE PLC - LONDON BRANCH",
			DBAB => "DEUTSCHE BANK SECURITIES INC.",
			OTCN => "OTC LINK ECN",
			RTSL => "REFINITIV TRANSACTIONS SERVICES LIMITED",
			TDGF => "TD SECURITIES",
			UBSB => "UBS AG LONDON BRANCH - TRADING",
			UBSL => "UBS EUROPE SE - TRADING",
			BFPT => "BANCO FINANTIA S.A.",
			CONC => "CONCORDE SECURITIES LTD.",
			IFBX => "IRAN FARA BOURSE",
			SCXO => "SEED CX",
			SYFX => "SYNOPTION",
			SSIL => "STATE STREET BANK INTERNATIONAL FX - LONDON BRANCH",
			MANL => "MARKETAXESS NL B.V.",
			BETX => "BET OTC BILAT COMMODITY DERIVATIVES",
			BTLX => "BTL OTC BILAT COMMODITY DERIVATIVES",
			CCEX => "CASPY COMMODITY EXCHANGE",
			AQEU => "AQUIS EXCHANGE EUROPE",
			AQXE => "AQUIS EXCHANGE PLC",
			BKDM => "BNY MELLON MARKETS EUROPE LIMITED",
			BNLD => "BANCA NAZIONALE DEL LAVORO SPA",
			CAVD => "CAVENDISH MARKETS B.V.",
			GIPB => "GOLDMAN SACHS INTERNATIONAL PARIS BRANCH",
			ICPM => "TP ICAP UK MTF",
			JLEU => "JUMP LIQUIDITY EU EQUITY PLATFORM",
			SMFF => "SMBC BANK EU AG",
			SPTR => "SPAREBANK 1 SMN",
			ELXE => "ELIXIUM S.A.",
			SCAG => "STANDARD CHARTERED BANK AG",
			SGAS => "SG AMERICAS SECURITIES, LLC",
			SMFE => "SMALL EXCHANGE, INC - DESIGNATED CONTRACT MARKET",
			TRXE => "TRAD-X EUROPE",
			MHBE => "MIZUHO BANK EUROPE N.V.",
			CSGI => "CITADEL SECURITIES FI - EUROPE",
			EUCC => "CITADEL CONNECT EUROPE - EU",
			BREA => "BANCA REALE",
			XTXE => "XTX MARKETS SAS",
			BLUE => "PRO SECURITIES ATS",
			BTAM => "CME AMSTERDAM B.V.",
			CABV => "CME AMSTERDAM B.V. - APA",
			RFBK => "RAIFFEISENBANK, AS.",
			TOWR => "TOWER RESEARCH CAPITAL EUROPE",
			FLWX => "FLOW TRADERS",
			BLUX => "BANQUE DE LUXEMBOURG",
			DBLX => "DEUTSCHE BANK LUXEMBOURG S.A.",
			DHLX => "DEUTSCHE HOLDINGS (LUXEMBOURG) S.A R.L.",
			KHHU => "K AND H BANK ZRT",
			MCID => "MACQUARIE CAPITAL (IRELAND)",
			NCME => "SMBC NIKKO CAPITAL MARKETS EUROPE GMBH",
			ISWP => "ISWAP EURO MTF",
			MSEL => "MAREX SPECTRON EUROPE LIMITED - OTF",
			NCML => "SMBC NIKKO CAPITAL MARKETS LIMITED",
			XPUK => "XP INVESTMENTS UK LLP",
			CSAG => "CREDIT SUISSE AG",
			GSBE => "GOLDMAN SACHS BANK EUROPE SE",
			HREU => "HRTEU LIMITED",
			CREM => "CREDEM BANCA",
			DWFI => "DEALERWEB FIXED INCOME",
			BNPP => "BANK BGZ BNP PARIBAS S.A.",
			CIBH => "CIB BANK",
			CSMD => "CREDIT SUISSE BANK (EUROPE), S.A.",
			GMES => "GRIFFIN MARKETS EUROPE",
			KBLL => "QUINTET PRIVATE BANK (EUROPE) S.A.",
			MHBP => "MIZUHO BANK LTD. - PARIS BRANCH",
			MHEU => "MIZUHO SECURITIES EUROPE",
			UBCZ => "UNICREDIT BANK CZECH REPUBLIC AND SLOVAKIA, A.S.",
			ATLN => "ATONLINE LIMITED",
			LBCW => "LLOYDS BANK CORPORATE MARKETS WERTPAPIERHANDELSBANK GMBH",
			AGBP => "A AND G BANCA PRIVADA SAU",
			EBSN => "EBS MTF",
			ECEU => "TRADECHO EU APA",
			TPIC => "TP ICAP EU - MTF",
			XTRD => "XTRD",
			MLEX => "BOFA SECURITIES EUROPE",
			ATHL => "ATHLOS CAPITAL INVESTMENT SERVICES LTD",
			BCSC => "BROKERCREDITSERVICE (CYPRUS) LIMITED",
			CFIF => "CREDIT FINANCIER INVEST (CFI) LTD",
			JEFE => "JEFFERIES EUROPE",
			MHBL => "MIZUHO BANK, LTD. LONDON BRANCH",
			NOWX => "NOW CP - NEU CP",
			PKOP => "BANK POLSKA KASA OPIEKI S.A.",
			VUSA => "VIRTU AMERICAS LLC",
			ABAN => "ABANCA",
			EQIE => "EQUILEND LIMITED",
			EQLD => "EQUILEND EUROPE LIMITED",
			GPBC => "GPB-FINANCIAL SERVICES LTD",
			OHVO => "OHV OTF",
			RBCG => "RBC CAPITAL MARKETS (EUROPE) GMBH",
			RMTF => "REFINITIV MTF",
			UCBA => "UNICREDIT BANK AUSTRIA AG",
			UCDE => "UNICREDIT BANK AG",
			UCIT => "UNICREDIT SPA",
			BRGA => "BRYAN GARNIER AND CO LIMITED",
			XNOR => "NORDEA",
			BCMA => "BANCA MARCH S.A.",
			CSOB => "CESKOSLOVENSKï¿½ OBCHODNï¿½ BANKA, A.S.",
			ICUR => "CURRENEX IRELAND MTF",
			IFXC => "FX CONNECT IRELAND MTF",
			MUSN => "MUFG SECURITIES (EUROPE) N.V -",
			SPDX => "SPREADEX",
			NIBC => "NIBC",
			UICE => "UKRAINIAN INTERBANK CURRENCY EXCHANGE",
			XNDU => "PJSC NATIONAL DEPOSITORY OF UKRAINE",
			ECSL => "ENTERPRISE COMMODITY SERVICES LIMITED",
			MSEU => "MORGAN STANLEY EUROPE S.E.",
			BRDE => "BRD - GROUPE SOCIETE GENERALE S.A.",
			CIBC => "CANADIAN IMPERIAL BANK OF COMMERCE",
			CIBP => "CIBC WORLD MARKETS PLC",
			FTFS => "42 FINANCIAL SERVICES",
			CABK => "CAIXABANK",
			CCRM => "CBOE EUROPE REGULATED MARKETS (NL)",
			CCXE => "CBOE EUROPE EQUITIES - EUROPEAN EQUITIES (NL)",
			DEKA => "DEKABANK DEUTSCHE GIROZENTRALE",
			ICOT => "ICAP EU - OTF",
			ISSI => "ICBC STANDARD BANK",
			JYSI => "DEN JYSKE SPAREKASSE",
			NWNV => "NATWEST MARKETS NV",
			OTPB => "OTP BANK NYRT",
			RBHU => "RAIFFEISEN BANK (HUNGARY)",
			RENC => "RENAISSANCE SECURITIES (CYPRUS) LIMITED",
			TPEU => "TULLETT PREBON EU OTF",
			WSIL => "WELLS FARGO SECURITIES INTERNATIONAL",
			INGW => "ING BANK SLASKI SA",
			MAKX => "MAKOR SECURITIES LONDON LTD",
			WSIN => "WESTPAC BANKING CORPORATION",
			SLHB => "SALZBURGER LANDES-HYPOTHEKENBANK",
			SIBC => "SIB CYPRUS LTD",
			WELN => "WEL",
			BMLB => "BANK OF MONTREAL - LONDON BRANCH",
			XSAT => "SPOTLIGHT STOCK MARKET AB",
			BAIP => "BANK OF AMERICA MERRILL LYNCH EQUITY SWAP - INTERNAL PRICE SOURCE",
			DAVY => "J AND E DAVY - IRISH GOVERNMENT BOND",
			LIGA => "LIGA BANK EG",
			MBPL => "MBANK S.A.",
			WELS => "WELLS FARGO SECURITIES, LLC - EQUITIES",
			CBAL => "COMMONWEALTH BANK OF AUSTRALIA - LONDON BRANCH",
			SIAB => "ALIOR BANK",
			BKSK => "BKS BANK AG",
			CMCI => "CREDIT INDUSTRIEL ET COMMERCIAL",
			MHBD => "MIZUHO BANK, LTD. DUESSELDORF BRANCH",
			MUSE => "MUFG SECURITIES EMEA PLC",
			ABNA => "ABN AMRO BANK NV",
			BBIE => "BARCLAYS BANK IRELAND PLC",
			ERST => "ERSTE BEFEKTETESI ZRT",
			IKBS => "IKB DEUTSCHE INDUSTRIEBANK AG",
			TQEX => "TURQUOISE EUROPE",
			APAW => "WIENER BOERSE AG - APA",
			NABL => "NATIONAL AUSTRALIA BANK",
			OBKL => "OBERBANK AG",
			TWJP => "TRADEWEB JAPAN KK - PTS",
			HRTF => "HUDSON RIVER TRADING (HRT)",
			SMBB => "SUMITOMO MITSUI BANKING CORPORATION - BRUSSELS BRANCH",
			CGMD => "CITIGROUP GLOBAL MARKETS EUROPE AG",
			HEMO => "HENEX S.A.",
			IMCT => "IMC",
			METZ => "MET ZURICH",
			MUBL => "MUFG BANK, LTD. - LONDON BRANCH",
			MUBM => "MUFG BANK, LTD. - MILANO BRANCH",
			MUBP => "MUFG BANK, LTD. - PARIS BRANCH",
			RBIV => "RAIFFEISEN BANK INTERNATIONAL AG",
			SMBG => "SUMITOMO MITSUI BANKING CORPORATION - LONDON BRANCH",
			MUBE => "MUFG BANK (EUROPE) N.V.",
			JPEU => "J.P. MORGAN SE",
			SMBE => "SUMITOMO MITSUI BANKING CORPORATION EUROPE LIMITED",
			SMBP => "SUMITOMO MITSUI BANKING CORPORATION EUROPE LIMITED - PARIS BRANCH",
			HELA => "HELABA",
			NESI => "NOMURA EUROPE",
			BHWA => "BANK HANDLOWY W WARSZAWIE S.A.",
			ISBA => "BANCA DI ASTI",
			KBCB => "KBC BANK NV  GROUP MARKETS",
			MAQI => "MACQUARIE BANK INTERNATIONAL LIMITED",
			MAQU => "MACQUARIE BANK LIMITED, LONDON BRANCH",
			FICO => "FINANCIALCONTENT",
			LBBW => "LBBW - LANDESBANK BADEN-WUERTTEMBERG",
			BAPE => "BLOOMBERG DATA REPORTING SERVICES B.V. - APA",
			BASE => "BANK OF AMERICA MERRILL LYNCH - SWAP EXECUTIONS",
			BCEE => "BANQUE ET CAISSE D'EPARGNE DE L'ETAT, LUXEMBOURG - BCEE",
			BPKO => "PKO BANK POLSKI S.A.",
			BTFE => "BLOOMBERG TRADING FACILITY B.V.",
			HRSI => "HUDSON RIVER TRADING - SYSTEMATIC INTERNALISER",
			R5FX => "R5FX LIMITED",
			SISI => "SUSQUEHANNA INTERNATIONAL SECURITIES LIMITED",
			BEIS => "BANCA ETICA",
			BLBB => "BAYERNLB",
			BASX => "BANK OF AMERICA MERRILL LYNCH - SIMPLEX BLAST X",
			HRTX => "HUDSON RIVER TRADING",
			INCR => "INTELLIGENTCROSS",
			OCSI => "SOVA CAPITAL",
			EDRF => "EDMOND DE ROTHSCHILD  (FRANCE)",
			BNSX => "THE BANK OF NOVA SCOTIA",
			EXSE => "EXANE BNP PARIBAS - SYSTEMATIC INTERNALISER",
			AIXK => "ASTANA INTERNATIONAL EXCHANGE LTD",
			LBCM => "LLOYDS BANK CORPORATE MARKETS",
			RLBO => "RAIFFEISENLANDESBANK OBERï¿½STERREICH",
			SBEX => "SCOTIABANK",
			VTBC => "VTB CAPITAL PLC",
			ZARX => "ZAR X",
			IPSX => "IPSX",
			COMM => "COMMERG",
			ATLB => "BRAEMAR SECURITIES LTD",
			CCMS => "CONTINENTAL CAPITAL MARKETS S.A.",
			DAIW => "DAIWA CAPITAL MARKETS EUROPE LIMITED",
			IINX => "INDIA INTERNATIONAL EXCHANGE (IFSC) LIMITED",
			OPCO => "OP CORPORATE BANK PLC",
			BELB => "BELFIUS BANK NV/SA",
			IMTF => "INTEGRAL MTF",
			BLXA => "INSTINET BLX (AU)",
			GFKS => "GARANTUM FONDKOMMISSION AB",
			SGOE => "SG OPTION EUROPE",
			UBSA => "UBS ATS",
			UBSS => "UBS SECURITIES LLC",
			IBIS => "INVEST BANCA",
			TFSD => "T.F.S. DERIVATIVES HK LIMITED",
			TRAS => "TRADITION ASIA LIMITED",
			TSIG => "TRADITION SINGAPORE PTE. LTD.",
			UTSL => "UEDA TRADITION SECURITIES LTD.",
			CSZH => "CREDIT SUISSE (CH)",
			EUWA => "EUWAX AG",
			EXSY => "EXANE DERIVATIVES",
			A2XX => "A2X",
			FXOP => "TRADITION-NEX OTF",
			TRDE => "TRADITION",
			AKIS => "AKIS - BANCA AKROS",
			BPSX => "BNP PARIBAS SECURITIES SERVICES",
			IGDL => "ICAP GLOBAL DERIVATIVES LIMITED",
			JSSI => "JANE STREET FINANCIAL LTD",
			TWGP => "TRADEWEB EUROPE LIMITED - GLOBAL TRADING PLATFORM",
			GMGD => "GMG DUBAI LIMITED",
			GMGL => "GMG BROKERS LIMITED",
			NPEX => "NPEX",
			OAPA => "OSLO BORS - APA",
			DDTX => "DEAL DONE TRADING",
			HPCX => "HPC SA",
			SB1M => "SPAREBANK 1 MARKETS",
			ANTS => "ABBEY NATIONAL TREASURY SERVICES PLC",
			SGMX => "SIGMA X MTF",
			SSBI => "STATE STREET BANK INTERNATIONAL GMBH",
			DBAG => "DEUTSCHE BANK AG",
			MKAP => "MERITKAPITAL",
			GSAL => "GOLDMAN SACHS (ASIA) LLC",
			SWEE => "SWEDBANK ESTONIA",
			SWLT => "SWEDBANK LITHUANIA",
			SWLV => "SWEDBANK LATVIA",
			ODDO => "ODDO BHF",
			ODOC => "ODDO CONTREPARTIE",
			SANT => "BANCO SANTANDER S.A.",
			UBIN => "UNION BANK OF INDIA UK LTD",
			CSLB => "CREDIT SUISSE AG - LONDON BRANCH",
			JISI => "JEFFERIES INTERNATIONAL",
			VWDX => "VWD TRANSACTIONSOLUTIONS AG",
			BAMX => "BANK OF AMERICA - MERRILL LYNCH GCX",
			SEBS => "SEB",
			XABC => "ABG SUNDAL COLLIER AB",
			GFIC => "GFI SECURITIES LTD",
			KELR => "KELER",
			XBOX => "BOX OPTIONS EXCHANGE",
			NORD => "HSH NORDBANK",
			OTXB => "BERNER KANTONALBANK OTC-X",
			SEMX => "SEMOPX",
			AACA => "CREDIT AGRICOLE CIB",
			ABSI => "ALM. BRAND BANK",
			BINV => "BOND INVEST",
			GLMX => "GLMX",
			GTXE => "GTX ECN",
			JPCB => "JPMORGAN CHASE BANK N.A. LONDON BRANCH",
			NLBX => "NORDDEUTSCHE LANDESBANK - GIROZENTRALE",
			ROSR => "SIX REPO AG",
			XLLB => "LIECHTENSTEINISCHE LANDESBANK AG",
			XVPB => "VP BANK AG",
			HBPL => "HSBC BANK POLSKA S.A.",
			XABG => "ABG SUNDAL COLLIER ASA",
			ALSI => "AKTIESELSKABET ARBEJDERNES LANDSBANK",
			SBSI => "SYDBANK A/S",
			TDBL => "TORONTO DOMINION BANK - LONDON BRANCH",
			BNPA => "BNP PARIBAS ARBITRAGE SNC",
			BNPF => "BNP PARIBAS FORTIS SA/NV",
			BNPS => "BNP PARIBAS SA",
			ICEO => "ICAP ENERGY - OTF",
			ISWA => "ISWAP UK MTF",
			NWMS => "ROYAL BANK OF SCOTLAND",
			RBCE => "RBC EUROPE LIMITED",
			XSGA => "SOCIETE GENERALE",
			KBLM => "KYTE BROKING LIMITED",
			KOTF => "OTFLINK",
			LASP => "LAN AND SPAR BANK A/S",
			TDON => "TRADITION PARIS - TSAF",
			TSAF => "TSAF OTC - OTF",
			UBIS => "UNIPOL BANCA S.P.A.",
			XIEL => "INSTINET EUROPE LIMITED",
			BANA => "BANK OF AMERICA, NATIONAL ASSOCIATION",
			CSEC => "CITADEL SECURITIES FI",
			MLIX => "MERRILL LYNCH INTERNATIONAL",
			SVEX => "SVENSKA HANDELSBANKEN AB - SVEX",
			AAPA => "ATHENS EXCHANGE - APA",
			CIMD => "CIMD S.V. S.A. - OTF",
			CURX => "CUREX FX",
			SKSI => "SPAREKASSEN KRONJYLLAND",
			SQUA => "SQUARE GLOBAL - OTF",
			SSBT => "STATE STREET BANK AND TRUST COMPANY",
			AFSA => "AFS - OTF",
			ARIA => "ARIAN TRADING FACILITY",
			DVFX => "DIGITAL VEGA",
			ETPA => "ENERGY TRADING PLATFORM AMSTERDAM",
			LOUI => "LOUIS CAPITAL MARKETS UK LLP",
			RABO => "RABOBANK",
			BBVA => "BANCO BILBAO VIZCAYA ARGENTARIA S.A",
			BTNL => "BITNOMIAL",
			CAPI => "CAPI - OTF",
			XRCB => "RAIFFEISEN CENTROBANK AG",
			APEX => "ASIA PACIFIC EXCHANGE",
			TGAT => "TRADEGATE EXCHANGE",
			NYSI => "NYKREDIT BANK",
			XMAL => "MALTA STOCK EXCHANGE",
			CASI => "CARNEGIE INVESTMENT BANK AB",
			CNSI => "CARNEGIE AS",
			CCEU => "CITADEL CONNECT EUROPE",
			XTXM => "XTX MARKETS",
			AURB => "AUREL",
			VAGL => "VIRTUAL AUCTION GLOBAL LIMITED",
			BCSL => "BARCLAYS CAPITAL SECURITIES LIMITED",
			GFIB => "GFI BROKERS",
			INGB => "ING BANK NV",
			SFCL => "SWISSCANTO FUNDS CENTRE LIMITED",
			TPSL => "TULLETT PREBON SECURITIES - MTF",
			VONT => "BANK VONTOBEL EUROPE AG",
			BKBR => "BNY MELLON S.A./N.V. - BRUSSELS BRANCH",
			CBKA => "COMMERZBANK AG",
			TPSO => "TP UK OTF",
			CGML => "CITIGROUP GLOBAL MARKETS LIMITED",
			CPTX => "CAPTIN",
			MAQL => "MACQUARIE CAPITAL EUROPE LIMITED",
			DZBK => "DZ BANK",
			TPEL => "TULLETT PREBON (EUROPE) LIMITED",
			TPEO => "TULLETT PREBON EUROPE - OTF",
			TWHK => "TRADEWEB EUROPE LIMITED - HONG KONG",
			TWSG => "TRADEWEB EUROPE LIMITED - SINGAPORE",
			WOOD => "WOOD & COMPANY FINANCIAL SERVICES, A.S.",
			LOYD => "LLOYDS BANK",
			BOFS => "BANK OF SCOTLAND PLC",
			SUNT => "SUN TRADING LLC",
			SWBI => "SWEDBANK",
			WBKP => "BANK ZACHODNI WBK S.A.",
			BGSI => "BERENBERG",
			BPLC => "BARCLAYS BANK PLC",
			LSSI => "LANG AND SCHWARZ TRADE CENTER",
			BIVA => "BOLSA INSTITUCIONAL DE VALORES",
			BKLN => "BNY MELLON INTERNATIONAL - LONDON BRANCH",
			FISU => "FREIGHT INVESTOR SERVICES LIMITED",
			JBSI => "JYSKE BANK",
			NAPA => "NASDAQ STOCKHOLM AB - APA SERVICE",
			POTC => "PACIFIC OTC",
			PPEX => "PROPERTY PARTNER EXCHANGE",
			BAAD => "BAADER BANK",
			INVE => "INVESTEC BANK PLC",
			XDNB => "DNB BANK ASA",
			IFLS => "SWAPXECUTE",
			EXOT => "EXOTIX CAPITAL  - OTF",
			ANZL => "AUSTRALIA AND NEW ZEALAND BANKING GROUP LIMITED - SYSTEMATIC INTERNALISER",
			ECHO => "LONDON STOCK EXCHANGE - APA",
			FBSI => "FINECO BANK",
			HSBC => "HSBC",
			HSBT => "HSBC TRINKAUS AND BURKHARDT AG",
			NATX => "NATIXIS",
			STAN => "STANDARD CHARTERED",
			VCMO => "VANTAGE CAPITAL MARKETS LLP - OTF",
			ADVT => "ADVISE TECHNOLOGIES - APA TRANSPARENCY REPORTING",
			CSIN => "CREDIT SUISSE INTERNATIONAL",
			DOWG => "DOWGATE",
			AMPX => "ASSET MATCH PRIVATE EXCHANGE",
			FXGB => "FXCM - MTF",
			TRSI => "TOWER RESEARCH CAPITAL EUROPE LTD",
			BTEE => "BROKERTEC EUROPE LIMITED - ALL MARKETS",
			EBSS => "EBS SERVICE COMPANY LIMITED - ALL MARKETS",
			RBCB => "RBC INVESTOR SERVICES BANK S.A.",
			RBCT => "RBC INVESTOR SERVICES TRUST",
			GSIB => "GOLDMAN SACHS INTERNATIONAL BANK",
			HUDX => "HUNGARIAN DERIVATIVE ENERGY EXCHANGE",
			IMCS => "IMC FINANCIAL MARKETS",
			XDUB => "IRISH STOCK EXCHANGE - ALL MARKET",
			BILT => "OFF-EXCHANGE TRANSACTIONS - LISTED AND UNLISTED INSTRUMENTS",
			MUFP => "MARIANA UFP LLP",
			VFIL => "VIRTU FINANCIAL IRELAND LIMITED",
			CCML => "CONTINENTAL CAPITAL MARKETS LIMITED - OTF",
			CFTW => "CROSSFINDER TAIWAN",
			DAPA => "DEUTSCHE BOERSE AG - APA SERVICE",
			VLEX => "VONTOBEL LIQUIDITY EXTENDER",
			3579 => "SSY FUTURES LTD -  FREIGHT SCREEN",
			MHIP => "MIZUHO INTERNATIONAL",
			WINS => "WINTERFLOOD SECURITIES LIMITED - ELECTRONIC PLATFORM",
			MASG => "MARKETAXESS SINGAPORE PTE LIMITED",
			TCML => "TIDE CM",
			FRTE => "FORTE  - OTF",
			THEM => "THEMIS TRADING LLC",
			LEDG => "LEDGERX",
			MUTI => "MITSUBISHI UFJ TRUST INTERNATIONAL LIMITED",
			NDCM => "ICE ENDEX UK OCM GAS SPOT",
			NDEX => "ICE ENDEX FUTURES",
			SPEC => "MAREX SPECTRON INTERNATIONAL LIMITED OTF",
			BCRM => "CBOE EUROPE REGULATED MARKETS",
			GOTC => "GLOBAL OTC",
			MFXC => "FX CONNECT - MTF",
			SNSI => "SPAR NORD BANK",
			VERT => "VERTICAL",
			APXL => "SYDNEY STOCK EXCHANGE LIMITED",
			CLTD => "CLEARTRADE EXCHANGE",
			DRCT => "DAIWA DRECT",
			MTXX => "MARKETAXESS CORPORATION",
			XEEE => "EUROPEAN ENERGY EXCHANGE",
			MTSO => "MTS S.P.A.",
			NOSI => "NOMURA",
			XBDV => "BOLSA DE DIVIDA E VALORES DE ANGOLA (BODIVA) - ANGOLA SECURITIES EXCHANGE",
			DIFX => "NASDAQ DUBAI",
			AUTX => "AUTILLA",
			NEXS => "NEX SEF",
			VIRT => "VIRTU FINANCIAL BD",
			BALT => "THE BALTIC EXCHANGE",
			CGMA => "CITI MATCH AUSTRALIA",
			CGMH => "CITI MATCH - HK",
			CGMI => "CITIGROUP GLOBAL MARKETS",
			CGMX => "CITI MEXICO RPI (RETAIL PRICE IMPROVEMENT)",
			CITX => "CITI MATCH - JP",
			LQED => "LIQUIDITYEDGE",
			PTPG => "POLISH TRADING POINT",
			UFEX => "UFEX",
			TSAD => "TRADITION SECURITIES AND DERIVATIVES INC.",
			XKAR => "THE PAKISTAN STOCK EXCHANGE LIMITED",
			XLGT => "LGT BANK AG",
			PEEL => "PEEL HUNT LLP UK",
			JPBX => "JPBX",
			JPSI => "J.P. MORGAN SECURITIES PLC",
			AREX => "AREX - AUTOMATED RECEIVABLES EXCHANGE",
			CSAU => "CREDIT SUISSE EQUITIES (AUSTRALIA) LIMITED",
			CSEU => "CREDIT SUISSE (EUROPE)",
			CSHK => "CREDIT SUISSE SECURITIES (HONG KONG) LIMITED",
			CSJP => "CREDIT SUISSE EQUITIES (JAPAN) LIMITED",
			FICX => "FINANCIAL INFORMATION CONTRIBUTORS EXCHANGE",
			GBOT => "BOURSE AFRICA LIMITED",
			GRIF => "GRIFFIN MARKETS LIMITED",
			IBGH => "IBERIAN GAS HUB",
			IEXG => "INVESTORS EXCHANGE",
			LMEC => "LME CLEAR",
			NEXO => "NOREXECO ASA",
			NMRJ => "NOMURA SECURITIES CO LTD",
			XBEL => "BELGRADE STOCK EXCHANGE",
			XBLB => "BANJA LUKA STOCK EXCHANGE",
			XMUN => "BOERSE MUENCHEN",
			XNXC => "NXCHANGE",
			XVES => "VESTIMA",
			360T => "360T",
			AATS => "ASSENT ATS",
			ACEX => "ACE DERIVATIVES & COMMODITY EXCHANGE LTD",
			AFDL => "ABIDE FINANCIAL DRSP LIMITED APA",
			AFET => "AGRICULTURAL FUTURES EXCHANGE OF THAILAND",
			AFSE => "AFS E-VENUES B.V.",
			ASEX => "ATHENS STOCK EXCHANGE",
			AWBX => "AUSTRALIAN WHEAT BOARD",
			AWEX => "AUSTRALIAN WOOL EXCHANGE",
			BACE => "BOLSA DE CEREALES DE BUENOS AIRES",
			BAML => "BANK OF AMERICA - MERRILL LYNCH INSTINCT X ATS",
			BAPA => "BLOOMBERG - APA",
			BAPX => "BALTPOOL",
			BARX => "BARCLAYS ATS",
			BBSF => "BLOOMBERG SEF LLC",
			BCFS => "BOLSA DE COMERCIO DE SANTA FE",
			BCMM => "BOLSA DE CEREAIS E MERCADORIAS DE MARINGï¿½",
			BCSE => "BELARUS CURRENCY AND STOCK EXCHANGE",
			BCXE => "CBOE EUROPE EQUITIES",
			BEAM => "MTS ASSOCIATED MARKETS",
			BEEX => "BOND ELECTRONIC EXCHANGE",
			BETP => "BLOOMBERG TRADEBOOK JAPAN LIMITED",
			BGCF => "BGC FINANCIAL INC",
			BGCI => "BGC BROKERS LP",
			BHSF => "CBOE SEF, LLC",
			BIDS => "BIDS TRADING L.P.",
			BLEV => "BLOCK EVENT",
			BLPX => "BELGIAN POWER EXCHANGE",
			BPOL => "BLOOMBERG BPOOL",
			BMEX => "BME - BOLSAS Y MERCADOS ESPANOLES",
			BMTF => "BLOOMBERG TRADING FACILITY LIMITED",
			BNYC => "CONVERGEX",
			BOAT => "CINNOBER BOAT",
			BOSC => "BONDSCAPE",
			BOVA => "BOLSA DE CORREDORES - BOLSA DE VALORES",
			BOVM => "BOLSA DE VALORES MINAS-ESPï¿½RITO SANTO-BRASï¿½LIA",
			BRIX => "BRAZILIAN ENERGY EXCHANGE",
			BRNX => "BERNSTEIN CROSS (BERN-X)",
			BSEX => "BAKU STOCK EXCHANGE",
			BTEC => "ICAP ELECTRONIC BROKING (US)",
			BVCA => "CARACAS STOCK EXCHANGE",
			BVMF => "B3 S.A. - BRASIL BOLSA BALCAO",
			BVUR => "BOLSA ELECTRONICA DE VALORES DEL URUGUAY",
			CAND => "CANDEAL.CA INC",
			CANX => "CANNEX FINANCIAL EXCHANGE LTS",
			CATS => "CATS",
			CCFX => "CHINA FINANCIAL FUTURES EXCHANGE",
			CCLX => "FINESTI S.A.",
			CCO2 => "CANTORCO2E.COM LIMITED",
			CDED => "CITADEL SECURITIES",
			CDSL => "CLEARCORP DEALING SYSTEMS (INDIA) LTD.",
			CGIT => "CASSA DI COMPENSAZIONE E GARANZIA SPA",
			CHEV => "CA CHEUVREUX",
			CHIA => "CBOE AUSTRALIA",
			CHIC => "CHI-X CANADA ATS",
			CHIJ => "CBOE JAPAN - ALPHA",
			CLAU => "CLSA AUSTRALIA - DARK",
			CLHK => "CLSA HONG KONG - DARK",
			CLJP => "CLSA JAPAN - DARK",
			CLMX => "CLIMEX",
			CLPH => "CLSA PHILIPPINES - DARK",
			CMET => "CLEAR MARKETS JAPAN, INC.",
			CMMT => "CLEAR MARKETS EUROPE LIMITED",
			CMSF => "CLEAR MARKETS NORTH AMERICA, INC.",
			COAL => "LA COTE ALPHA",
			COMG => "COMMERG LTD.",
			COTC => "BMO CAPITAL MARKETS - CAD OTC TRADES",
			CRED => "CREDIT SUISSE (US)",
			CRYD => "CRYEX - FX AND DIGITAL CURRENCIES",
			CRYP => "CRYPTO FACILITIES",
			CRYX => "CRYEX",
			CSSX => "CHINA STAINLESS STEEL EXCHANGE",
			DASI => "DANSKE BANK A/S",
			DBHK => "DEUTSCHE BANK HONG KONG ATS",
			DBOX => "DEUTSCHE BANK OFF EXCHANGE TRADING",
			DCSX => "DUTCH CARIBBEAN SECURITIES EXCHANGE",
			DEAL => "DCX (DERIVATIVES CURRENCY EXCHANGE)",
			DGCX => "DUBAI GOLD & COMMODITIES EXCHANGE DMCC",
			DKTC => "DANSK OTC",
			DOTS => "SWISS DOTS BY CATS",
			DSMD => "QATAR EXCHANGE",
			DUMX => "DUBAI MERCANTILE EXCHANGE",
			ECAG => "EUREX CLEARING AG",
			ECAL => "EUREX CLEARING ASIA PTE. LTD.",
			EEAL => "EUREX EXCHANGE ASIA PTE. LTD.",
			EESE => "EAST EUROPEAN STOCK EXCHANGE",
			EGMT => "EG MARKET TECHNOLOGIES",
			EGSI => "ERSTE GROUP BANK AG",
			EMBX => "EMERGING MARKETS BOND EXCHANGE LIMITED",
			EMID => "E-MID",
			ENCL => "ENCLEAR",
			EOTC => "E-OTC",
			EPEX => "EPEX SPOT SE",
			ETSC => "ETS EURASIAN TRADING SYSTEM COMMODITY EXCHANGE",
			EXEU => "EXANE BNP PARIBAS",
			EXTR => "ENERGY EXCHANGE ISTANBUL",
			FAIR => "CANTOR SPREADFAIR",
			FGEX => "KAASUPORSSI - FINNISH GAS EXCHANGE",
			FINR => "FINRA",
			FISH => "FISH POOL ASA",
			FMTS => "MTS FRANCE SAS",
			FSEF => "FTSEF LLC",
			FSHX => "FISHEX",
			FXAL => "FXALL",
			FXCM => "FXCM",
			G1XX => "G1 EXECUTION SERVICES",
			GEMX => "GEMMA (GILT EDGED MARKET MAKERSï¿½ASSOCIATION)",
			GETB => "LITHUANIAN NATURAL GAS EXCHANGE",
			GLLC => "GATE US LLC",
			GLPS => "ESSEX RADEZ, LLC",
			GLPX => "ACS EXECUTION SERVICES, LLC",
			GMEG => "GMEX EXCHANGE",
			GMTF => "GALAXY",
			GOVX => "GOVEX",
			GREE => "THE GREEN EXCHANGE",
			GRSE => "THE GREEN STOCK EXCHANGE - ACB IMPACT MARKETS",
			GSCI => "THE GUYANA ASSOCIATION OF SECURITIES COMPANIES AND INTERMEDIARIES INC.",
			GSCO => "GOLDMAN SACHS AND CO.",
			GSEF => "GFI SWAPS EXCHANGE, LLC",
			GSIL => "GOLDMAN SACHS INTERNATIONAL",
			GSXL => "THE GIBRALTAR STOCK EXCHANGE",
			GTCO => "KCG AMERICAS LLC",
			GTSX => "GTSX",
			GTXS => "GTX SEF, LLC",
			GXMA => "GX MARKETCENTER",
			HCHC => "ICE CLEAR NETHERLANDS B.V.",
			HDAT => "ELECTRONIC SECONDARY SECURITIES MARKET (HDAT)",
			HEGX => "NADEX",
			HMTF => "VORVEL BONDS",
			HPPO => "POTAMUS TRADING LLC",
			HSFX => "CBOE FX",
			HSTC => "HANOI STOCK EXCHANGE",
			HSXA => "HSBC-X HONG KONG",
			HUPX => "HUNGARIAN POWER EXCHANGE",
			IBAL => "ICE BENCHMARK ADMINISTRATION",
			IBEX => "INDEPENDENT BULGARIAN ENERGY EXCHANGE",
			ICDX => "INDONESIA COMMODITY AND DERIVATIVES EXCHANGE",
			ICEL => "ISLAND ECN LTD, THE",
			ICXL => "INDIAN COMMODITY EXCHANGE LTD.",
			IFEU => "ICE FUTURES EUROPE",
			IFSG => "ICE FUTURES SINGAPORE",
			IFUS => "ICE FUTURES U.S.",
			IMEX => "IRAN MERCANTILE EXCHANGE",
			ISDA => "ISDAFIX",
			ISEX => "INTER-CONNECTED STOCK EXCHANGE OF INDIA LTD",
			ITGI => "POSIT",
			IVZX => "INVESCO CANADA PTF TRADES",
			JADX => "JOINT ASIAN DERIVATIVES EXCHANGE",
			JNST => "JANE STREET CAPITAL, LLC",
			JPMI => "JP MORGAN - JPMI MARKET",
			JPMX => "JPMX",
			JSES => "JANE STREET EXECUTION SERVICES LLC",
			JSJX => "JANE STREET JX",
			KCCP => "KELER CCP",
			KLEU => "KNIGHT LINK EUROPE",
			KNIG => "KNIGHT",
			KRME => "PAYWARD MENA HOLDINGS LTD.",
			LASF => "LATAM SEF",
			LCHC => "LCH.CLEARNET",
			LCUR => "CURRENEX LDFX",
			LICA => "LIQUIDNET CANADA ATS",
			LIQU => "LIQUIDNET SYSTEMS",
			LIUS => "LIQUIDNET, INC.",
			LMAX => "LMAX",
			LOTC => "OTC MARKET",
			LPPM => "LONDON PLATINUM AND PALLADIUM MARKET",
			LTAA => "LUMINEX TRADING & ANALYTICS LLC",
			LXJP => "BARCLAYS LX JAPAN",
			MAEL => "MARKETAXESS EUROPE LIMITED",
			MALX => "MALDIVES STOCK EXCHANGE",
			MAQH => "MACQUARIE INTERNAL MARKETS (HONG KONG)",
			MAQJ => "MACQUARIE INTERNAL MARKETS (JAPAN)",
			MAQX => "MACQUARIE INTERNAL MARKETS (AUSTRALIA)",
			MATN => "MATCH NOW",
			MATX => "MATRIX LIMITED",
			MBUL => "MTF SOFIA",
			MFGL => "MF GLOBAL ENERGY MTF",
			MIBG => "MERCADO ORGANIZADO DEL GAS",
			MIHI => "MIAMI INTERNATIONAL HOLDINGS, INC.",
			MIZX => "MIZUHO INTERNAL CROSSING",
			MSAL => "MORGAN STANLEY AUSTRALIA SECURITIES LIMITED",
			MSCO => "MORGAN STANLEY AND CO. LLC",
			MSIP => "MORGAN STANLEY AND CO. INTERNATIONAL PLC",
			MSMS => "MORGAN STANLEY MUFG SECURITIES CO., LTD",
			MYTR => "MYTREASURY",
			N2EX => "N2EX",
			NAMX => "NATIONAL MERCANTILE EXCHANGE",
			NASX => "NASD OTC MARKET",
			NBLX => "NOBLE EXCHANGE",
			NBOT => "NATIONAL BOARD OF TRADE LIMITED",
			NCEL => "PAKISTAN MERCANTILE EXCHANGE",
			NFSC => "NATIONAL FINANCIAL SERVICES, LLC",
			NGXC => "NATURAL GAS EXCHANGE",
			NILX => "NILE STOCK EXCHANGE",
			NLPX => "APX POWER NL",
			NMCE => "NATIONAL MULTI-COMMODITY EXCHANGE OF INDIA",
			NMRA => "NOMURA SECURITIES INTERNATIONAL",
			NODX => "NODAL EXCHANGE",
			NOFF => "NOMURA OTC TRADES",
			NOPS => "NORD POOL SPOT AS",
			NOSC => "NOS CLEARING ASA",
			NOTC => "NORWEGIAN OVER THE COUNTER MARKET",
			NPGA => "GASPOINT NORDIC A/S",
			NSXB => "BENDIGO STOCK EXCHANGE LIMITED",
			NXEU => "NX",
			NXUS => "NX ATS - CROSSING PLATFORM",
			NYPC => "NEW YORK PORTFOLIO CLEARING",
			OLLC => "OTCEX LLC",
			OMEL => "OMI POLO ESPANOL S.A. (OMIE)",
			OMGA => "OMEGA ATS",
			OMIC => "THE IBERIAN ENERGY CLEARING HOUSE",
			OPRA => "OPTIONS PRICE REPORTING AUTHORITY",
			OSLC => "SIX X-CLEAR AG",
			OTCE => "OTCEX",
			OTCX => "OTC EXCHANGE OF INDIA",
			PAVE => "ALTERNATIVE PLATFORM FOR SPANISH SECURITIES",
			PDEX => "PHILIPPINE DEALING AND EXCHANGE CORP",
			PFTS => "PFTS STOCK EXCHANGE",
			PIEU => "ARITAS FINANCIAL LTD",
			PIPE => "ARITAS SECURITIES LLC",
			PIRM => "PIRUM",
			PRSE => "PRAGMA ATS",
			PVMF => "PVM OTF",
			PXIL => "POWER EXCHANGE INDIA LTD.",
			QWIX => "Q-WIXX PLATFORM",
			RBSX => "RBS CROSS",
			ROCO => "TAIPEI EXCHANGE",
			ROFX => "ROSARIO FUTURE EXCHANGE",
			ROTC => "RWANDA OTC MARKET",
			RPDX => "MOSCOW ENERGY EXCHANGE",
			RSEX => "RWANDA STOCK EXCHANGE",
			RTSP => "REFINITIV TRANSACTION SERVICES PTE. LTD",
			S3FM => "SOCIETY3 FUNDERSMART",
			SECC => "SECDEX CLEARING LIMITED",
			SECD => "SECDEX DEPOSITORY LIMITED",
			SECE => "SECDEX EXCHANGE LIMITED",
			SECF => "SECFINEX",
			SEDC => "SECDEX DIGITAL CUSTODIAN LIMITED",
			SELC => "SISTEMA ESPECIAL DE LIQUIDACAO E CUSTODIA DE TITULOS PUBLICOS",
			SEPE => "STOCK EXCHANGE PERSPECTIVA",
			SGEX => "SHANGHAI GOLD EXCHANGE",
			SGMA => "GOLDMAN SACH MTF",
			SHAR => "ASSET MATCH",
			SHAW => "D.E. SHAW",
			SIGA => "SIGMA X AUSTRALIA",
			SIGJ => "SIGMA X JAPAN",
			SIMV => "SIM VENTURE SECURITIES EXCHANGE",
			SMEX => "SINGAPORE MERCANTILE EXCHANGE PTE LTD",
			SOHO => "TWO SIGMA SECURITIES, LLC",
			SPIM => "ST. PETERSBURG INTERNATIONAL MERCANTILE EXCHANGE",
			SPRZ => "SPREADZERO",
			SPXE => "SPX",
			SSEX => "SOCIAL STOCK EXCHANGE",
			SSTX => "E-EXCHANGE",
			STOX => "STOXX LIMITED",
			SWAP => "SWAPSTREAM",
			SXSI => "SAXO BANK A/S",
			TERA => "TERAEXCHANGE",
			TFEX => "THAILAND FUTURES EXCHANGE",
			TFSA => "TFS GREEN AUSTRALIAN GREEN MARKETS",
			TFSU => "TFS GREEN UNITED STATES GREEN MARKETS",
			TMID => "TRUMID ATS",
			TOCP => "TORA CROSSPOINT",
			TPIE => "THE PROPERTY INVESTMENT EXCHANGE",
			TPSE => "TP SEF, INC.",
			TRCK => "TRACK ECN",
			TREU => "TRADEWEB EUROPE LIMITED",
			TRQX => "TURQUOISE",
			TRUX => "TRUEEX LLC",
			TRWB => "TRADEWEB LLC",
			TSEF => "TRADITION SEF",
			TWEU => "TRADEWEB EU BV",
			UBSG => "UBS TRADING",
			UBSX => "UBS CROSS",
			UKEX => "UKRAINIAN EXCHANGE",
			UKPX => "APX POWER UK",
			ULTX => "ALT XCHANGE (U)",
			VEGA => "VEGA-CHI",
			VFCM => "VIRTU FINANCIAL CAPITAL MARKETS LLC",
			VMFX => "THE FAROESE SECURITIES MARKET",
			WSAG => "WALL STREET ACCESS",
			XADS => "ABU DHABI SECURITIES EXCHANGE",
			XAFR => "ALTERNATIVA FRANCE",
			XAFX => "AFRICAN STOCK EXCHANGE",
			XALG => "ALGIERS STOCK EXCHANGE",
			XAMS => "EURONEXT - EURONEXT AMSTERDAM",
			XAQS => "AUTOMATED EQUITY FINANCE MARKETS",
			XARM => "ARMENIA SECURITIES EXCHANGE",
			XASX => "ASX - ALL MARKETS",
			XATS => "ALPHA EXCHANGE",
			XBAA => "BAHAMAS INTERNATIONAL SECURITIES EXCHANGE",
			XBAB => "BARBADOS STOCK EXCHANGE",
			XBAH => "BAHRAIN BOURSE",
			XBAN => "BANGALORE STOCK EXCHANGE LTD",
			XBBJ => "JAKARTA FUTURES EXCHANGE (BURSA BERJANGKA JAKARTA)",
			XBBK => "PERIMETER FINANCIAL CORP. - BLOCKBOOK ATS",
			XBCC => "BOLSA DE COMERCIO DE CORDOBA",
			XBCL => "LA BOLSA ELECTRONICA DE CHILE",
			XBCM => "BOLSA DE COMERCIO DE MENDOZA S.A.",
			XBCV => "BOLSA CENTROAMERICANA DE VALORES S.A.",
			XBDA => "BERMUDA STOCK EXCHANGE LTD",
			XBER => "BOERSE BERLIN",
			XBEY => "BOURSE DE BEYROUTH - BEIRUT STOCK EXCHANGE",
			XBKK => "STOCK EXCHANGE OF THAILAND",
			XBLN => "BLUENEXT",
			XBNV => "BOLSA NACIONAL DE VALORES, S.A.",
			XBOG => "BOLSA DE VALORES DE COLOMBIA",
			XBOL => "BOLSA BOLIVIANA DE VALORES S.A.",
			XBOM => "BSE LTD",
			XBOT => "BOTSWANA STOCK EXCHANGE",
			XBRA => "BRATISLAVA STOCK EXCHANGE",
			XBRM => "ROMANIAN  COMMODITIES EXCHANGE",
			XBRN => "BX SWISS AG",
			XBRU => "EURONEXT - EURONEXT BRUSSELS",
			XBRV => "BOURSE REGIONALE DES VALEURS MOBILIERES",
			XBSE => "SPOT REGULATED MARKET - BVB",
			XBUD => "BUDAPEST STOCK EXCHANGE",
			XBUE => "BOLSA DE COMERCIO DE BUENOS AIRES",
			XBUL => "BULGARIAN STOCK EXCHANGE",
			XBVC => "CAPE VERDE STOCK EXCHANGE",
			XBVR => "BOLSA DE VALORES DE LA REPUBLICA DOMINICANA SA.",
			XCAI => "EGYPTIAN EXCHANGE",
			XCAL => "CALCUTTA STOCK EXCHANGE",
			XCAS => "CASABLANCA STOCK EXCHANGE",
			XCAY => "CAYMAN ISLANDS STOCK EXCHANGE",
			XCBT => "CHICAGO BOARD OF TRADE",
			XCDE => "BAXTER FINANCIAL SERVICES",
			XCET => "UZBEK COMMODITY EXCHANGE",
			XCFE => "CHINA FOREIGN EXCHANGE TRADE SYSTEM",
			XCFF => "CANTOR FINANCIAL FUTURES EXCHANGE",
			XCGS => "CHINESE GOLD & SILVER EXCHANGE SOCIETY",
			XCHG => "CHITTAGONG STOCK EXCHANGE LTD.",
			XCIE => "THE INTERNATIONAL STOCK EXCHANGE",
			XCME => "CHICAGO MERCANTILE EXCHANGE",
			XCNF => "BOLSA DE COMERCIO CONFEDERADA S.A.",
			XCOL => "COLOMBO STOCK EXCHANGE",
			XCOR => "ICMA",
			XCRO => "CROATIAN POWER EXCHANGE",
			XCSE => "NASDAQ COPENHAGEN A/S",
			XCSX => "CAMBODIA SECURITIES EXCHANGE",
			XCUE => "UZBEKISTAN REPUBLICAN CURRENCY EXCHANGE",
			XCUR => "CURRENEX",
			XCXD => "NASDAQ CXD",
			XCYS => "CYPRUS STOCK EXCHANGE",
			XDAR => "DAR ES  SALAAM STOCK EXCHANGE",
			XDCE => "DALIAN COMMODITY EXCHANGE",
			XDES => "DELHI STOCK EXCHANGE",
			XDFB => "JOINT-STOCK COMPANY ï¿½STOCK EXCHANGE INNEXï¿½",
			XDFM => "DUBAI FINANCIAL MARKET",
			XDHA => "DHAKA STOCK EXCHANGE LTD",
			XDPA => "CADE - MERCADO DE DEUDA PUBLICA ANOTADA",
			XDSE => "DAMASCUS SECURITIES EXCHANGE",
			XDSX => "DOUALA STOCK EXCHANGE",
			XDUS => "BOERSE DUESSELDORF",
			XEBI => "ENERGY BROKING IRELAND GAS TRADING PLATFORM",
			XECB => "ECB EXCHANGE RATES",
			XECC => "EUROPEAN COMMODITY CLEARING AG",
			XECS => "EASTERN CARIBBEAN SECURITIES EXCHANGE",
			XELX => "ELX",
			XEMD => "MERCADO MEXICANO DE DERIVADOS",
			XEMS => "EMS EXCHANGE",
			XETR => "XETRA",
			XEUP => "EUREX REPO GMBH",
			XEUR => "EUREX DEUTSCHLAND",
			XFKA => "FUKUOKA STOCK EXCHANGE",
			XFRA => "DEUTSCHE BOERSE AG",
			XGAS => "CENTRAL EASTERN EUROPEAN GAS EXCHANGE LTD",
			XGCL => "GLOBAL COAL LIMITED",
			XGHA => "GHANA STOCK EXCHANGE",
			XGME => "GESTORE MERCATO ELETTRICO - ITALIAN POWER EXCHANGE",
			XGMX => "GLOBALCLEAR MERCANTILE EXCHANGE",
			XGSE => "GEORGIA STOCK EXCHANGE",
			XGTG => "BOLSA DE VALORES NACIONAL SA",
			XGUA => "BOLSA DE VALORES DE GUAYAQUIL",
			XHAM => "HANSEATISCHE WERTPAPIERBOERSE HAMBURG",
			XHAN => "NIEDERSAECHSISCHE BOERSE ZU HANNOVER",
			XHEL => "NASDAQ HELSINKI LTD",
			XHKF => "HONG KONG FUTURES EXCHANGE LTD.",
			XHKG => "HONG KONG EXCHANGES AND CLEARING LTD",
			XIBE => "BAKU INTERBANK CURRENCY EXCHANGE",
			XICE => "NASDAQ ICELAND HF.",
			XICX => "INSTINET CANADA CROSS",
			XIDX => "INDONESIA STOCK EXCHANGE",
			XIHK => "INSTINET PACIFIC LTD",
			XIMA => "INTERNATIONAL MARTIME EXCHANGE",
			XIMC => "MULTI COMMODITY EXCHANGE OF INDIA LTD.",
			XINS => "INSTINET",
			XINV => "INVESTRO",
			XIQS => "IRAQ STOCK EXCHANGE",
			XIST => "BORSA ISTANBUL",
			XISX => "INTERNATIONAL SECURITIES EXCHANGE, LLC",
			XJAM => "JAMAICA STOCK EXCHANGE",
			XJNB => "JAKARTA NEGOTIATED BOARD",
			XJPX => "JAPAN EXCHANGE GROUP",
			XJSE => "JOHANNESBURG STOCK EXCHANGE",
			XKAC => "OSAKA DOJIMA COMMODITY EXCHANGE",
			XKAZ => "KAZAKHSTAN STOCK EXCHANGE",
			XKCE => "KHOREZM INTERREGION COMMODITY EXCHANGE",
			XKFB => "KOREA FREEBOARD MARKET",
			XKHA => "KHARTOUM STOCK EXCHANGE",
			XKHR => "KHARKOV COMMODITY EXCHANGE",
			XKIE => "KIEV UNIVERSAL EXCHANGE",
			XKIS => "KIEV INTERNATIONAL STOCK EXCHANGE",
			XKLS => "BURSA MALAYSIA",
			XKRX => "KOREA EXCHANGE (STOCK MARKET)",
			XKSE => "KYRGYZ STOCK EXCHANGE",
			XKUW => "KUWAIT STOCK EXCHANGE",
			XLAO => "LAO SECURITIES EXCHANGE",
			XLBM => "LONDON BULLION MARKET",
			XLFX => "LABUAN INTERNATIONAL FINANCIAL EXCHANGE",
			XLIM => "BOLSA DE VALORES DE LIMA",
			XLIT => "AB NASDAQ VILNIUS",
			XLJU => "LJUBLJANA STOCK EXCHANGE (OFFICIAL MARKET)",
			XLME => "LONDON METAL EXCHANGE",
			XLON => "LONDON STOCK EXCHANGE",
			XLSM => "LIBYAN STOCK MARKET",
			XLUS => "LUSAKA STOCK EXCHANGE",
			XLUX => "LUXEMBOURG STOCK EXCHANGE",
			XMAB => "MERCADO ABIERTO ELECTRONICO S.A.",
			XMAE => "MACEDONIAN STOCK EXCHANGE",
			XMAN => "BOLSA DE VALORES DE NICARAGUA",
			XMAU => "STOCK EXCHANGE OF MAURITIUS LTD",
			XMDG => "MARCHE INTERBANCAIRE DES DEVISES M.I.D.",
			XMDS => "MADRAS STOCK EXCHANGE",
			XMER => "MERCHANTS' EXCHANGE",
			XMEX => "BOLSA MEXICANA DE VALORES (MEXICAN STOCK EXCHANGE)",
			XMGE => "MINNEAPOLIS GRAIN EXCHANGE",
			XMIL => "BORSA ITALIANA S.P.A.",
			XMNT => "BOLSA DE VALORES DE MONTEVIDEO",
			XMNX => "MONTENEGRO STOCK EXCHANGE",
			XMOC => "MONTREAL CLIMATE EXCHANGE",
			XMOD => "THE MONTREAL EXCHANGE / BOURSE DE MONTREAL",
			XMOL => "MOLDOVA STOCK EXCHANGE",
			XMSW => "MALAWI STOCK EXCHANGE",
			XMTB => "MERCADO A TERMINO DE BUENOS AIRES S.A.",
			XMTS => "EUROMTS LTD",
			XMUS => "MUSCAT STOCK EXCHANGE",
			XNAF => "SISTEMA ESPANOL DE NEGOCIACION DE ACTIVOS FINANCIEROS",
			XNAI => "NAIROBI STOCK EXCHANGE",
			XNAM => "NAMIBIAN STOCK EXCHANGE",
			XNAS => "NASDAQ - ALL MARKETS",
			XNCD => "NATIONAL COMMODITY & DERIVATIVES EXCHANGE LTD",
			XNEC => "NATIONAL STOCK EXCHANGE OF AUSTRALIA LIMITED",
			XNEP => "NEPAL STOCK EXCHANGE",
			XNGM => "NORDIC GROWTH MARKET",
			XNGO => "NAGOYA STOCK EXCHANGE",
			XNKS => "CENTRAL JAPAN COMMODITIES EXCHANGE",
			XNSA => "THE NIGERIAN STOCK EXCHANGE",
			XNSE => "NATIONAL STOCK EXCHANGE OF INDIA",
			XNYM => "NEW YORK MERCANTILE EXCHANGE",
			XNYS => "NEW YORK STOCK EXCHANGE, INC.",
			XNZE => "NEW ZEALAND EXCHANGE LTD",
			XODE => "ODESSA COMMODITY EXCHANGE",
			XOFF => "OFF-EXCHANGE TRANSACTIONS - LISTED INSTRUMENTS",
			XPAE => "PALESTINE SECURITIES EXCHANGE",
			XPAR => "EURONEXT - EURONEXT PARIS",
			XPHS => "PHILIPPINE STOCK EXCHANGE, INC.",
			XPIC => "SAINT-PETERSBURG CURRENCY EXCHANGE",
			XPOW => "POWERNEXT",
			XPRA => "PRAGUE STOCK EXCHANGE",
			XPRI => "PRIDNEPROVSK COMMODITY EXCHANGE",
			XPST => "POSIT - ASIA PACIFIC",
			XPTY => "LATIN AMERICAN STOCK EXCHANGE, INC.",
			XPXE => "POWER EXCHANGE CENTRAL EUROPE",
			XQUI => "BOLSA DE VALORES DE QUITO",
			XRBM => "RINGGIT BOND MARKET",
			XRIS => "NASDAQ RIGA AS",
			XRMZ => "RM-SYSTEM CZECH STOCK EXCHANGE",
			XROS => "BOLSA DE COMERCIO ROSARIO",
			XRPM => "ROMANIAN POWER MARKET",
			XRUS => "INTERNET DIRECT-ACCESS EXCHANGE",
			XSAM => "SAMARA CURRENCY INTERBANK EXCHANGE",
			XSAP => "SAPPORO SECURITIES EXCHANGE",
			XSAU => "SAUDI STOCK EXCHANGE",
			XSCO => "BOERSE FRANKFURT WARRANTS TECHNICAL",
			XSEF => "SWAPEX, LLC",
			XSES => "SINGAPORE EXCHANGE",
			XSGE => "SHANGHAI FUTURES EXCHANGE",
			XSGO => "SANTIAGO STOCK EXCHANGE",
			XSHE => "SHENZHEN STOCK EXCHANGE",
			XSHG => "SHANGHAI STOCK EXCHANGE",
			XSIB => "SIBERIAN EXCHANGE",
			XSOP => "BSP REGIONAL ENERGY EXCHANGE - SOUTH POOL",
			XSPS => "SOUTH PACIFIC STOCK EXCHANGE",
			XSSE => "SARAJEVO STOCK EXCHANGE",
			XSTC => "HOCHIMINH STOCK EXCHANGE",
			XSTE => "REPUBLICAN STOCK EXCHANGE",
			XSTO => "NASDAQ STOCKHOLM AB",
			XSTU => "BOERSE STUTTGART",
			XSVA => "EL SALVADOR STOCK EXCHANGE",
			XSWA => "ESWATINI STOCK EXCHANGE",
			XSWB => "SWX SWISS BLOCK",
			XTAE => "TEL AVIV STOCK EXCHANGE",
			XTAF => "TAIWAN FUTURES EXCHANGE",
			XTAI => "TAIWAN STOCK EXCHANGE",
			XTAL => "NASDAQ TALLINN AS",
			XTEH => "TEHRAN STOCK EXCHANGE",
			XTFF => "TOKYO FINANCIAL  EXCHANGE",
			XTIR => "TIRANA STOCK EXCHANGE",
			XTKT => "TOKYO COMMODITY EXCHANGE",
			XTRN => "TRINIDAD AND TOBAGO STOCK EXCHANGE",
			XTRZ => "ZAGREB MONEY AND SHORT TERM SECURITIES MARKET INC",
			XTSE => "TORONTO STOCK EXCHANGE",
			XTSX => "TSX VENTURE EXCHANGE",
			XTUN => "TUNIS STOCK EXCHANGE (BOURSE DE TUNIS)",
			XUAX => "UKRAINIAN STOCK EXCHANGE",
			XUGA => "UGANDA SECURITIES EXCHANGE",
			XUKR => "UKRAINIAN UNIVERSAL COMMODITY EXCHANGE",
			XULA => "MONGOLIAN STOCK EXCHANGE",
			XUNI => "UNIVERSAL BROKER'S EXCHANGE 'TASHKENT'",
			XUSE => "UNITED STOCK EXCHANGE",
			XVPA => "BOLSA DE VALORES Y PRODUCTOS DE ASUNCION SA",
			XWAR => "WARSAW STOCK EXCHANGE/EQUITIES/MAIN MARKET",
			XWBO => "WIENER BOERSE AG",
			XXSC => "FRANKFURT CEF SC",
			XXXX => "NO MARKET (E.G. UNLISTED)",
			XYIE => "YIELDBROKER PTY LTD",
			XZAG => "ZAGREB STOCK EXCHANGE",
			XZCE => "ZHENGZHOU COMMODITY EXCHANGE",
			XZIM => "ZIMBABWE STOCK EXCHANGE",
			ZKBX => "ZURCHER KANTONALBANK SECURITIES EXCHANGE",
			UKCA => "CREDIT AGRICOLE CIB UK BRANCH",
			ASEF => "AEGIS SWAP EXECUTION FACILITY",
			XEBS => "EBS UK MULTILATERAL TRADING FACILITY",
			NSPO => "NASDAQ SPOT AB",
			OTCI => "OTC LINK NQB IDQS (INTER-DEALER QUOTATION SYSTEM)",
			GFOX => "GLOBAL FUTURES AND OPTIONS LTD",
			TERM => "TP ICAP FX HUB",
			PATF => "PATRIA FINANCE A.S.",
			ODXE => "ODX - OSAKA DIGITAL EXCHANGE",
			HPSX => "HPC OTF",
			DBDX => "DEUTSCHE BOERSE DIGITAL EXCHANGE",
			ARTX => "ARTEX MTF",
			SPTX => "SPOT FX",
			STXS => "STX FIXED INCOME",
			EUFN => "EURO-FINANCE AD",
			GFAU => "GFI AUSTRALIA PTY LTD",
			XIGG => "BLOCKMATCH EUROPE",
			SMBC => "SMBC NIKKO SNET DARKPOOL",
			BGCA => "BGC PARTNERS (AUSTRALIA) PTY LTD",
			XFTX => "FTX",
			NABP => "NATIONAL AUSTRALIA BANK EUROPE S.A.",
			RITS => "REFINITIV - FORWARDS MATCHING",
			CAST => "FORECASTEX, LLC",
			XABX => "ABAXX EXCHANGE",
			CILH => "LIQUIDITY HUB JAPAN",
			CBAE => "COMMONWEALTH BANK OF AUSTRALIA (EUROPE) N.V.",
			TRDC => "TFS CURRENCIES PTE LTD",
			NSSA => "NOBLE SECURITIES S.A.",
			CMCM => "CMC MARKETS UK PLC",
			SFOX => "SFOX",
			BJSE => "BEIJING STOCK EXCHANGE",
			NEEQ => "NATIONAL EQUITIES EXCHANGE AND QUOTATIONS",
			VFEX => "VICTORIA FALLS STOCK EXCHANGE",
			MSDM => "MICHAEL/STROM DOM MAKLERSKI SPOLKA AKCYJNA",
			IBSI => "INTERACTIVE BROKERS",
			RAJA => "RAYMOND JAMES",
			LPSF => "LPSFX LLC",
			GBSI => "GOODBODY STOCKBROKERS UC",
			TPID => "TP ICAP - UK - DIGITAL ASSETS",
			INGU => "ING BANK NV  - LONDON BRANCH",
			SISU => "SUSQUEHANNA INTERNATIONAL SECURITIES LIMITED - LONDON BRANCH",
			OTXT => "OTCX TRADING LIMITED UK MTF",
			BOCF => "BANK OF CHINA LIMITED - FRANKFURT BRANCH",
			FPWB => "FIRSTPLACE WIENER BOERSE",
			SPAX => "SPECTRAXE",
			LEBV => "LEDGEREDGE B.V.",
			LESI => "LEDGEREDGE SECURITIES INC.",
			GMGE => "GMG EUROPE B.V.",
			INTL => "STONEX FINANCIAL INC.",
			TMUK => "TRUMID FINANCIAL UK LIMITED",
			U360 => "360 TRADING NETWORKS INC.",
			BDPL => "BANQUE DEGROOF PETERCAM LUXEMBOURG S.A.",
			VMEX => "VENOMEX LIMITED",
			INFT => "INFRONT MARKETS",
			EDXM => "EDX MARKETS",
			IBKR => "INTERACTIVE BROKERS LLC",
			ALGO => "BLOX",
			XAND => "ASIANEXT DERIVATIVES",
			GSLO => "GALLARDO SECURITIES LIMITED",
			RTXF => "RTX FINTECH AND RESEARCH",
			VUBA => "VSEOBECNA UVEROVA BANKA, AS",
			G360 => "G360",
			ACXL => "ACX",
			ACXC => "ACX CLEARING CORPORATION LTD.",
			ATAD => "ATADEL FUNDS",
			GSXN => "GSX NATURAL",
			RULE => "RULEMATCH",
			XCVD => "CEVALDOM - OTC MARKET",
			XANM => "ASIANEXT TOKEN MARKETPLACE",
			CFIM => "CBOE FIXED INCOME MARKETS, LLC",
			RFIM => "REAL FORTUNE INVESTMENT L.L.C",
			BNDS => "BONDS.COM, INC.",

        }
    }

    pub fn country(&self) -> CountryCode {
        match self {
			DRSP => CountryCode::GB,
			XCNQ => CountryCode::CA,
			ZODM => CountryCode::GB,
			NORX => CountryCode::NO,
			POSE => CountryCode::ES,
			PUND => CountryCode::US,
			UCBG => CountryCode::BG,
			BBLX => CountryCode::SG,
			SPBE => CountryCode::RU,
			OTCM => CountryCode::US,
			FREX => CountryCode::US,
			IDXM => CountryCode::US,
			MBCP => CountryCode::PT,
			OCEA => CountryCode::US,
			OSDS => CountryCode::HK,
			OSSG => CountryCode::SG,
			RR4G => CountryCode::NL,
			TRUK => CountryCode::GB,
			UGEN => CountryCode::GB,
			CNOD => CountryCode::SG,
			BGLU => CountryCode::LU,
			GFAM => CountryCode::US,
			TMCY => CountryCode::CY,
			UBEC => CountryCode::US,
			ESLO => CountryCode::FR,
			IOTF => CountryCode::GB,
			SEBA => CountryCode::DE,
			BRED => CountryCode::FR,
			RUSX => CountryCode::RU,
			UNGB => CountryCode::GB,
			XLQC => CountryCode::AU,
			XMOS => CountryCode::RU,
			CFIC => CountryCode::GB,
			HBFR => CountryCode::FR,
			KLSH => CountryCode::US,
			MUDX => CountryCode::JP,
			TRAX => CountryCode::GB,
			TRNL => CountryCode::NL,
			XPET => CountryCode::RU,
			LEVL => CountryCode::US,
			STRM => CountryCode::US,
			ABNC => CountryCode::NL,
			BNPC => CountryCode::US,
			PBGR => CountryCode::GR,
			SIDX => CountryCode::IE,
			SIFX => CountryCode::GB,
			TEUR => CountryCode::ES,
			AILT => CountryCode::IE,
			ARAX => CountryCode::GB,
			CGXS => CountryCode::US,
			MIDC => CountryCode::AE,
			RABL => CountryCode::GB,
			RMMS => CountryCode::ZA,
			CECA => CountryCode::ES,
			JNSI => CountryCode::NL,
			XSWX => CountryCode::CH,
			BNPX => CountryCode::JP,
			BTRL => CountryCode::RO,
			NTUK => CountryCode::GB,
			EQOS => CountryCode::SG,
			LMNR => CountryCode::EE,
			EQCA => CountryCode::CA,
			EQUS => CountryCode::US,
			EVOL => CountryCode::GB,
			RBCC => CountryCode::FR,
			BEBG => CountryCode::BG,
			XTXD => CountryCode::US,
			XOSL => CountryCode::NO,
			BSAB => CountryCode::ES,
			BSPL => CountryCode::GB,
			BSTX => CountryCode::US,
			XNOM => CountryCode::LI,
			OLBB => CountryCode::DE,
			SGMU => CountryCode::FR,
			AFEX => CountryCode::MU,
			BNPL => CountryCode::GB,
			CAPL => CountryCode::PL,
			CCMX => CountryCode::US,
			MSBI => CountryCode::GB,
			T212 => CountryCode::BG,
			TMEX => CountryCode::TR,
			XCBO => CountryCode::US,
			XPOM => CountryCode::PG,
			CLST => CountryCode::US,
			LLAT => CountryCode::AT,
			IMMH => CountryCode::IT,
			AQSE => CountryCode::GB,
			ENMS => CountryCode::SG,
			FAST => CountryCode::US,
			LELE => CountryCode::GB,
			MCXX => CountryCode::IN,
			PEPW => CountryCode::SE,
			WFLB => CountryCode::GB,
			NBFL => CountryCode::GB,
			MAXD => CountryCode::GB,
			BTBS => CountryCode::SG,
			SKBB => CountryCode::SI,
			BDSK => CountryCode::BG,
			DEXE => CountryCode::AE,
			OTPR => CountryCode::RO,
			SBIJ => CountryCode::JP,
			XOTP => CountryCode::HR,
			XBVM => CountryCode::MZ,
			MAQE => CountryCode::IE,
			MEMX => CountryCode::US,
			PARK => CountryCode::PL,
			PIPR => CountryCode::US,
			SKYX => CountryCode::GB,
			GLOM => CountryCode::AE,
			TRAI => CountryCode::US,
			CBOE => CountryCode::CH,
			COHR => CountryCode::US,
			STFX => CountryCode::US,
			XLCH => CountryCode::GB,
			BGHX => CountryCode::BG,
			CSAS => CountryCode::CZ,
			LTSE => CountryCode::US,
			XFEX => CountryCode::AU,
			CALH => CountryCode::US,
			OMIP => CountryCode::PT,
			XLIS => CountryCode::PT,
			DAUK => CountryCode::GB,
			BSLB => CountryCode::GB,
			CFIL => CountryCode::IE,
			RBCM => CountryCode::GB,
			THRE => CountryCode::US,
			BKKT => CountryCode::US,
			XPUS => CountryCode::US,
			BMLI => CountryCode::IE,
			ITGL => CountryCode::IE,
			XAMM => CountryCode::JO,
			VFGB => CountryCode::GB,
			SEBL => CountryCode::LT,
			VIUK => CountryCode::GB,
			24EX => CountryCode::BM,
			BBSX => CountryCode::GB,
			SCOT => CountryCode::GB,
			SPEX => CountryCode::DE,
			IFAD => CountryCode::AE,
			JLQD => CountryCode::US,
			LAMP => CountryCode::US,
			RCMA => CountryCode::US,
			MKTF => CountryCode::FR,
			XSGB => CountryCode::GB,
			YKNA => CountryCode::US,
			CSDA => CountryCode::DE,
			DOWM => CountryCode::ES,
			GSXC => CountryCode::CN,
			GSXK => CountryCode::KR,
			GSXT => CountryCode::TW,
			VAGM => CountryCode::GB,
			BMCM => CountryCode::GB,
			ABFI => CountryCode::GR,
			DASH => CountryCode::US,
			MISX => CountryCode::RU,
			BAJD => CountryCode::JP,
			NEOE => CountryCode::CA,
			TRPX => CountryCode::SC,
			KOME => CountryCode::CZ,
			TRCX => CountryCode::US,
			ERBX => CountryCode::GR,
			IBER => CountryCode::ES,
			ALLT => CountryCode::ES,
			BILU => CountryCode::LU,
			CBSK => CountryCode::SK,
			CODA => CountryCode::US,
			SMBD => CountryCode::DE,
			STFL => CountryCode::GB,
			XALT => CountryCode::GB,
			SAGE => CountryCode::US,
			ARCH => CountryCode::GB,
			JPMS => CountryCode::US,
			SNUK => CountryCode::GB,
			ARKX => CountryCode::US,
			SVXI => CountryCode::VC,
			XALS => CountryCode::AL,
			CGMG => CountryCode::GB,
			PUMA => CountryCode::US,
			4AXE => CountryCode::ZA,
			EBHU => CountryCode::HU,
			FNUK => CountryCode::GB,
			UCHU => CountryCode::HU,
			CBNL => CountryCode::GB,
			FTUS => CountryCode::US,
			BGUK => CountryCode::GB,
			CLVE => CountryCode::GB,
			CPGX => CountryCode::US,
			CEPL => CountryCode::IE,
			CEPU => CountryCode::GB,
			DBAB => CountryCode::US,
			OTCN => CountryCode::US,
			RTSL => CountryCode::GB,
			TDGF => CountryCode::IE,
			UBSB => CountryCode::GB,
			UBSL => CountryCode::DE,
			BFPT => CountryCode::PT,
			CONC => CountryCode::HU,
			IFBX => CountryCode::IR,
			SCXO => CountryCode::US,
			SYFX => CountryCode::SG,
			SSIL => CountryCode::GB,
			MANL => CountryCode::NL,
			BETX => CountryCode::GB,
			BTLX => CountryCode::GB,
			CCEX => CountryCode::KZ,
			AQEU => CountryCode::FR,
			AQXE => CountryCode::GB,
			BKDM => CountryCode::IE,
			BNLD => CountryCode::IT,
			CAVD => CountryCode::NL,
			GIPB => CountryCode::FR,
			ICPM => CountryCode::GB,
			JLEU => CountryCode::NL,
			SMFF => CountryCode::DE,
			SPTR => CountryCode::NO,
			ELXE => CountryCode::FR,
			SCAG => CountryCode::DE,
			SGAS => CountryCode::US,
			SMFE => CountryCode::US,
			TRXE => CountryCode::FR,
			MHBE => CountryCode::NL,
			CSGI => CountryCode::IE,
			EUCC => CountryCode::IE,
			BREA => CountryCode::IT,
			XTXE => CountryCode::FR,
			BLUE => CountryCode::US,
			BTAM => CountryCode::NL,
			CABV => CountryCode::NL,
			RFBK => CountryCode::CZ,
			TOWR => CountryCode::NL,
			FLWX => CountryCode::NL,
			BLUX => CountryCode::LU,
			DBLX => CountryCode::LU,
			DHLX => CountryCode::LU,
			KHHU => CountryCode::HU,
			MCID => CountryCode::IE,
			NCME => CountryCode::DE,
			ISWP => CountryCode::NL,
			MSEL => CountryCode::IE,
			NCML => CountryCode::GB,
			XPUK => CountryCode::GB,
			CSAG => CountryCode::CH,
			GSBE => CountryCode::DE,
			HREU => CountryCode::IE,
			CREM => CountryCode::IT,
			DWFI => CountryCode::US,
			BNPP => CountryCode::PL,
			CIBH => CountryCode::HU,
			CSMD => CountryCode::ES,
			GMES => CountryCode::FR,
			KBLL => CountryCode::LU,
			MHBP => CountryCode::FR,
			MHEU => CountryCode::DE,
			UBCZ => CountryCode::CZ,
			ATLN => CountryCode::CY,
			LBCW => CountryCode::DE,
			AGBP => CountryCode::ES,
			EBSN => CountryCode::NL,
			ECEU => CountryCode::NL,
			TPIC => CountryCode::FR,
			XTRD => CountryCode::US,
			MLEX => CountryCode::FR,
			ATHL => CountryCode::CY,
			BCSC => CountryCode::CY,
			CFIF => CountryCode::CY,
			JEFE => CountryCode::DE,
			MHBL => CountryCode::GB,
			NOWX => CountryCode::FR,
			PKOP => CountryCode::PL,
			VUSA => CountryCode::US,
			ABAN => CountryCode::ES,
			EQIE => CountryCode::IE,
			EQLD => CountryCode::GB,
			GPBC => CountryCode::CY,
			OHVO => CountryCode::NL,
			RBCG => CountryCode::DE,
			RMTF => CountryCode::IE,
			UCBA => CountryCode::AT,
			UCDE => CountryCode::DE,
			UCIT => CountryCode::IT,
			BRGA => CountryCode::GB,
			XNOR => CountryCode::FI,
			BCMA => CountryCode::ES,
			CSOB => CountryCode::CZ,
			ICUR => CountryCode::IE,
			IFXC => CountryCode::IE,
			MUSN => CountryCode::NL,
			SPDX => CountryCode::GB,
			NIBC => CountryCode::NL,
			UICE => CountryCode::UA,
			XNDU => CountryCode::UA,
			ECSL => CountryCode::GB,
			MSEU => CountryCode::DE,
			BRDE => CountryCode::RO,
			CIBC => CountryCode::GB,
			CIBP => CountryCode::GB,
			FTFS => CountryCode::CZ,
			CABK => CountryCode::ES,
			CCRM => CountryCode::NL,
			CCXE => CountryCode::NL,
			DEKA => CountryCode::DE,
			ICOT => CountryCode::FR,
			ISSI => CountryCode::GB,
			JYSI => CountryCode::DK,
			NWNV => CountryCode::NL,
			OTPB => CountryCode::HU,
			RBHU => CountryCode::HU,
			RENC => CountryCode::CY,
			TPEU => CountryCode::FR,
			WSIL => CountryCode::GB,
			INGW => CountryCode::PL,
			MAKX => CountryCode::GB,
			WSIN => CountryCode::GB,
			SLHB => CountryCode::AT,
			SIBC => CountryCode::CY,
			WELN => CountryCode::GB,
			BMLB => CountryCode::GB,
			XSAT => CountryCode::SE,
			BAIP => CountryCode::HK,
			DAVY => CountryCode::IE,
			LIGA => CountryCode::DE,
			MBPL => CountryCode::PL,
			WELS => CountryCode::US,
			CBAL => CountryCode::GB,
			SIAB => CountryCode::PL,
			BKSK => CountryCode::AT,
			CMCI => CountryCode::FR,
			MHBD => CountryCode::DE,
			MUSE => CountryCode::GB,
			ABNA => CountryCode::NL,
			BBIE => CountryCode::IE,
			ERST => CountryCode::HU,
			IKBS => CountryCode::DE,
			TQEX => CountryCode::NL,
			APAW => CountryCode::AT,
			NABL => CountryCode::GB,
			OBKL => CountryCode::AT,
			TWJP => CountryCode::JP,
			HRTF => CountryCode::US,
			SMBB => CountryCode::BE,
			CGMD => CountryCode::DE,
			HEMO => CountryCode::GR,
			IMCT => CountryCode::NL,
			METZ => CountryCode::GB,
			MUBL => CountryCode::GB,
			MUBM => CountryCode::IT,
			MUBP => CountryCode::FR,
			RBIV => CountryCode::AT,
			SMBG => CountryCode::GB,
			MUBE => CountryCode::NL,
			JPEU => CountryCode::DE,
			SMBE => CountryCode::GB,
			SMBP => CountryCode::FR,
			HELA => CountryCode::DE,
			NESI => CountryCode::DE,
			BHWA => CountryCode::PL,
			ISBA => CountryCode::IT,
			KBCB => CountryCode::BE,
			MAQI => CountryCode::GB,
			MAQU => CountryCode::GB,
			FICO => CountryCode::US,
			LBBW => CountryCode::DE,
			BAPE => CountryCode::NL,
			BASE => CountryCode::HK,
			BCEE => CountryCode::LU,
			BPKO => CountryCode::PL,
			BTFE => CountryCode::NL,
			HRSI => CountryCode::GB,
			R5FX => CountryCode::GB,
			SISI => CountryCode::IE,
			BEIS => CountryCode::IT,
			BLBB => CountryCode::DE,
			BASX => CountryCode::JP,
			HRTX => CountryCode::US,
			INCR => CountryCode::US,
			OCSI => CountryCode::GB,
			EDRF => CountryCode::FR,
			BNSX => CountryCode::CA,
			EXSE => CountryCode::FR,
			AIXK => CountryCode::KZ,
			LBCM => CountryCode::GB,
			RLBO => CountryCode::AT,
			SBEX => CountryCode::GB,
			VTBC => CountryCode::GB,
			ZARX => CountryCode::ZA,
			IPSX => CountryCode::GB,
			COMM => CountryCode::NL,
			ATLB => CountryCode::GB,
			CCMS => CountryCode::CH,
			DAIW => CountryCode::GB,
			IINX => CountryCode::IN,
			OPCO => CountryCode::FI,
			BELB => CountryCode::BE,
			IMTF => CountryCode::GB,
			BLXA => CountryCode::AU,
			GFKS => CountryCode::SE,
			SGOE => CountryCode::FR,
			UBSA => CountryCode::US,
			UBSS => CountryCode::US,
			IBIS => CountryCode::IT,
			TFSD => CountryCode::HK,
			TRAS => CountryCode::HK,
			TSIG => CountryCode::SG,
			UTSL => CountryCode::JP,
			CSZH => CountryCode::CH,
			EUWA => CountryCode::DE,
			EXSY => CountryCode::FR,
			A2XX => CountryCode::ZA,
			FXOP => CountryCode::GB,
			TRDE => CountryCode::GB,
			AKIS => CountryCode::IT,
			BPSX => CountryCode::FR,
			IGDL => CountryCode::GB,
			JSSI => CountryCode::GB,
			TWGP => CountryCode::GB,
			GMGD => CountryCode::AE,
			GMGL => CountryCode::GB,
			NPEX => CountryCode::NL,
			OAPA => CountryCode::NO,
			DDTX => CountryCode::IT,
			HPCX => CountryCode::FR,
			SB1M => CountryCode::NO,
			ANTS => CountryCode::GB,
			SGMX => CountryCode::GB,
			SSBI => CountryCode::DE,
			DBAG => CountryCode::DE,
			MKAP => CountryCode::CY,
			GSAL => CountryCode::HK,
			SWEE => CountryCode::EE,
			SWLT => CountryCode::LT,
			SWLV => CountryCode::LV,
			ODDO => CountryCode::FR,
			ODOC => CountryCode::FR,
			SANT => CountryCode::ES,
			UBIN => CountryCode::GB,
			CSLB => CountryCode::GB,
			JISI => CountryCode::GB,
			VWDX => CountryCode::DE,
			BAMX => CountryCode::US,
			SEBS => CountryCode::SE,
			XABC => CountryCode::SE,
			GFIC => CountryCode::GB,
			KELR => CountryCode::HU,
			XBOX => CountryCode::US,
			NORD => CountryCode::DE,
			OTXB => CountryCode::CH,
			SEMX => CountryCode::IE,
			AACA => CountryCode::FR,
			ABSI => CountryCode::DK,
			BINV => CountryCode::DE,
			GLMX => CountryCode::US,
			GTXE => CountryCode::BM,
			JPCB => CountryCode::GB,
			NLBX => CountryCode::DE,
			ROSR => CountryCode::CH,
			XLLB => CountryCode::LI,
			XVPB => CountryCode::LI,
			HBPL => CountryCode::PL,
			XABG => CountryCode::NO,
			ALSI => CountryCode::DK,
			SBSI => CountryCode::DK,
			TDBL => CountryCode::GB,
			BNPA => CountryCode::FR,
			BNPF => CountryCode::BE,
			BNPS => CountryCode::FR,
			ICEO => CountryCode::GB,
			ISWA => CountryCode::GB,
			NWMS => CountryCode::GB,
			RBCE => CountryCode::GB,
			XSGA => CountryCode::FR,
			KBLM => CountryCode::GB,
			KOTF => CountryCode::FR,
			LASP => CountryCode::DK,
			TDON => CountryCode::FR,
			TSAF => CountryCode::FR,
			UBIS => CountryCode::IT,
			XIEL => CountryCode::GB,
			BANA => CountryCode::GB,
			CSEC => CountryCode::GB,
			MLIX => CountryCode::GB,
			SVEX => CountryCode::SE,
			AAPA => CountryCode::GR,
			CIMD => CountryCode::ES,
			CURX => CountryCode::US,
			SKSI => CountryCode::DK,
			SQUA => CountryCode::GB,
			SSBT => CountryCode::GB,
			AFSA => CountryCode::NL,
			ARIA => CountryCode::GB,
			DVFX => CountryCode::GB,
			ETPA => CountryCode::NL,
			LOUI => CountryCode::GB,
			RABO => CountryCode::NL,
			BBVA => CountryCode::ES,
			BTNL => CountryCode::US,
			CAPI => CountryCode::ES,
			XRCB => CountryCode::AT,
			APEX => CountryCode::SG,
			TGAT => CountryCode::DE,
			NYSI => CountryCode::DK,
			XMAL => CountryCode::MT,
			CASI => CountryCode::SE,
			CNSI => CountryCode::NO,
			CCEU => CountryCode::GB,
			XTXM => CountryCode::GB,
			AURB => CountryCode::FR,
			VAGL => CountryCode::GB,
			BCSL => CountryCode::GB,
			GFIB => CountryCode::GB,
			INGB => CountryCode::NL,
			SFCL => CountryCode::GB,
			TPSL => CountryCode::GB,
			VONT => CountryCode::DE,
			BKBR => CountryCode::BE,
			CBKA => CountryCode::DE,
			TPSO => CountryCode::GB,
			CGML => CountryCode::GB,
			CPTX => CountryCode::NL,
			MAQL => CountryCode::GB,
			DZBK => CountryCode::DE,
			TPEL => CountryCode::GB,
			TPEO => CountryCode::GB,
			TWHK => CountryCode::HK,
			TWSG => CountryCode::SG,
			WOOD => CountryCode::CZ,
			LOYD => CountryCode::GB,
			BOFS => CountryCode::GB,
			SUNT => CountryCode::US,
			SWBI => CountryCode::SE,
			WBKP => CountryCode::PL,
			BGSI => CountryCode::DE,
			BPLC => CountryCode::GB,
			LSSI => CountryCode::DE,
			BIVA => CountryCode::MX,
			BKLN => CountryCode::GB,
			FISU => CountryCode::GB,
			JBSI => CountryCode::DK,
			NAPA => CountryCode::SE,
			POTC => CountryCode::VU,
			PPEX => CountryCode::GB,
			BAAD => CountryCode::DE,
			INVE => CountryCode::GB,
			XDNB => CountryCode::NO,
			IFLS => CountryCode::GB,
			EXOT => CountryCode::GB,
			ANZL => CountryCode::GB,
			ECHO => CountryCode::GB,
			FBSI => CountryCode::IT,
			HSBC => CountryCode::GB,
			HSBT => CountryCode::DE,
			NATX => CountryCode::FR,
			STAN => CountryCode::GB,
			VCMO => CountryCode::GB,
			ADVT => CountryCode::US,
			CSIN => CountryCode::GB,
			DOWG => CountryCode::GB,
			AMPX => CountryCode::GB,
			FXGB => CountryCode::GB,
			TRSI => CountryCode::GB,
			BTEE => CountryCode::GB,
			EBSS => CountryCode::CH,
			RBCB => CountryCode::LU,
			RBCT => CountryCode::GB,
			GSIB => CountryCode::GB,
			HUDX => CountryCode::HU,
			IMCS => CountryCode::US,
			XDUB => CountryCode::IE,
			BILT => CountryCode::ZZ,
			MUFP => CountryCode::GB,
			VFIL => CountryCode::IE,
			CCML => CountryCode::GB,
			CFTW => CountryCode::TW,
			DAPA => CountryCode::DE,
			VLEX => CountryCode::CH,
			3579 => CountryCode::GB,
			MHIP => CountryCode::GB,
			WINS => CountryCode::GB,
			MASG => CountryCode::SG,
			TCML => CountryCode::GB,
			FRTE => CountryCode::GB,
			THEM => CountryCode::US,
			LEDG => CountryCode::US,
			MUTI => CountryCode::GB,
			NDCM => CountryCode::GB,
			NDEX => CountryCode::NL,
			SPEC => CountryCode::GB,
			BCRM => CountryCode::GB,
			GOTC => CountryCode::US,
			MFXC => CountryCode::GB,
			SNSI => CountryCode::DK,
			VERT => CountryCode::US,
			APXL => CountryCode::AU,
			CLTD => CountryCode::SG,
			DRCT => CountryCode::JP,
			MTXX => CountryCode::US,
			XEEE => CountryCode::DE,
			MTSO => CountryCode::IT,
			NOSI => CountryCode::GB,
			XBDV => CountryCode::AO,
			DIFX => CountryCode::AE,
			AUTX => CountryCode::GB,
			NEXS => CountryCode::GB,
			VIRT => CountryCode::US,
			BALT => CountryCode::GB,
			CGMA => CountryCode::AU,
			CGMH => CountryCode::HK,
			CGMI => CountryCode::US,
			CGMX => CountryCode::MX,
			CITX => CountryCode::JP,
			LQED => CountryCode::US,
			PTPG => CountryCode::PL,
			UFEX => CountryCode::UY,
			TSAD => CountryCode::US,
			XKAR => CountryCode::PK,
			XLGT => CountryCode::LI,
			PEEL => CountryCode::GB,
			JPBX => CountryCode::US,
			JPSI => CountryCode::GB,
			AREX => CountryCode::IE,
			CSAU => CountryCode::AU,
			CSEU => CountryCode::GB,
			CSHK => CountryCode::HK,
			CSJP => CountryCode::JP,
			FICX => CountryCode::DE,
			GBOT => CountryCode::MU,
			GRIF => CountryCode::GB,
			IBGH => CountryCode::ES,
			IEXG => CountryCode::US,
			LMEC => CountryCode::GB,
			NEXO => CountryCode::NO,
			NMRJ => CountryCode::JP,
			XBEL => CountryCode::RS,
			XBLB => CountryCode::BA,
			XMUN => CountryCode::DE,
			XNXC => CountryCode::NL,
			XVES => CountryCode::LU,
			360T => CountryCode::DE,
			AATS => CountryCode::US,
			ACEX => CountryCode::IN,
			AFDL => CountryCode::GB,
			AFET => CountryCode::TH,
			AFSE => CountryCode::NL,
			ASEX => CountryCode::GR,
			AWBX => CountryCode::AU,
			AWEX => CountryCode::AU,
			BACE => CountryCode::AR,
			BAML => CountryCode::US,
			BAPA => CountryCode::GB,
			BAPX => CountryCode::LT,
			BARX => CountryCode::US,
			BBSF => CountryCode::US,
			BCFS => CountryCode::AR,
			BCMM => CountryCode::BR,
			BCSE => CountryCode::BY,
			BCXE => CountryCode::GB,
			BEAM => CountryCode::BE,
			BEEX => CountryCode::TH,
			BETP => CountryCode::JP,
			BGCF => CountryCode::US,
			BGCI => CountryCode::GB,
			BHSF => CountryCode::US,
			BIDS => CountryCode::US,
			BLEV => CountryCode::AU,
			BLPX => CountryCode::BE,
			BPOL => CountryCode::US,
			BMEX => CountryCode::ES,
			BMTF => CountryCode::GB,
			BNYC => CountryCode::US,
			BOAT => CountryCode::GB,
			BOSC => CountryCode::GB,
			BOVA => CountryCode::CL,
			BOVM => CountryCode::BR,
			BRIX => CountryCode::BR,
			BRNX => CountryCode::GB,
			BSEX => CountryCode::AZ,
			BTEC => CountryCode::US,
			BVCA => CountryCode::VE,
			BVMF => CountryCode::BR,
			BVUR => CountryCode::UY,
			CAND => CountryCode::CA,
			CANX => CountryCode::CA,
			CATS => CountryCode::DE,
			CCFX => CountryCode::CN,
			CCLX => CountryCode::LU,
			CCO2 => CountryCode::GB,
			CDED => CountryCode::US,
			CDSL => CountryCode::IN,
			CGIT => CountryCode::IT,
			CHEV => CountryCode::GB,
			CHIA => CountryCode::AU,
			CHIC => CountryCode::CA,
			CHIJ => CountryCode::JP,
			CLAU => CountryCode::AU,
			CLHK => CountryCode::HK,
			CLJP => CountryCode::JP,
			CLMX => CountryCode::NL,
			CLPH => CountryCode::PH,
			CMET => CountryCode::JP,
			CMMT => CountryCode::GB,
			CMSF => CountryCode::US,
			COAL => CountryCode::FR,
			COMG => CountryCode::MT,
			COTC => CountryCode::CA,
			CRED => CountryCode::US,
			CRYD => CountryCode::SE,
			CRYP => CountryCode::GB,
			CRYX => CountryCode::SE,
			CSSX => CountryCode::CN,
			DASI => CountryCode::DK,
			DBHK => CountryCode::HK,
			DBOX => CountryCode::DE,
			DCSX => CountryCode::CW,
			DEAL => CountryCode::US,
			DGCX => CountryCode::AE,
			DKTC => CountryCode::DK,
			DOTS => CountryCode::CH,
			DSMD => CountryCode::QA,
			DUMX => CountryCode::AE,
			ECAG => CountryCode::DE,
			ECAL => CountryCode::SG,
			EEAL => CountryCode::SG,
			EESE => CountryCode::UA,
			EGMT => CountryCode::US,
			EGSI => CountryCode::AT,
			EMBX => CountryCode::GB,
			EMID => CountryCode::IT,
			ENCL => CountryCode::GB,
			EOTC => CountryCode::HK,
			EPEX => CountryCode::FR,
			ETSC => CountryCode::KZ,
			EXEU => CountryCode::GB,
			EXTR => CountryCode::TR,
			FAIR => CountryCode::GB,
			FGEX => CountryCode::FI,
			FINR => CountryCode::US,
			FISH => CountryCode::NO,
			FMTS => CountryCode::FR,
			FSEF => CountryCode::US,
			FSHX => CountryCode::NO,
			FXAL => CountryCode::US,
			FXCM => CountryCode::US,
			G1XX => CountryCode::US,
			GEMX => CountryCode::GB,
			GETB => CountryCode::LT,
			GLLC => CountryCode::US,
			GLPS => CountryCode::US,
			GLPX => CountryCode::US,
			GMEG => CountryCode::GB,
			GMTF => CountryCode::FR,
			GOVX => CountryCode::US,
			GREE => CountryCode::US,
			GRSE => CountryCode::GB,
			GSCI => CountryCode::GY,
			GSCO => CountryCode::US,
			GSEF => CountryCode::US,
			GSIL => CountryCode::GB,
			GSXL => CountryCode::GI,
			GTCO => CountryCode::US,
			GTSX => CountryCode::US,
			GTXS => CountryCode::US,
			GXMA => CountryCode::VU,
			HCHC => CountryCode::NL,
			HDAT => CountryCode::GR,
			HEGX => CountryCode::US,
			HMTF => CountryCode::IT,
			HPPO => CountryCode::US,
			HSFX => CountryCode::US,
			HSTC => CountryCode::VN,
			HSXA => CountryCode::HK,
			HUPX => CountryCode::HU,
			IBAL => CountryCode::GB,
			IBEX => CountryCode::BG,
			ICDX => CountryCode::ID,
			ICEL => CountryCode::US,
			ICXL => CountryCode::IN,
			IFEU => CountryCode::GB,
			IFSG => CountryCode::SG,
			IFUS => CountryCode::US,
			IMEX => CountryCode::IR,
			ISDA => CountryCode::US,
			ISEX => CountryCode::IN,
			ITGI => CountryCode::US,
			IVZX => CountryCode::CA,
			JADX => CountryCode::SG,
			JNST => CountryCode::US,
			JPMI => CountryCode::HK,
			JPMX => CountryCode::US,
			JSES => CountryCode::US,
			JSJX => CountryCode::US,
			KCCP => CountryCode::HU,
			KLEU => CountryCode::GB,
			KNIG => CountryCode::US,
			KRME => CountryCode::AE,
			LASF => CountryCode::US,
			LCHC => CountryCode::FR,
			LCUR => CountryCode::GB,
			LICA => CountryCode::CA,
			LIQU => CountryCode::GB,
			LIUS => CountryCode::US,
			LMAX => CountryCode::GB,
			LOTC => CountryCode::GB,
			LPPM => CountryCode::GB,
			LTAA => CountryCode::US,
			LXJP => CountryCode::JP,
			MAEL => CountryCode::GB,
			MALX => CountryCode::MV,
			MAQH => CountryCode::HK,
			MAQJ => CountryCode::JP,
			MAQX => CountryCode::AU,
			MATN => CountryCode::CA,
			MATX => CountryCode::AE,
			MBUL => CountryCode::BG,
			MFGL => CountryCode::GB,
			MIBG => CountryCode::ES,
			MIHI => CountryCode::US,
			MIZX => CountryCode::JP,
			MSAL => CountryCode::AU,
			MSCO => CountryCode::US,
			MSIP => CountryCode::GB,
			MSMS => CountryCode::JP,
			MYTR => CountryCode::GB,
			N2EX => CountryCode::GB,
			NAMX => CountryCode::RU,
			NASX => CountryCode::NG,
			NBLX => CountryCode::US,
			NBOT => CountryCode::IN,
			NCEL => CountryCode::PK,
			NFSC => CountryCode::US,
			NGXC => CountryCode::CA,
			NILX => CountryCode::EG,
			NLPX => CountryCode::NL,
			NMCE => CountryCode::IN,
			NMRA => CountryCode::US,
			NODX => CountryCode::US,
			NOFF => CountryCode::GB,
			NOPS => CountryCode::NO,
			NOSC => CountryCode::NO,
			NOTC => CountryCode::NO,
			NPGA => CountryCode::DK,
			NSXB => CountryCode::AU,
			NXEU => CountryCode::GB,
			NXUS => CountryCode::US,
			NYPC => CountryCode::US,
			OLLC => CountryCode::US,
			OMEL => CountryCode::ES,
			OMGA => CountryCode::CA,
			OMIC => CountryCode::PT,
			OPRA => CountryCode::US,
			OSLC => CountryCode::NO,
			OTCE => CountryCode::GB,
			OTCX => CountryCode::IN,
			PAVE => CountryCode::ES,
			PDEX => CountryCode::PH,
			PFTS => CountryCode::UA,
			PIEU => CountryCode::GB,
			PIPE => CountryCode::US,
			PIRM => CountryCode::GB,
			PRSE => CountryCode::US,
			PVMF => CountryCode::GB,
			PXIL => CountryCode::IN,
			QWIX => CountryCode::GB,
			RBSX => CountryCode::GB,
			ROCO => CountryCode::TW,
			ROFX => CountryCode::AR,
			ROTC => CountryCode::RW,
			RPDX => CountryCode::RU,
			RSEX => CountryCode::RW,
			RTSP => CountryCode::SG,
			S3FM => CountryCode::CH,
			SECC => CountryCode::SC,
			SECD => CountryCode::SC,
			SECE => CountryCode::SC,
			SECF => CountryCode::GB,
			SEDC => CountryCode::SC,
			SELC => CountryCode::BR,
			SEPE => CountryCode::UA,
			SGEX => CountryCode::CN,
			SGMA => CountryCode::US,
			SHAR => CountryCode::GB,
			SHAW => CountryCode::US,
			SIGA => CountryCode::AU,
			SIGJ => CountryCode::JP,
			SIMV => CountryCode::AU,
			SMEX => CountryCode::SG,
			SOHO => CountryCode::US,
			SPIM => CountryCode::RU,
			SPRZ => CountryCode::GB,
			SPXE => CountryCode::SK,
			SSEX => CountryCode::GB,
			SSTX => CountryCode::US,
			STOX => CountryCode::CH,
			SWAP => CountryCode::GB,
			SXSI => CountryCode::DK,
			TERA => CountryCode::US,
			TFEX => CountryCode::TH,
			TFSA => CountryCode::SG,
			TFSU => CountryCode::US,
			TMID => CountryCode::US,
			TOCP => CountryCode::HK,
			TPIE => CountryCode::GB,
			TPSE => CountryCode::US,
			TRCK => CountryCode::US,
			TREU => CountryCode::GB,
			TRQX => CountryCode::GB,
			TRUX => CountryCode::US,
			TRWB => CountryCode::US,
			TSEF => CountryCode::US,
			TWEU => CountryCode::NL,
			UBSG => CountryCode::CH,
			UBSX => CountryCode::HK,
			UKEX => CountryCode::UA,
			UKPX => CountryCode::GB,
			ULTX => CountryCode::UG,
			VEGA => CountryCode::GB,
			VFCM => CountryCode::US,
			VMFX => CountryCode::FO,
			WSAG => CountryCode::US,
			XADS => CountryCode::AE,
			XAFR => CountryCode::FR,
			XAFX => CountryCode::MU,
			XALG => CountryCode::DZ,
			XAMS => CountryCode::NL,
			XAQS => CountryCode::US,
			XARM => CountryCode::AM,
			XASX => CountryCode::AU,
			XATS => CountryCode::CA,
			XBAA => CountryCode::BS,
			XBAB => CountryCode::BB,
			XBAH => CountryCode::BH,
			XBAN => CountryCode::IN,
			XBBJ => CountryCode::ID,
			XBBK => CountryCode::CA,
			XBCC => CountryCode::AR,
			XBCL => CountryCode::CL,
			XBCM => CountryCode::AR,
			XBCV => CountryCode::HN,
			XBDA => CountryCode::BM,
			XBER => CountryCode::DE,
			XBEY => CountryCode::LB,
			XBKK => CountryCode::TH,
			XBLN => CountryCode::FR,
			XBNV => CountryCode::CR,
			XBOG => CountryCode::CO,
			XBOL => CountryCode::BO,
			XBOM => CountryCode::IN,
			XBOT => CountryCode::BW,
			XBRA => CountryCode::SK,
			XBRM => CountryCode::RO,
			XBRN => CountryCode::CH,
			XBRU => CountryCode::BE,
			XBRV => CountryCode::CI,
			XBSE => CountryCode::RO,
			XBUD => CountryCode::HU,
			XBUE => CountryCode::AR,
			XBUL => CountryCode::BG,
			XBVC => CountryCode::CV,
			XBVR => CountryCode::DO,
			XCAI => CountryCode::EG,
			XCAL => CountryCode::IN,
			XCAS => CountryCode::MA,
			XCAY => CountryCode::KY,
			XCBT => CountryCode::US,
			XCDE => CountryCode::IE,
			XCET => CountryCode::UZ,
			XCFE => CountryCode::CN,
			XCFF => CountryCode::US,
			XCGS => CountryCode::HK,
			XCHG => CountryCode::BD,
			XCIE => CountryCode::GG,
			XCME => CountryCode::US,
			XCNF => CountryCode::AR,
			XCOL => CountryCode::LK,
			XCOR => CountryCode::GB,
			XCRO => CountryCode::HR,
			XCSE => CountryCode::DK,
			XCSX => CountryCode::KH,
			XCUE => CountryCode::UZ,
			XCUR => CountryCode::US,
			XCXD => CountryCode::CA,
			XCYS => CountryCode::CY,
			XDAR => CountryCode::TZ,
			XDCE => CountryCode::CN,
			XDES => CountryCode::IN,
			XDFB => CountryCode::UA,
			XDFM => CountryCode::AE,
			XDHA => CountryCode::BD,
			XDPA => CountryCode::ES,
			XDSE => CountryCode::SY,
			XDSX => CountryCode::CM,
			XDUS => CountryCode::DE,
			XEBI => CountryCode::IE,
			XECB => CountryCode::DE,
			XECC => CountryCode::DE,
			XECS => CountryCode::KN,
			XELX => CountryCode::US,
			XEMD => CountryCode::MX,
			XEMS => CountryCode::NL,
			XETR => CountryCode::DE,
			XEUP => CountryCode::DE,
			XEUR => CountryCode::DE,
			XFKA => CountryCode::JP,
			XFRA => CountryCode::DE,
			XGAS => CountryCode::HU,
			XGCL => CountryCode::GB,
			XGHA => CountryCode::GH,
			XGME => CountryCode::IT,
			XGMX => CountryCode::US,
			XGSE => CountryCode::GE,
			XGTG => CountryCode::GT,
			XGUA => CountryCode::EC,
			XHAM => CountryCode::DE,
			XHAN => CountryCode::DE,
			XHEL => CountryCode::FI,
			XHKF => CountryCode::HK,
			XHKG => CountryCode::HK,
			XIBE => CountryCode::AZ,
			XICE => CountryCode::IS,
			XICX => CountryCode::CA,
			XIDX => CountryCode::ID,
			XIHK => CountryCode::HK,
			XIMA => CountryCode::NO,
			XIMC => CountryCode::IN,
			XINS => CountryCode::US,
			XINV => CountryCode::DE,
			XIQS => CountryCode::IQ,
			XIST => CountryCode::TR,
			XISX => CountryCode::US,
			XJAM => CountryCode::JM,
			XJNB => CountryCode::ID,
			XJPX => CountryCode::JP,
			XJSE => CountryCode::ZA,
			XKAC => CountryCode::JP,
			XKAZ => CountryCode::KZ,
			XKCE => CountryCode::UZ,
			XKFB => CountryCode::KR,
			XKHA => CountryCode::SD,
			XKHR => CountryCode::UA,
			XKIE => CountryCode::UA,
			XKIS => CountryCode::UA,
			XKLS => CountryCode::MY,
			XKRX => CountryCode::KR,
			XKSE => CountryCode::KG,
			XKUW => CountryCode::KW,
			XLAO => CountryCode::LA,
			XLBM => CountryCode::GB,
			XLFX => CountryCode::MY,
			XLIM => CountryCode::PE,
			XLIT => CountryCode::LT,
			XLJU => CountryCode::SI,
			XLME => CountryCode::GB,
			XLON => CountryCode::GB,
			XLSM => CountryCode::LY,
			XLUS => CountryCode::ZM,
			XLUX => CountryCode::LU,
			XMAB => CountryCode::AR,
			XMAE => CountryCode::MK,
			XMAN => CountryCode::NI,
			XMAU => CountryCode::MU,
			XMDG => CountryCode::MG,
			XMDS => CountryCode::IN,
			XMER => CountryCode::US,
			XMEX => CountryCode::MX,
			XMGE => CountryCode::US,
			XMIL => CountryCode::IT,
			XMNT => CountryCode::UY,
			XMNX => CountryCode::ME,
			XMOC => CountryCode::CA,
			XMOD => CountryCode::CA,
			XMOL => CountryCode::MD,
			XMSW => CountryCode::MW,
			XMTB => CountryCode::AR,
			XMTS => CountryCode::GB,
			XMUS => CountryCode::OM,
			XNAF => CountryCode::ES,
			XNAI => CountryCode::KE,
			XNAM => CountryCode::nan,
			XNAS => CountryCode::US,
			XNCD => CountryCode::IN,
			XNEC => CountryCode::AU,
			XNEP => CountryCode::NP,
			XNGM => CountryCode::SE,
			XNGO => CountryCode::JP,
			XNKS => CountryCode::JP,
			XNSA => CountryCode::NG,
			XNSE => CountryCode::IN,
			XNYM => CountryCode::US,
			XNYS => CountryCode::US,
			XNZE => CountryCode::NZ,
			XODE => CountryCode::UA,
			XOFF => CountryCode::ZZ,
			XPAE => CountryCode::PS,
			XPAR => CountryCode::FR,
			XPHS => CountryCode::PH,
			XPIC => CountryCode::RU,
			XPOW => CountryCode::FR,
			XPRA => CountryCode::CZ,
			XPRI => CountryCode::UA,
			XPST => CountryCode::HK,
			XPTY => CountryCode::PA,
			XPXE => CountryCode::CZ,
			XQUI => CountryCode::EC,
			XRBM => CountryCode::MY,
			XRIS => CountryCode::LV,
			XRMZ => CountryCode::CZ,
			XROS => CountryCode::AR,
			XRPM => CountryCode::RO,
			XRUS => CountryCode::RU,
			XSAM => CountryCode::RU,
			XSAP => CountryCode::JP,
			XSAU => CountryCode::SA,
			XSCO => CountryCode::DE,
			XSEF => CountryCode::US,
			XSES => CountryCode::SG,
			XSGE => CountryCode::CN,
			XSGO => CountryCode::CL,
			XSHE => CountryCode::CN,
			XSHG => CountryCode::CN,
			XSIB => CountryCode::RU,
			XSOP => CountryCode::SI,
			XSPS => CountryCode::FJ,
			XSSE => CountryCode::BA,
			XSTC => CountryCode::VN,
			XSTE => CountryCode::UZ,
			XSTO => CountryCode::SE,
			XSTU => CountryCode::DE,
			XSVA => CountryCode::SV,
			XSWA => CountryCode::SZ,
			XSWB => CountryCode::GB,
			XTAE => CountryCode::IL,
			XTAF => CountryCode::TW,
			XTAI => CountryCode::TW,
			XTAL => CountryCode::EE,
			XTEH => CountryCode::IR,
			XTFF => CountryCode::JP,
			XTIR => CountryCode::AL,
			XTKT => CountryCode::JP,
			XTRN => CountryCode::TT,
			XTRZ => CountryCode::HR,
			XTSE => CountryCode::CA,
			XTSX => CountryCode::CA,
			XTUN => CountryCode::TN,
			XUAX => CountryCode::UA,
			XUGA => CountryCode::UG,
			XUKR => CountryCode::UA,
			XULA => CountryCode::MN,
			XUNI => CountryCode::UZ,
			XUSE => CountryCode::IN,
			XVPA => CountryCode::PY,
			XWAR => CountryCode::PL,
			XWBO => CountryCode::AT,
			XXSC => CountryCode::DE,
			XXXX => CountryCode::ZZ,
			XYIE => CountryCode::AU,
			XZAG => CountryCode::HR,
			XZCE => CountryCode::CN,
			XZIM => CountryCode::ZW,
			ZKBX => CountryCode::CH,
			UKCA => CountryCode::GB,
			ASEF => CountryCode::US,
			XEBS => CountryCode::GB,
			NSPO => CountryCode::SE,
			OTCI => CountryCode::US,
			GFOX => CountryCode::GB,
			TERM => CountryCode::SG,
			PATF => CountryCode::CZ,
			ODXE => CountryCode::JP,
			HPSX => CountryCode::GB,
			DBDX => CountryCode::DE,
			ARTX => CountryCode::LI,
			SPTX => CountryCode::US,
			STXS => CountryCode::NL,
			EUFN => CountryCode::BG,
			GFAU => CountryCode::AU,
			XIGG => CountryCode::DE,
			SMBC => CountryCode::JP,
			BGCA => CountryCode::AU,
			XFTX => CountryCode::AG,
			NABP => CountryCode::FR,
			RITS => CountryCode::IN,
			CAST => CountryCode::US,
			XABX => CountryCode::SG,
			CILH => CountryCode::JP,
			CBAE => CountryCode::NL,
			TRDC => CountryCode::SG,
			NSSA => CountryCode::PL,
			CMCM => CountryCode::GB,
			SFOX => CountryCode::US,
			BJSE => CountryCode::CN,
			NEEQ => CountryCode::CN,
			VFEX => CountryCode::ZW,
			MSDM => CountryCode::PL,
			IBSI => CountryCode::IE,
			RAJA => CountryCode::US,
			LPSF => CountryCode::US,
			GBSI => CountryCode::IE,
			TPID => CountryCode::GB,
			INGU => CountryCode::GB,
			SISU => CountryCode::GB,
			OTXT => CountryCode::GB,
			BOCF => CountryCode::DE,
			FPWB => CountryCode::AT,
			SPAX => CountryCode::US,
			LEBV => CountryCode::NL,
			LESI => CountryCode::US,
			GMGE => CountryCode::NL,
			INTL => CountryCode::US,
			TMUK => CountryCode::GB,
			U360 => CountryCode::US,
			BDPL => CountryCode::LU,
			VMEX => CountryCode::AE,
			INFT => CountryCode::NO,
			EDXM => CountryCode::US,
			IBKR => CountryCode::US,
			ALGO => CountryCode::GB,
			XAND => CountryCode::SG,
			GSLO => CountryCode::GB,
			RTXF => CountryCode::US,
			VUBA => CountryCode::SK,
			G360 => CountryCode::GB,
			ACXL => CountryCode::AE,
			ACXC => CountryCode::AE,
			ATAD => CountryCode::CZ,
			GSXN => CountryCode::HK,
			RULE => CountryCode::CH,
			XCVD => CountryCode::DO,
			XANM => CountryCode::SG,
			CFIM => CountryCode::US,
			RFIM => CountryCode::AE,
			BNDS => CountryCode::US,

        }
    }

    pub fn lei(&self) -> &'static str {
        match self {
			DRSP => "969500HMVSZ0TCV65D58",
			XCNQ => "",
			ZODM => "5493006GZOHISU7JTC27",
			NORX => "5493003IZZWOHHJY1L88",
			POSE => "959800UP9ANDBHTKJ408",
			PUND => "549300FOYST42PEQ1R51",
			UCBG => "549300Z7V2WOFIMUEK50",
			BBLX => "",
			SPBE => "253400T8G8SXRUHTL526",
			OTCM => "254900LQDMW14QIVAH45",
			FREX => "549300QHD76EP6ZKTT48",
			IDXM => "9845006C2FC4E0741B90",
			MBCP => "JU1U6S0DG9YLT7N8ZV32",
			OCEA => "",
			OSDS => "549300WBXH3AFK5BRJ77",
			OSSG => "5493005YD2GDV5LCUD15",
			RR4G => "724500EY0KGMVVONVS49",
			TRUK => "2138006AXBAC4F1AWD58",
			UGEN => "9845009F695B98C2BA24",
			CNOD => "984500AE7138D1559A23",
			BGLU => "UAIAINAJ28P30E5GWE37",
			GFAM => "UPPK3261S5D7DR01JY66",
			TMCY => "21380045KC28948FNE32",
			UBEC => "2549008J7LUHSQ73SI26",
			ESLO => "254900Y8ZW19230JDZ89",
			IOTF => "549300BMVW85YF9FGN67",
			SEBA => "529900MC68RTGHKI4F05",
			BRED => "NICH5Q04ADUV9SN3Q390",
			RUSX => "253400S9DKA7JG1JWC41",
			UNGB => "2ZCNRR8UK83OBTEK2170",
			XLQC => "984500CL44F9AA7FF209",
			XMOS => "253400RX2CP80AMV8V57",
			CFIC => "89450009PB956K9AQ693",
			HBFR => "F0HUI1NY1AZMJMD8LP67",
			KLSH => "2549003BV2D6TWY0BN09",
			MUDX => "O7YCEUWQXFIO1CHULC69",
			TRAX => "213800O7QMOIZFJZ3K44",
			TRNL => "529900ATC8BZSUEI4F96",
			XPET => "253400T8G8SXRUHTL526",
			LEVL => "",
			STRM => "",
			ABNC => "G8ZTNESVNKW4NN761W05",
			BNPC => "RCNB6OTYUAMMP879YW96",
			PBGR => "213800OYHR1MPQ5VJL60",
			SIDX => "747DLM6L5TO7LXZY5T60",
			SIFX => "254900BS9K61FESAAY23",
			TEUR => "5493006UOQCUGJ33L287",
			AILT => "549300PSF3R0OJC39C84",
			ARAX => "5493004Z6DAT13X5DK60",
			CGXS => "254900L815YJ972LG694",
			MIDC => "213800WZJ9V6RNUV8R74",
			RABL => "DG3RU1DBUFHT4ZF9WN62",
			RMMS => "54930026T33G80GFU737",
			CECA => "549300CQ9NLEHMRCU505",
			JNSI => "549300AE0DWETJDYFB29",
			XSWX => "529900HQ12A6FGDMWA17",
			BNPX => "549300W1PKAHKJ86TC84",
			BTRL => "549300RG3H390KEL8896",
			NTUK => "KX1WK48MPD4Y2NCUIZ63",
			EQOS => "9845005F6E0700AD5F45",
			LMNR => "213800JD2L89GGG7LF07",
			EQCA => "213800MJ9CY4JWO58S26",
			EQUS => "213800BN4DRR1ADYGP92",
			EVOL => "213800XUL6949NBPI464",
			RBCC => "ES7IP3U3RHIGC71XBU11",
			BEBG => "984500852DB3CFC4A665",
			XTXD => "213800JN435WOWCN5904",
			XOSL => "5967007LIEEXZXHDL433",
			BSAB => "SI5RG2M0WQQLZCXKRM20",
			BSPL => "549300WCGB70D06XZS54",
			BSTX => "2549006WP283X33X4H65",
			XNOM => "529900G6L3HVV56IET69",
			OLBB => "5299008I0TO44SUINZ71",
			SGMU => "ZSLF02UC3X1JFV1UX676",
			AFEX => "894500KM5IC8X0Z2BZ48",
			BNPL => "R0MUWSFPU8MPRO8K5P83",
			CAPL => "259400HDEOLMZRULAI41",
			CCMX => "254900I65B0WPGRT5P75",
			MSBI => "Z06S12H6N9QRJ8HHN626",
			T212 => "549300TGZX4PLYAP3S87",
			TMEX => "789000WD6N4YYP0DBA94",
			XCBO => "529900RLNSGA90UPEH54",
			XPOM => "969500V2SMK6Y4EDPW84",
			CLST => "549300YFSMTHTGWBJ648",
			LLAT => "529900MZNQDC3A3WSZ72",
			IMMH => "2W8N8UU78PMDQKZENC08",
			AQSE => "213800AMGNBSOCOSDN11",
			ENMS => "549300LIT3MHVGH91679",
			FAST => "549300EXXMRP3JPN4C59",
			LELE => "984500AA73C11BD44B21",
			MCXX => "3358002YCEYDX7UK4352",
			PEPW => "549300PV0N0O6PILB435",
			WFLB => "KB1H1DSPRFMYMCUFXT09",
			NBFL => "549300D83GR71RNG0O65",
			MAXD => "",
			BTBS => "254900HSS82AHMTPAD95",
			SKBB => "549300H7CCQ6BSQBGG72",
			BDSK => "529900GEH0DAUTAXUA94",
			DEXE => "984500697B8446BCE708",
			OTPR => "5299003TM0P7W8DNUF61",
			SBIJ => "",
			XOTP => "5299005UJX6K7BQKV086",
			XBVM => "",
			MAQE => "549300E5ENQVY2IBLF67",
			MEMX => "254900ZJZM9RSYHE7D79",
			PARK => "259400PAESKCK43LUT62",
			PIPR => "549300GRQCWQ3XGH0H10",
			SKYX => "254900Y389SLBTPDX711",
			GLOM => "254900Q7DRBID0LNP460",
			TRAI => "549300R4MM6LT37H7L07",
			CBOE => "549300W50LFJXVTMT774",
			COHR => "54930046NSEINIAD0O74",
			STFX => "5WUVMA08EYG4KEUPW589",
			XLCH => "F226TOH6YD6XJB17KS62",
			BGHX => "254900OBGLGL51E9EQ66",
			CSAS => "9KOGW2C2FCIOJQ7FF485",
			LTSE => "",
			XFEX => "261700HJKW2QQCC28010",
			CALH => "213800M2DXATWY7JMS07",
			OMIP => "529900NIA9TL7Q1I4639",
			XLIS => "529900K0OK4J5I7A5V66",
			DAUK => "MAES062Z21O4RZ2U7M96",
			BSLB => "5493006QMFDDMYWIAM13",
			CFIL => "635400N5XVNTLTWTUK34",
			RBCM => "ES7IP3U3RHIGC71XBU11",
			THRE => "549300WQWDPFSMQ8I087",
			BKKT => "254900ZSO0IPC7WB7I79",
			XPUS => "549300HDFLS7P433PO89",
			BMLI => "EQYXK86SF381Q21S3020",
			ITGL => "",
			XAMM => "",
			VFGB => "549300XG5LFGN1IGYC71",
			SEBL => "549300SBPFE9JX7N8J82",
			VIUK => "213800EEC95PRUCEUP63",
			24EX => "213800YXBUZH7G3NDC51",
			BBSX => "213800MIMZ9M6KCKW783",
			SCOT => "2138004NBR4V18KZFG35",
			SPEX => "213800EZGQRSM45JOO34",
			IFAD => "549300IAI56NENBHLT85",
			JLQD => "PQLMYUFDGPG4H0E88R88",
			LAMP => "254900NRLDDV3W2GBT06",
			RCMA => "VPSDYLYD46Y0HGE26Y04",
			MKTF => "969500FWB6L4IMCWRO70",
			XSGB => "O2RNE8IBXP4R0TD8PU41",
			YKNA => "54930046NSEINIAD0O74",
			CSDA => "529900ENT1WBE443LZ43",
			DOWM => "959800Q9D0L8KEY3G622",
			GSXC => "549300NIUPNUFRZ8LJ52",
			GSXK => "549300NIUPNUFRZ8LJ52",
			GSXT => "549300NIUPNUFRZ8LJ52",
			VAGM => "213800HX7ARORQ7CJ735",
			BMCM => "L64HM9LHPDOS1B9HJC68",
			ABFI => "213800DBQIB6VBNU5C64",
			DASH => "549300VYG4AYVBIDN394",
			MISX => "253400M5M1222KPNWE87",
			BAJD => "I7E80LI4NVVT41W1WB02",
			NEOE => "549300MILSKTNBLQ1L12",
			TRPX => "254900DYQXM35R99AN72",
			KOME => "IYKCAVNFR8QGF00HV840",
			TRCX => "213800DG5CNS2AO8Q526",
			ERBX => "JEUVK5RWVJEN8W0C9M24",
			IBER => "549300OLBL49CW8CT155",
			ALLT => "549300UZRRVYI5I5P867",
			BILU => "9CZ7TVMR36CYD5TZBS50",
			CBSK => "52990096Q5LMCH1WU462",
			CODA => "",
			SMBD => "5U0XI89JRFVHWIBS4F54",
			STFL => "213800BVEFNZ8UYPKL03",
			XALT => "",
			SAGE => "",
			ARCH => "8755004G4UQX5BQOU260",
			JPMS => "7H6GLXDRUGQFU57RNE97",
			SNUK => "PTCQB104N23FMNK2RZ28",
			ARKX => "8945001AYQ4XO2432N56",
			SVXI => "8945001R4JGZRMTLRM44",
			XALS => "",
			CGMG => "5493004FUULDQTMX0W20",
			PUMA => "549300JCDSTWZAXPY025",
			4AXE => "378900CCCF6D95AECA88",
			EBHU => "549300XWJHRKLHU2PS28",
			FNUK => "21380064JXN6YW7QAS86",
			UCHU => "Y28RT6GGYJ696PMW8T44",
			CBNL => "E57ODZWZ7FF32TWEFA76",
			FTUS => "549300K64LZQW7R9ST34",
			BGUK => "529900UC2OD7II24Z667",
			CLVE => "2138003PXLT3ZCM8S325",
			CPGX => "549300U614BWU622VY96",
			CEPL => "N1FBEDJ5J41VKZLO2475",
			CEPU => "N1FBEDJ5J41VKZLO2475",
			DBAB => "9J6MBOOO7BECTDTUZW19",
			OTCN => "254900LQDMW14QIVAH45",
			RTSL => "549300SDDJE84DDJNB30",
			TDGF => "FI6C7E5PBUB3F9K43B44",
			UBSB => "",
			UBSL => "5299007QVIQ7IO64NX37",
			BFPT => "2138003Z5ZVN16GFYV70",
			CONC => "52990074UR5JKVFY4V57",
			IFBX => "",
			SCXO => "549300QL4OBS1FRY4P39",
			SYFX => "875500SX6OSZQTT3GL89",
			SSIL => "ZMHGNT7ZPKZ3UFZ8EO46",
			MANL => "5299000UUYW66L5LT560",
			BETX => "549300ZDBUCTRBOPM023",
			BTLX => "549300MOF13GKBNRVV53",
			CCEX => "",
			AQEU => "213800IXJSF5E1SIW150",
			AQXE => "213800IXJSF5E1SIW150",
			BKDM => "213800BCFW6KUDEH8W19",
			BNLD => "UI802FYJ52XDB7N4KN18",
			CAVD => "724500F90910RKNAJA14",
			GIPB => "W22LROWP2IHZNBB6K528",
			ICPM => "21380063ZX54EUEMBR73",
			JLEU => "549300HFXRW8BZRK3J17",
			SMFF => "9676007O0UF5YB3QPR03",
			SPTR => "7V6Z97IO7R1SEAO84Q32",
			ELXE => "549300ET447NVRL3KE13",
			SCAG => "549300WDT1HWUMTUW770",
			SGAS => "549300F35UE0BOM1WJ55",
			SMFE => "549300PHNISXLW3TXM87",
			TRXE => "969500V058ZSY03FNX80",
			MHBE => "724500ZSA7ZOZHUXBS53",
			CSGI => "549300J11TNGTWCC3R56",
			EUCC => "549300J11TNGTWCC3R56",
			BREA => "815600D852A98169B612",
			XTXE => "213800J256ZBGMGZLV44",
			BLUE => "",
			BTAM => "2138004TYNQCB7MLTG76",
			CABV => "2138004TYNQCB7MLTG76",
			RFBK => "31570010000000004460",
			TOWR => "2138008UL4MT8SNYKX10",
			FLWX => "549300CLJI9XDH12XV51",
			BLUX => "PSZXLEV07O5MHRRFCW56",
			DBLX => "529900FIAMEJDQ8C9097",
			DHLX => "529900G4O4VLOG0B5168",
			KHHU => "KFUXYFTU2LHQFQZDQG45",
			MCID => "549300SD59QHOIVT4626",
			NCME => "5493008794GM6YH5G766",
			ISWP => "5493009UWRK48KKUD358",
			MSEL => "549300L6UG0LIPH04553",
			NCML => "G7WFA3G3MT5YHH8CHG81",
			XPUK => "5493003FNQQISI8T7M40",
			CSAG => "ANGGYXNX0JLX3X63JN86",
			GSBE => "8IBZUGJ7JPLH368JE346",
			HREU => "21380043Y95S8KQ3PA19",
			CREM => "8156004B244AA70DE787",
			DWFI => "G5M52KXHI10IUWXWHQ71",
			BNPP => "NMH2KF074RKAGTH4CM63",
			CIBH => "549300MSY5NIVC0BME80",
			CSMD => "959800TMGPWX7NYM4R72",
			GMES => "969500OBCS5EQT67NQ53",
			KBLL => "KHCL65TP05J1HUW2D560",
			MHBP => "RB0PEZSDGCO3JS6CEU02",
			MHEU => "213800G8QEXN34A2YG53",
			UBCZ => "KR6LSKV3BTSJRD41IF75",
			ATLN => "213800PZWYFKIOAGQY35",
			LBCW => "2138008P9NOMBRMROI73",
			AGBP => "959800QKRKCC19MR2G52",
			EBSN => "2138004TYNQCB7MLTG76",
			ECEU => "213800X8D2RDODXFIY15",
			TPIC => "213800R54EFFINMY1P02",
			XTRD => "",
			MLEX => "5493005ZUS38P483U064",
			ATHL => "254900KH6PO0O17YI150",
			BCSC => "5493008C22FNI0QEEF10",
			CFIF => "21380064VQA91ODJ7I59",
			JEFE => "5493004I3LZM39BWHQ75",
			MHBL => "RB0PEZSDGCO3JS6CEU02",
			NOWX => "969500A5HZ0H6GGXUX51",
			PKOP => "5493000LKS7B3UTF7H35",
			VUSA => "549300RA02N3BNSWBV74",
			ABAN => "54930056IRBXK0Q1FP96",
			EQIE => "213800MQRAFTKJ551M22",
			EQLD => "213800BUOJT8E71MBB36",
			GPBC => "213800NW35DTWHTMX505",
			OHVO => "7245000R5QUIJPTI7118",
			RBCG => "549300SXSTGQY3EA1B18",
			RMTF => "635400MQZIPRVPDDZK76",
			UCBA => "D1HEB8VEU6D9M8ZUXG17",
			UCDE => "2ZCNRR8UK83OBTEK2170",
			UCIT => "549300TRUWO2CD2G5692",
			BRGA => "213800QFPP8QFI9PUP95",
			XNOR => "529900ODI3047E2LIV03",
			BCMA => "959800LQ598A5RQASA61",
			CSOB => "Q5BP2UEQ48R75BOTCB92",
			ICUR => "549300GXOGIW1ZGZ6H55",
			IFXC => "549300GXOGIW1ZGZ6H55",
			MUSN => "54930050SE0SM7CM2G07",
			SPDX => "213800D8Y3L51SB9F532",
			NIBC => "B64D6Y3LBJS4ANNPCU93",
			UICE => "894500C5FJGWR7DWUN92",
			XNDU => "894500QCRQPZUXB7U963",
			ECSL => "213800FJ9BFQ7CM6XV47",
			MSEU => "54930056FHWP7GIWYY08",
			BRDE => "5493008QRHH0XCLJ4238",
			CIBC => "2IGI19DL77OX0HC3ZE78",
			CIBP => "BVRCO19C4GKNSAXXHE82",
			FTFS => "31570010000000050826",
			CABK => "7CUNS533WID6K7DGFI87",
			CCRM => "2549007JY1TP7I1IMY80",
			CCXE => "2549007JY1TP7I1IMY80",
			DEKA => "0W2PZJM8XOY22M4GG883",
			ICOT => "213800R54EFFINMY1P02",
			ISSI => "F01VVKN4DRF2NWKGQ283",
			JYSI => "894500RII3ULSCOB6716",
			NWNV => "X3CZP3CK64YBHON1LE12",
			OTPB => "529900W3MOO00A18X956",
			RBHU => "5493001U1K6M7JOL5W45",
			RENC => "IK9CLH4U15AXJVV22968",
			TPEU => "213800R54EFFINMY1P02",
			WSIL => "BWS7DNS2Z4NPKPNYKL75",
			INGW => "259400YLRTOBISHBVX41",
			MAKX => "549300IQTYC8XXQ6C338",
			WSIN => "EN5TNI6CI43VEPAMHL14",
			SLHB => "5299005BG2M7ZL8HDK23",
			SIBC => "F68F5WN6OGTEHIP5ZT82",
			WELN => "549300RTZMW2HYAV4515",
			BMLB => "NQQ6HPCNCCU6TUTQYE16",
			XSAT => "54930035ZLP36ALFE803",
			BAIP => "GGDZP1UYGU9STUHRDP48",
			DAVY => "63540061DPCBNMCGRY22",
			LIGA => "529900QDBEIBLJCSQE34",
			MBPL => "259400DZXF7UJKK2AY35",
			WELS => "VYVVCKR63DVZZN70PB21",
			CBAL => "MSFSBD3QN1GSN7Q6C537",
			SIAB => "259400QHDOZWMJ103294",
			BKSK => "529900B9P29R8W03IX88",
			CMCI => "N4JDFKKH2FTD8RKFXO39",
			MHBD => "549300VHOWSD9OG7S547",
			MUSE => "U7M81AY481YLIOR75625",
			ABNA => "BFXS5XCH7N0Y05NIXW11",
			BBIE => "2G5BKIC2CB69PRJH1W31",
			ERST => "549300S5161J3XIURT65",
			IKBS => "PWEFG14QWWESISQ84C69",
			TQEX => "213800ZA8TWTNVG43376",
			APAW => "315700LCYNUH9SYC0I94",
			NABL => "F8SB4JFBSYQFRQEH3Z21",
			OBKL => "RRUN0TCQ1K2JDV7MXO75",
			TWJP => "213800UM629WE2LC5D41",
			HRTF => "549300SMOBUC8O5UOE10",
			SMBB => "5U0XI89JRFVHWIBS4F54",
			CGMD => "6TJCK1B7E7UTXP528Y04",
			HEMO => "2138003ETH4FUSCHL785",
			IMCT => "213800A1PNS41NG89H87",
			METZ => "213800NTJEPFURB3WB19",
			MUBL => "C3GTMMZIHMY46P4OIX74",
			MUBM => "C3GTMMZIHMY46P4OIX74",
			MUBP => "C3GTMMZIHMY46P4OIX74",
			RBIV => "9ZHRYM6F437SQJ6OUG95",
			SMBG => "5U0XI89JRFVHWIBS4F54",
			MUBE => "724500Q03K04L0479N30",
			JPEU => "549300ZK53CNGEEI6A29",
			SMBE => "NT7C58H5HPZYKZDPOO64",
			SMBP => "NT7C58H5HPZYKZDPOO64",
			HELA => "DIZES5CFO5K3I5R58746",
			NESI => "5493002XYZZ0CGQ6CB58",
			BHWA => "XLEZHWWOI4HFQDGL4793",
			ISBA => "81560027D07F9BDB8436",
			KBCB => "6B2PBRV1FCJDMR45RZ53",
			MAQI => "17GKQF40GFUEUUWOO622",
			MAQU => "4ZHCHI4KYZG2WVRT8631",
			FICO => "",
			LBBW => "B81CK4ESI35472RHJ606",
			BAPE => "2549009C0EQ5M7H6ZY67",
			BASE => "549300VDY6P7FVMD4W57",
			BCEE => "R7CQUF1DQM73HUTV1078",
			BPKO => "P4GTT6GF1W40CVIMFR43",
			BTFE => "254900QBKK4WBSO3GE51",
			HRSI => "213800QDJQNB4546YV16",
			R5FX => "213800BMWXD3SACBHQ15",
			SISI => "635400IAV22ZOU1NFS89",
			BEIS => "549300DI8RATWW2KQO25",
			BLBB => "VDYMYTQGZZ6DU0912C88",
			BASX => "I7E80LI4NVVT41W1WB02",
			HRTX => "549300SMOBUC8O5UOE10",
			INCR => "254900TX2BTPJWW4A154",
			OCSI => "213800T9OJMZA69QDM04",
			EDRF => "9695002JOWSRCLLLNY11",
			BNSX => "L3I9ZG2KFGXZ61BMYR72",
			EXSE => "969500UP76J52A9OXU27",
			AIXK => "254900L6FRRJKZTLNY11",
			LBCM => "213800MBWEIJDM5CU638",
			RLBO => "I6SS27Q1Q3385V753S50",
			SBEX => "5G6NVP4WADOI32VUUB17",
			VTBC => "74OG4PIVJ3TT4O5NSN12",
			ZARX => "",
			IPSX => "894500WZQU4IFOZWXD84",
			COMM => "724500BX0J5JF3H6UJ31",
			ATLB => "549300MKGUYMMT8WIJ94",
			CCMS => "213800PTHR54LY1D6P84",
			DAIW => "MIM2K09LFYD4IB163W58",
			IINX => "335800YBAB9E2H7QUW21",
			OPCO => "549300NQ588N7RWKBP98",
			BELB => "A5GWLFH3KM7YV2SFQL84",
			IMTF => "549300YLYOXGEYO4YK89",
			BLXA => "5493000V6EFTSRJ06G76",
			GFKS => "549300SUPDLSXO6YWJ42",
			SGOE => "969500FDN8G43HMHZM83",
			UBSA => "T6FIZBDPKLYJKFCRVK44",
			UBSS => "T6FIZBDPKLYJKFCRVK44",
			IBIS => "815600F7C251EF3D6039",
			TFSD => "549300SQ2NWW0XDNBU68",
			TRAS => "549300ER66BIX4KZD662",
			TSIG => "5493000ON08MFYK4XP20",
			UTSL => "353800GH95A67C8SIV59",
			CSZH => "549300CWR0W0BCS9Q144",
			EUWA => "529900032TYR45XIEW79",
			EXSY => "2FL5XIC1B8Q6HNGN6A35",
			A2XX => "",
			FXOP => "5493009GUESWKOCRBE73",
			TRDE => "5493009GUESWKOCRBE73",
			AKIS => "549300GRXFI7D6PNEA68",
			BPSX => "549300WCGB70D06XZS54",
			IGDL => "213800C2MCT5QBE5VW36",
			JSSI => "549300ZHEHX8M31RP142",
			TWGP => "2138001WXZQOPMPA3D50",
			GMGD => "2549004SK0BK118GWY19",
			GMGL => "213800PA2Q75PE1FIC23",
			NPEX => "724500EFRA0V2NR6E869",
			OAPA => "5967007LIEEXZXHDL433",
			DDTX => "V3Z6EZ8Z6KSBJBFBIC58",
			HPCX => "969500AMLHB21RACL168",
			SB1M => "5967007LIEEXZX5AEG57",
			ANTS => "R83QYRLEMH4ZSHI0L097",
			SGMX => "N9FYJ29MC81JI74MJE92",
			SSBI => "ZMHGNT7ZPKZ3UFZ8EO46",
			DBAG => "7LTWFZYICNSX8D621K86",
			MKAP => "21380073P7J4PAD91E29",
			GSAL => "549300NIUPNUFRZ8LJ52",
			SWEE => "549300PHQZ4HL15HH975",
			SWLT => "549300GH3DFCXVNBHE59",
			SWLV => "549300FXBIWWGK7T0Y98",
			ODDO => "9695002I9DJHZ3449O66",
			ODOC => "96950063A7LQQR6VQ718",
			SANT => "5493006QMFDDMYWIAM13",
			UBIN => "213800AYQA28LZ7J6M48",
			CSLB => "ANGGYXNX0JLX3X63JN86",
			JISI => "S5THZMDUJCTQZBTRVI98",
			VWDX => "529900ZVGQ4CNEVWBJ12",
			BAMX => "",
			SEBS => "F3JS33DEI6XQ4ZBPTN86",
			XABC => "549300FMOYCQNLVRRP95",
			GFIC => "GUNTJCA81C7IHNBGI392",
			KELR => "529900MPT6BHOJRPB746",
			XBOX => "",
			NORD => "TUKDD90GPC79G1KOE162",
			OTXB => "4T0J6O251JXNEB0VEZ08",
			SEMX => "549300V1ZX6X7NWD2Q47",
			AACA => "1VUV7VQFKUOQSJ21A208",
			ABSI => "2UM1RGHWEBOSN4PMNL63",
			BINV => "39120043LUI1WJS8IX30",
			GLMX => "254900BL2EA4KCGB2338",
			GTXE => "5493000LDDKICYTQJ658",
			JPCB => "8I5DZWZKVSZI1NUHU748",
			NLBX => "DSNHHQ2B9X5N6OUJ1236",
			ROSR => "549300US7CXLXPE4NY48",
			XLLB => "529900OE1FOAM50XLP72",
			XVPB => "MI3TLH1I0D58ORE24Q14",
			HBPL => "3IOL70HIEQ2FWND3JI79",
			XABG => "2138005DRCU66B8BNY04",
			ALSI => "549300D6BJ7XOO03RR69",
			SBSI => "GP5DT10VX1QRQUKVBK64",
			TDBL => "PT3QB789TSUIDF371261",
			BNPA => "6EWKU0FGVX5QQJHFGT48",
			BNPF => "KGCEPHLVVKVRZYO1T647",
			BNPS => "R0MUWSFPU8MPRO8K5P83",
			ICEO => "213800CZM9YMSN4AL882",
			ISWA => "213800CHG2XKP74RJQ39",
			NWMS => "RR3QWICWWIPCS8A4S074",
			RBCE => "TXDSU46SXBWIGJ8G8E98",
			XSGA => "",
			KBLM => "1ZU7M6R6N6PXYJ6V0C83",
			KOTF => "9695005EOZG9X8IRJD84",
			LASP => "213800UYAHIRLZ4NSN67",
			TDON => "969500ULC0Y1IG0A4O72",
			TSAF => "969500V058ZSY03FNX80",
			UBIS => "81560015C1F0098C2455",
			XIEL => "213800MXAKR2LA1VBM44",
			BANA => "B4TYDEB6GKMZO031MB27",
			CSEC => "549300WTVI4KO4GEJN54",
			MLIX => "GGDZP1UYGU9STUHRDP48",
			SVEX => "NHBDILHZTYCNBV5UYZ31",
			AAPA => "549300GSRN07MNENPL97",
			CIMD => "529900MLKOEV3XDRCP63",
			CURX => "254900XVN4LQPXMJGD91",
			SKSI => "529900J35NSHS856UA68",
			SQUA => "213800MR2O27473V4D51",
			SSBT => "571474TGEMMWANRLN572",
			AFSA => "7245004T3GVMWC5LP916",
			ARIA => "21380097QNN7QGLDSR92",
			DVFX => "213800GQ81SBZ7SCHZ94",
			ETPA => "724500ESIIL4H59L4375",
			LOUI => "213800KL2QZT2GQMQQ34",
			RABO => "DG3RU1DBUFHT4ZF9WN62",
			BBVA => "K8MS7FD7N5Z2WQ51AZ71",
			BTNL => "2549002MSOOOIAHT2W65",
			CAPI => "213800MDEXILA5OUWS43",
			XRCB => "529900M2F7D5795H1A49",
			APEX => "",
			TGAT => "5299007BIE0JSIBS4K52",
			NYSI => "52965FONQ5NZKP0WZL45",
			XMAL => "5299009CKES2S5E3YG94",
			CASI => "529900BR5NZNQZEVQ417",
			CNSI => "5967007LIEEXZX57BC18",
			CCEU => "549300WTVI4KO4GEJN54",
			XTXM => "213800WPTIY9961G2O04",
			AURB => "5RJTDGZG4559ESIYLD31",
			VAGL => "2138007UL5D61PJZWV82",
			BCSL => "K9WDOH4D2PYBSLSOB484",
			GFIB => "5493007S6O0HR48ATX36",
			INGB => "3TK20IVIUJ8J3ZU0QE75",
			SFCL => "213800OS3ZBK5VOTKW82",
			TPSL => "549300BMVW85YF9FGN67",
			VONT => "529900KKJ9XOK6WO4426",
			BKBR => "MMYX0N4ZEZ13Z4XCG897",
			CBKA => "851WYGNLUQLFZBSYGB56",
			TPSO => "549300BMVW85YF9FGN67",
			CGML => "XKZZ2JZF41MRHTR1V493",
			CPTX => "7245003KABYX7ZTSTW42",
			MAQL => "549300GX4FPMFF91RJ37",
			DZBK => "529900HNOAA1KXQJUQ27",
			TPEL => "549300MU2MYJLOY6IJ51",
			TPEO => "549300MU2MYJLOY6IJ51",
			TWHK => "2138001WXZQOPMPA3D50",
			TWSG => "2138001WXZQOPMPA3D50",
			WOOD => "549300UYJKOXE3HB8L79",
			LOYD => "",
			BOFS => "OQ3T05P7YR8P5YJEVI93",
			SUNT => "549300Y25EQ2KE94BO75",
			SWBI => "M312WZV08Y7LYUC71685",
			WBKP => "259400LGXW3K0GDAG361",
			BGSI => "",
			BPLC => "G5GSEF7VJP5I7OUK5573",
			LSSI => "5299000TZ4OSOOGU1120",
			BIVA => "894500CS2D6RLGW61A19",
			BKLN => "WFLLPEPC7FZXENRZV188",
			FISU => "213800F87AK1JKQEVW81",
			JBSI => "3M5E1GQGKL17HI6CPN30",
			NAPA => "549300KBQIVNEJEZVL96",
			POTC => "",
			PPEX => "213800RKHIF4VKLY2E56",
			BAAD => "529900JFOPPEDUR61H13",
			INVE => "84S0VF8TSMH0T6D4K848",
			XDNB => "549300GKFG0RYRRQ1414",
			IFLS => "549300JUF07L8VF02M60",
			EXOT => "",
			ANZL => "JHE42UYNWWTJB8YTTU19",
			ECHO => "",
			FBSI => "549300L7YCATGO57ZE10",
			HSBC => "",
			HSBT => "JUNT405OW8OY5GN4DX16",
			NATX => "KX1WK48MPD4Y2NCUIZ63",
			STAN => "",
			VCMO => "2138007ZHUXSGBB53N72",
			ADVT => "549300A1NXV20ZS25T07",
			CSIN => "E58DKGMJYYYJLN8C3868",
			DOWG => "213800ARTVZQSADRZ559",
			AMPX => "21380095NEP4KIHOWO82",
			FXGB => "549300S24DMOQB7FX206",
			TRSI => "54930090O4QNGA8IEC21",
			BTEE => "2138002GI1GKI3V4UG48",
			EBSS => "213800Y1KZLBMHGMTJ05",
			RBCB => "549300IVXKQHV6O7PY61",
			RBCT => "5493002MUOV04NSPT571",
			GSIB => "549300OYYE9P450H6O40",
			HUDX => "529900RK7BVGI1QZI986",
			IMCS => "KFGLWNFOI5LR50W0VO56",
			XDUB => "635400DZBUIMTBCXGA12",
			BILT => "",
			MUFP => "213800YRA1J9QFBMU217",
			VFIL => "549300XG5LFGN1IGYC71",
			CCML => "213800M3I5GUTKCDBU47",
			CFTW => "",
			DAPA => "529900G3SW56SHYNPR95",
			VLEX => "529900G69W5VR3DDPW23",
			3579 => "213800RGYOAL3KL2XL02",
			MHIP => "213800HZ54TG54H2KV03",
			WINS => "8BRUP6V1DX3PIG2R0745",
			MASG => "529900GFVFMKAFCMT075",
			TCML => "2138009BNWAAJIGGRH17",
			FRTE => "213800TE1VETDDTPKN12",
			THEM => "254900T8WSH6UHUZKV29",
			LEDG => "549300UG0YZD2A0QYQ41",
			MUTI => "213800ZXJI3S6VKHTX31",
			NDCM => "5493007PP5JLCOM9WY96",
			NDEX => "549300CZW488L20NT866",
			SPEC => "549300FR3U1PB1Y6LV13",
			BCRM => "254900ERRPSKE7UZH711",
			GOTC => "",
			MFXC => "549300WT8S467QS4ID10",
			SNSI => "549300DHT635Q5P8J715",
			VERT => "549300VZUQGQJJPM5M09",
			APXL => "",
			CLTD => "549300SCP8DO74JJEH77",
			DRCT => "",
			MTXX => "GPSMMRI21JE7ZCVYF972",
			XEEE => "529900J0JGLSFDWNFC20",
			MTSO => "213800ZMKPUV1VKLCT69",
			NOSI => "549300IU15NXFPV2FC82",
			XBDV => "2138003VQHOK8RANP296",
			DIFX => "213800QL3V1PYPQMLU38",
			AUTX => "",
			NEXS => "2138008LPQ92DIHKHY20",
			VIRT => "54930088MP91YZQJT494",
			BALT => "213800L2KQ61Y79TWR71",
			CGMA => "",
			CGMH => "",
			CGMI => "MBNUM2BPBDO7JBLYG310",
			CGMX => "",
			CITX => "PKVU22HMQQ0KHUAQDH05",
			LQED => "894500FA4U3C43ZQSX19",
			PTPG => "259400R399CK3MYYSL28",
			UFEX => "",
			TSAD => "WRYEFMSVQCH0EMD08461",
			XKAR => "",
			XLGT => "7KDSOB6Z0X4S67TMX170",
			PEEL => "5493007DWN0R4YBM4C84",
			JPBX => "8I5DZWZKVSZI1NUHU748",
			JPSI => "K6Q0W1PS1L1O4IQL9C32",
			AREX => "",
			CSAU => "549300PFVFUWK2NI0V37",
			CSEU => "DL6FFRRLF74S01HE2M14",
			CSHK => "549300I5DSQBF6DPYJ85",
			CSJP => "",
			FICX => "",
			GBOT => "",
			GRIF => "549300F0T2H9MU7YDI50",
			IBGH => "",
			IEXG => "",
			LMEC => "213800L8AQD59D3JRW81",
			NEXO => "5967007LIEEXZXJUBK44",
			NMRJ => "XPSKD1VTEQPKCHBEKQ95",
			XBEL => "",
			XBLB => "",
			XMUN => "391200Z7ZWISADXEGZ47",
			XNXC => "7245009JFTXEFU5GUD82",
			XVES => "",
			360T => "5299001T4DEDEH9I0252",
			AATS => "",
			ACEX => "33580057DULMQ3ANKR63",
			AFDL => "",
			AFET => "",
			AFSE => "7245000KV7IJNRFFOZ81",
			ASEX => "549300GSRN07MNENPL97",
			AWBX => "5493001DLXSQ807GTQ97",
			AWEX => "",
			BACE => "",
			BAML => "",
			BAPA => "",
			BAPX => "",
			BARX => "",
			BBSF => "5493003IUYOH354SNS58",
			BCFS => "",
			BCMM => "",
			BCSE => "",
			BCXE => "254900ERRPSKE7UZH711",
			BEAM => "213800C8G8MWTRJAOJ67",
			BEEX => "",
			BETP => "549300XGVYCP71W4BP27",
			BGCF => "549300NP4MIDUNET0550",
			BGCI => "",
			BHSF => "549300NW303IYRUREL46",
			BIDS => "254900J9JVL76SF70898",
			BLEV => "",
			BLPX => "",
			BPOL => "549300B56MD0ZC402L06",
			BMEX => "9598003MSLCX8JT38V69",
			BMTF => "",
			BNYC => "5493008QI0EFC5WBED75",
			BOAT => "",
			BOSC => "",
			BOVA => "",
			BOVM => "",
			BRIX => "",
			BRNX => "",
			BSEX => "",
			BTEC => "213800C2MCT5QBE5VW36",
			BVCA => "",
			BVMF => "4GTK5S46E6H318LMDS44",
			BVUR => "",
			CAND => "549300QSD4O4FEHPDA44",
			CANX => "",
			CATS => "529900TW3YXY9C6T1G09",
			CCFX => "30030072NOVE6XE20095",
			CCLX => "",
			CCO2 => "",
			CDED => "549300YY2DLUAENFBW67",
			CDSL => "335800ID4A597NSPJK84",
			CGIT => "8156006407E264D2C725",
			CHEV => "",
			CHIA => "529900RLNSGA90UPEH54",
			CHIC => "",
			CHIJ => "",
			CLAU => "213800B9W4D1EISCLP26",
			CLHK => "213800OZSOO4CYFYIW32",
			CLJP => "353800X5IPPFD6V3IM19",
			CLMX => "",
			CLPH => "2138009SZ4USUGP1IM38",
			CMET => "549300M58KHF8C3XX029",
			CMMT => "",
			CMSF => "549300DEFONS2ZLZSD17",
			COAL => "",
			COMG => "315700KTHVWPD78RED38",
			COTC => "L64HM9LHPDOS1B9HJC68",
			CRED => "EXD7DEVFDH4HOFFQ7349",
			CRYD => "",
			CRYP => "",
			CRYX => "",
			CSSX => "",
			DASI => "MAES062Z21O4RZ2U7M96",
			DBHK => "",
			DBOX => "",
			DCSX => "",
			DEAL => "5493008Z45O1D9LXQL61",
			DGCX => "",
			DKTC => "549300Z110UB200D5O13",
			DOTS => "529900TW3YXY9C6T1G09",
			DSMD => "",
			DUMX => "",
			ECAG => "529900LN3S50JPU47S06",
			ECAL => "529900J4G0RLU6XER150",
			EEAL => "529900J4G0RLU6XER150",
			EESE => "",
			EGMT => "549300EL4DC98EM5WP25",
			EGSI => "PQOH26KWDF7CG10L6792",
			EMBX => "2138006KYCF5814BKL25",
			EMID => "8156005A730609F68C89",
			ENCL => "",
			EOTC => "",
			EPEX => "",
			ETSC => "",
			EXEU => "213800SH9MTNZQJKP526",
			EXTR => "",
			FAIR => "",
			FGEX => "",
			FINR => "",
			FISH => "213800EH1XXWX1VYBV42",
			FMTS => "",
			FSEF => "549300T7HPK1QMFMAZ57",
			FSHX => "",
			FXAL => "",
			FXCM => "5493008Z45O1D9LXQL61",
			G1XX => "549300MVXLJMF1VIX094",
			GEMX => "2138005EBVB91BX92G08",
			GETB => "",
			GLLC => "",
			GLPS => "",
			GLPX => "549300P4LUW0YCECUJ68",
			GMEG => "",
			GMTF => "969500IBIWHZQQ9BB280",
			GOVX => "",
			GREE => "",
			GRSE => "",
			GSCI => "",
			GSCO => "",
			GSEF => "",
			GSIL => "W22LROWP2IHZNBB6K528",
			GSXL => "254900JYE69H03XHK860",
			GTCO => "",
			GTSX => "",
			GTXS => "549300HA3M2MI3Z1BL53",
			GXMA => "",
			HCHC => "7245003TLNC4R9XFDX32",
			HDAT => "529900SL3K21WAN6X611",
			HEGX => "5493005SLPBS4GLS2A55",
			HMTF => "815600F681369854E440",
			HPPO => "254900PQ6838J9TAXS95",
			HSFX => "549300NW303IYRUREL46",
			HSTC => "",
			HSXA => "2HI3YI5320L3RW6NJ957",
			HUPX => "5299002ZYTZDPOEBYP13",
			IBAL => "2138004J1O2ULCG2XR37",
			IBEX => "485100BT642E2LWQU020",
			ICDX => "",
			ICEL => "",
			ICXL => "335800UOTLCPTZQVDA19",
			IFEU => "549300UF4R84F48NCH34",
			IFSG => "",
			IFUS => "5493004R83R1LVX2IL36",
			IMEX => "",
			ISDA => "549300X2X6FG1ZZO4603",
			ISEX => "335800NLY5HYW9I7YE03",
			ITGI => "549300RA02N3BNSWBV74",
			IVZX => "9F443AVI6KXI3MYCLS29",
			JADX => "",
			JNST => "549300ZM16HMPEPNV857",
			JPMI => "8I5DZWZKVSZI1NUHU748",
			JPMX => "8I5DZWZKVSZI1NUHU748",
			JSES => "5493002N1IVX6KHGYO08",
			JSJX => "5493002N1IVX6KHGYO08",
			KCCP => "529900MHIW6Z8OTOAH28",
			KLEU => "",
			KNIG => "",
			KRME => "254900FUMQOYNWVDC717",
			LASF => "549300ESF1VPFQIGR218",
			LCHC => "",
			LCUR => "",
			LICA => "21380031335M4LHQJ436",
			LIQU => "",
			LIUS => "2138006YAA7IRVKKGE63",
			LMAX => "21380034TU2TI8CNZ578",
			LOTC => "",
			LPPM => "",
			LTAA => "254900ZBK50B4Y36MJ33",
			LXJP => "213800CBSW8TWAUAUL29",
			MAEL => "549300TTHIODYMGND828",
			MALX => "",
			MAQH => "",
			MAQJ => "",
			MAQX => "549300BIAWNNPUVFP581",
			MATN => "",
			MATX => "984500E44XSBA6058488",
			MBUL => "5299003795MPR9UZ1J25",
			MFGL => "",
			MIBG => "",
			MIHI => "",
			MIZX => "5493007HSF4UV3DI5W54",
			MSAL => "6NYZXKE9GUP7XNI56S88",
			MSCO => "9R7GPTSO7KV3UQJZQ078",
			MSIP => "4PQUHN3JPFGFNF3BB653",
			MSMS => "549300OB5SQ53A8BTO30",
			MYTR => "",
			N2EX => "",
			NAMX => "",
			NASX => "",
			NBLX => "",
			NBOT => "",
			NCEL => "",
			NFSC => "549300JRHF1MHHWUAW04",
			NGXC => "549300MZWLT9C8T4VI12",
			NILX => "",
			NLPX => "549300CZW488L20NT866",
			NMCE => "335800NLY5HYW9I7YE03",
			NMRA => "",
			NODX => "",
			NOFF => "",
			NOPS => "549300BOP5Z0BIUTLV67",
			NOSC => "549300KWFP5XWW6VMX53",
			NOTC => "",
			NPGA => "",
			NSXB => "",
			NXEU => "",
			NXUS => "",
			NYPC => "",
			OLLC => "549300SFF7YEJGFVDC94",
			OMEL => "",
			OMGA => "",
			OMIC => "5299001PSXO7X2JX4W10",
			OPRA => "",
			OSLC => "",
			OTCE => "",
			OTCX => "",
			PAVE => "",
			PDEX => "",
			PFTS => "",
			PIEU => "",
			PIPE => "",
			PIRM => "213800F2KUVLIFOYYP87",
			PRSE => "",
			PVMF => "213800IBHG6SEZ2SR747",
			PXIL => "3358001SNLGRJLFULN75",
			QWIX => "",
			RBSX => "2138005O9XJIJN4JPN90",
			ROCO => "",
			ROFX => "",
			ROTC => "",
			RPDX => "",
			RSEX => "",
			RTSP => "5493004U2OZSNOP2ML97",
			S3FM => "",
			SECC => "",
			SECD => "",
			SECE => "",
			SECF => "",
			SEDC => "",
			SELC => "AALGVYK6RWPEUC46UZ70",
			SEPE => "",
			SGEX => "",
			SGMA => "549300CWUTEDC3CFJ739",
			SHAR => "21380095NEP4KIHOWO82",
			SHAW => "TNWE6LERP1CI9IDAZB80",
			SIGA => "",
			SIGJ => "",
			SIMV => "",
			SMEX => "549300FKHU9M1PAGIO86",
			SOHO => "549300E6LSX52T58QB70",
			SPIM => "",
			SPRZ => "",
			SPXE => "097900BFDY0000023584",
			SSEX => "",
			SSTX => "",
			STOX => "",
			SWAP => "",
			SXSI => "549300TL5406IC1XKD09",
			TERA => "FA5WCATW8PXZ0RD82003",
			TFEX => "5493006G4X6OUMF0CE07",
			TFSA => "",
			TFSU => "",
			TMID => "",
			TOCP => "254900XBYUDKOCN2GV57",
			TPIE => "",
			TPSE => "549300VTCEZOP03G9X31",
			TRCK => "",
			TREU => "2138001WXZQOPMPA3D50",
			TRQX => "2138006SKBMJJUE2HV03",
			TRUX => "54930072IAKCWEG27B47",
			TRWB => "5493000G5QHJUY9ZWQ91",
			TSEF => "549300MBO45EHETL4438",
			TWEU => "724500D4BFEWKWVC1G62",
			UBSG => "",
			UBSX => "",
			UKEX => "",
			UKPX => "529900J0JGLSFDWNFC20",
			ULTX => "",
			VEGA => "2138006YAA7IRVKKGE63",
			VFCM => "5493001OPW2K42CH3884",
			VMFX => "",
			WSAG => "549300Z0MOT47D6OQV22",
			XADS => "",
			XAFR => "",
			XAFX => "",
			XALG => "",
			XAMS => "724500V6UOK62XEZ2L78",
			XAQS => "",
			XARM => "",
			XASX => "",
			XATS => "549300N65GFVKSHGJW59",
			XBAA => "",
			XBAB => "",
			XBAH => "",
			XBAN => "",
			XBBJ => "",
			XBBK => "",
			XBCC => "",
			XBCL => "",
			XBCM => "",
			XBCV => "894500N62P5L0WYZYL90",
			XBDA => "",
			XBER => "391200I7OS301UELZA68",
			XBEY => "549300D71YXF9YLC8J12",
			XBKK => "254900R211PTUP8K9M82",
			XBLN => "",
			XBNV => "",
			XBOG => "254900XQMHVWJ1P3FC67",
			XBOL => "",
			XBOM => "335800UOTLCPTZQVDA19",
			XBOT => "",
			XBRA => "097900BIIX0000168239",
			XBRM => "2594004XQ58NIEX1Y444",
			XBRN => "529900U9FZPJJDSUXJ89",
			XBRU => "5493007YLUF2KAS0TM17",
			XBRV => "",
			XBSE => "254900LXHEVKYGERER05",
			XBUD => "54930094UMSXWVWJMT48",
			XBUE => "",
			XBUL => "747800W0XA9OV4MSRW74",
			XBVC => "",
			XBVR => "549300L770PQT649FP60",
			XCAI => "",
			XCAL => "",
			XCAS => "213800OBH8WFVWITXN58",
			XCAY => "",
			XCBT => "549300EX04Q2QBFQTQ27",
			XCDE => "549300L8SJYH8PWTVA40",
			XCET => "",
			XCFE => "3003009BLGRRBA4K8M15",
			XCFF => "",
			XCGS => "",
			XCHG => "",
			XCIE => "2138007LTWIYRO2W8C97",
			XCME => "",
			XCNF => "",
			XCOL => "",
			XCOR => "5067003467WNT9GH2Y36",
			XCRO => "",
			XCSE => "549300JNYZUL5PLI8E17",
			XCSX => "",
			XCUE => "",
			XCUR => "",
			XCXD => "",
			XCYS => "213800U9YG19GFXT3S09",
			XDAR => "",
			XDCE => "30030064E0J21BJXFK77",
			XDES => "",
			XDFB => "",
			XDFM => "",
			XDHA => "",
			XDPA => "",
			XDSE => "",
			XDSX => "",
			XDUS => "529900HTWYRE4BD0GQ69",
			XEBI => "635400GLZJST58UNHL91",
			XECB => "549300DTUYXVMJXZNY75",
			XECC => "529900M6JY6PUZ9NTA71",
			XECS => "",
			XELX => "",
			XEMD => "5493003M56ZNEEL5EQ10",
			XEMS => "724500ZM85SCL0RS8L71",
			XETR => "529900G3SW56SHYNPR95",
			XEUP => "529900QA7T9JLRFVNN10",
			XEUR => "529900UT4DG0LG5R9O07",
			XFKA => "",
			XFRA => "529900G3SW56SHYNPR95",
			XGAS => "529900NQOLXKWXQ1JV67",
			XGCL => "213800UP928FGZUQTB32",
			XGHA => "",
			XGME => "",
			XGMX => "",
			XGSE => "",
			XGTG => "",
			XGUA => "",
			XHAM => "529900HTWYRE4BD0GQ69",
			XHAN => "529900HTWYRE4BD0GQ69",
			XHEL => "743700NAXLL4Q86IEX32",
			XHKF => "",
			XHKG => "213800YTVSXYQN17BW16",
			XIBE => "",
			XICE => "5493000SYSCC8J8U5638",
			XICX => "549300SU730FTQOKTE75",
			XIDX => "",
			XIHK => "549300RI6VZUNIR81J81",
			XIMA => "",
			XIMC => "254900BTZEPM27IOAM68",
			XINS => "",
			XINV => "529900NA0B4IRY21VH50",
			XIQS => "",
			XIST => "",
			XISX => "",
			XJAM => "",
			XJNB => "",
			XJPX => "353800578ADEGIJTVW07",
			XJSE => "213800MZ1VUQEBWRFO39",
			XKAC => "",
			XKAZ => "",
			XKCE => "",
			XKFB => "",
			XKHA => "",
			XKHR => "",
			XKIE => "",
			XKIS => "",
			XKLS => "254900CXCSGW8M52ZU27",
			XKRX => "549300TJ3RRV6Q1UEW14",
			XKSE => "",
			XKUW => "549300AZY1VDTDW4PX04",
			XLAO => "",
			XLBM => "",
			XLFX => "",
			XLIM => "",
			XLIT => "549300JGFH6L45DLE408",
			XLJU => "74780000M03HFUUXFU21",
			XLME => "",
			XLON => "213800D1EI4B9WTWWD28",
			XLSM => "",
			XLUS => "",
			XLUX => "22210053OF4F2MYKUV22",
			XMAB => "2549002AX8NFZBS6AD20",
			XMAE => "",
			XMAN => "",
			XMAU => "",
			XMDG => "",
			XMDS => "549300QQN4L60N5ZNP62",
			XMER => "",
			XMEX => "894500CS2D6RLGW61A19",
			XMGE => "",
			XMIL => "8156005391EE905D3124",
			XMNT => "",
			XMNX => "",
			XMOC => "",
			XMOD => "549300DKBYNOI0B1NP44",
			XMOL => "",
			XMSW => "",
			XMTB => "",
			XMTS => "213800OANOWGT2KW8O63",
			XMUS => "549300Z0H15P7ZLU2G11",
			XNAF => "",
			XNAI => "",
			XNAM => "",
			XNAS => "",
			XNCD => "33580057DULMQ3ANKR63",
			XNEC => "",
			XNEP => "",
			XNGM => "549300RUEBDP37NOGI48",
			XNGO => "",
			XNKS => "",
			XNSA => "",
			XNSE => "335800NLY5HYW9I7YE03",
			XNYM => "",
			XNYS => "",
			XNZE => "",
			XODE => "",
			XOFF => "",
			XPAE => "",
			XPAR => "969500HMVSZ0TCV65D58",
			XPHS => "",
			XPIC => "",
			XPOW => "9695001Q848HY790XJ61",
			XPRA => "969500HMVSZ0TCV65D58",
			XPRI => "",
			XPST => "5493001OPW2K42CH3884",
			XPTY => "",
			XPXE => "3157006COUQSF6YE4X10",
			XQUI => "",
			XRBM => "549300NROGNBV2T1GS07",
			XRIS => "549300YRBS4XYCVIH803",
			XRMZ => "315700LLGSQEPNHIYH15",
			XROS => "",
			XRPM => "",
			XRUS => "",
			XSAM => "",
			XSAP => "",
			XSAU => "894500BXFAWZK686TP37",
			XSCO => "529900O14DCZLCKHET54",
			XSEF => "",
			XSES => "549300IQ650PPXM76X03",
			XSGE => "300300PO4S8DFVMPJP62",
			XSGO => "",
			XSHE => "",
			XSHG => "300300LRJ5FEZ23N8725",
			XSIB => "",
			XSOP => "",
			XSPS => "",
			XSSE => "",
			XSTC => "",
			XSTE => "",
			XSTO => "549300KBQIVNEJEZVL96",
			XSTU => "529900A0WHA0NVXY0G45",
			XSVA => "549300E8FX1UJH3VY416",
			XSWA => "",
			XSWB => "",
			XTAE => "213800WG3A9RJ78EGT48",
			XTAF => "549300J778QS7XTS7440",
			XTAI => "549300NH6S3EOUMY2162",
			XTAL => "549300WZWPKNRJ4PQD76",
			XTEH => "",
			XTFF => "",
			XTIR => "",
			XTKT => "353800T6WX7SYEXJWL30",
			XTRN => "",
			XTRZ => "",
			XTSE => "",
			XTSX => "",
			XTUN => "4117W6IV0WI0EKWA2P81",
			XUAX => "",
			XUGA => "",
			XUKR => "",
			XULA => "",
			XUNI => "",
			XUSE => "",
			XVPA => "",
			XWAR => "25940039ZHD3Z37GKR71",
			XWBO => "315700ENWH1A81RCVZ91",
			XXSC => "5299003B0VU65ONHDG84",
			XXXX => "",
			XYIE => "549300QRJM24CLE17N18",
			XZAG => "7478000050A040C0D041",
			XZCE => "30030071Y3R8R7ERU978",
			XZIM => "",
			ZKBX => "165GRDQ39W63PHVONY02",
			UKCA => "1VUV7VQFKUOQSJ21A208",
			ASEF => "254900ZH79LFSDGGAC34",
			XEBS => "2138002GI1GKI3V4UG48",
			NSPO => "549300NDSVV1SNFBN158",
			OTCI => "254900LQDMW14QIVAH45",
			GFOX => "213800AA3IMC1XBN3X71",
			TERM => "549300J8JKCZBPXJRS07",
			PATF => "31570010000000009213",
			ODXE => "3538002ZFUQ3KMY5SA19",
			HPSX => "2138004BRTVB2NX17L84",
			DBDX => "529900G3SW56SHYNPR95",
			ARTX => "254900UL01RE2SEBFH84",
			SPTX => "98450055C2FB0C474126",
			STXS => "",
			EUFN => "5493008YPOF2ZCVQJ061",
			GFAU => "549300662L28R2F2DD62",
			XIGG => "213800A7BEQATAOUAN40",
			SMBC => "549300HIK4TTS0OCL437",
			BGCA => "549300EWSJTPKI0VTV84",
			XFTX => "894500686R5LFMX57208",
			NABP => "5493000IQQ05Y25L0V92",
			RITS => "335800W2HWQ4MHQLGU85",
			CAST => "2549001HQ7OKKPL03I86",
			XABX => "984500H0D7071174BA73",
			CILH => "PKVU22HMQQ0KHUAQDH05",
			CBAE => "724500AAT1DK36059L16",
			TRDC => "549300VX0P4NG30WZU37",
			NSSA => "259400LJC7Y93HGGGK72",
			CMCM => "213800IU529ADVZ1GL50",
			SFOX => "549300ZEB7CLQ2GVMG42",
			BJSE => "836800S6C5TZNJN6ZS25",
			NEEQ => "836800XHVVMXE28Y7A65",
			VFEX => "",
			MSDM => "259400CKHRZPKRS5IK67",
			IBSI => "5493001B9LDFCQUY9273",
			RAJA => "U4ONQX15J3RO8XCKE979",
			LPSF => "98450040858B75A8E878",
			GBSI => "635400IL71G3SXS7OE16",
			TPID => "549300MU2MYJLOY6IJ51",
			INGU => "3TK20IVIUJ8J3ZU0QE75",
			SISU => "635400IAV22ZOU1NFS89",
			OTXT => "21380098D55AZZWDP527",
			BOCF => "54930053HGCFWVHYZX42",
			FPWB => "315700ENWH1A81RCVZ91",
			SPAX => "549300FM6WZ691YSFT22",
			LEBV => "984500UCCACDS84C1Q46",
			LESI => "9845009B3CAA45RC9E29",
			GMGE => "9845008091DBEJ67AC40",
			INTL => "549300LNKU6K5TJCRG93",
			TMUK => "2138004QU7NYKYORTV10",
			U360 => "5493006UQP8F8P24HJ68",
			BDPL => "NCKZJ8T1GQ25CDCFSD44",
			VMEX => "984500DT1B79C9A7B343",
			INFT => "54930074DH4YRWTS3R80",
			EDXM => "549300LYIAOCJDKQAI12",
			IBKR => "50OBSE5T5521O6SMZR28",
			ALGO => "984500BCC73F71C0D336",
			XAND => "213800C3T4MEBJ88WM62",
			GSLO => "254900ZQGDYEZ0DH8977",
			RTXF => "549300UDXT9JSAE4QH10",
			VUBA => "549300JB1P61FUTPEZ75",
			G360 => "529900MXX9KHFAUADV11",
			ACXL => "984500FA44A07RE3D049",
			ACXC => "98450054E61056C8FF16",
			ATAD => "254900VHRL9AP6M81C76",
			GSXN => "549300NIUPNUFRZ8LJ52",
			RULE => "50670031R3B43KXX1869",
			XCVD => "959800BCG62RCSR5H360",
			XANM => "213800BH3E3OLFIMH912",
			CFIM => "5493000ASBNL9GPFAM72",
			RFIM => "984500FED3894XAD4482",
			BNDS => "213800QOW94YDEADDF52",

        }
    }
}
